<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>
<c:set var="labAlertId">
	<fmt:message key='fcm.sq.queue.alertsInQueue.alertId.txt'/>
</c:set>
<c:set var="labAlertsInQueue">
	<fmt:message key='fcm.sq.queue.alertsInQueue.alertsInQueue.txt'/>
</c:set>
<c:set var="labAlertStatus">
	<fmt:message key='fcm.sq.queue.alertsInQueue.alertStatus.txt'/>
</c:set>
<c:set var="labFraudScore">
	<fmt:message key='fcm.sq.queue.alertsInQueue.fraudScore.txt'/>
</c:set>
<c:set var="labLastTransactionTime">
	<fmt:message key='fcm.sq.queue.alertsInQueue.lastTransactionTime.txt'/>
</c:set>
<c:set var="labLastTransactionAmount">
	<fmt:message key='fcm.sq.queue.alertsInQueue.lastTransactionAmount.txt'/>
</c:set>
<c:set var="labCallResult">
	<fmt:message key='fcm.sq.queue.alertsInQueue.callResult.txt'/>
</c:set>
<script language="JavaScript">
//<!--
	var _selectedQueue = {
		queueId: "${esapi:encodeForJavaScript(selectedQueue.name)}",
		strategyId: "${selectedQueue.strategyId}",
		sortField: "${esapi:encodeForJavaScript(selectedQueue.sortField)}",
		sortOrder: "${esapi:encodeForJavaScript(selectedQueue.sortOrder)}"
	}
	<c:set var="oldStrategy" value="_n_u_l_l_" />
	var _currentOption = null;
	var _currentStrategyIdx = -1;
	<%---------------------------------------------------------------------
	***********************************************************************
	* Loop through the list of queues and construct:                      *
	* (1) An array of Option objects corresponding to strategies, and     *
	* (2) For each strategy, an array of Option object corresponding to   *
	*     queues contained within that strategy.                          *
	* The action that builds queuesList sorts the list by strategy name   *
	* and  queue name, which is required for this code to work properly.  *
	***********************************************************************
	----------------------------------------------------------------------%>
	<c:forEach var="queue" items="${queuesList}" >
		<c:choose>
			<c:when test="${not empty queue.strategyName}">
				<c:if test="${queue.strategyName != oldStrategy}">
					<%---------------------------------------------------------------------
					***********************************************************************
					* Build a new strategy option and insert it into the strategy array   *
					* whenever a new strategy is encountered.                             *
					***********************************************************************
					----------------------------------------------------------------------%>
					_currentStrategyIdx++;
					_strategyOptions.push(new Option("${esapi:encodeForJavaScript(queue.strategyName)}","${queue.strategyId}"));
					_strategyOptions[_currentStrategyIdx].queues = new Array();
				</c:if>
				<%---------------------------------------------------------------------
				***********************************************************************
				* Build the list of queue options for the given strategy              *
				***********************************************************************
				----------------------------------------------------------------------%>
				_currentOption = new Option("${esapi:encodeForJavaScript(queue.name)}","${queue.id}");
				_currentOption.strategyId = "${queue.strategyId}";
				_currentOption.sortField = "${esapi:encodeForJavaScript(queue.sortField)}";
				_currentOption.sortOrder = "${esapi:encodeForJavaScript(queue.sortOrder)}";
				_strategyOptions[_currentStrategyIdx].queues.push(_currentOption);
				<c:set var="oldStrategy" value="${queue.strategyName}" />
			</c:when>
		</c:choose>
	</c:forEach>

	function displayStrategyObjects() {
		var displayString = "_selectedQueue: " + _selectedQueue.queueId + " \n_selectedQueue.sortField: " + _selectedQueue.sortField + "\n\n";
		for(var jj=0; jj<_strategyOptions.length; jj++) {
			displayString += _strategyOptions[jj].text + " : " + _strategyOptions[jj].value;
			for(var kk=0;kk<_strategyOptions[jj].queues.length;kk++) {
				displayString += "\n\tQueue Name: " + _strategyOptions[jj].queues[kk].text + "\n\tQueue ID: " + _strategyOptions[jj].queues[kk].value;
				displayString += "\n\tQueue Sort Field: " + _strategyOptions[jj].queues[kk].sortField;
			}
			displayString += "\n";
		}
		alert(displayString);
	}

	loadDynamicElements = function() {
		var domSortField = document.getElementById('sortField');
		var domSortOrder = document.getElementById('sortOrder');
		domSortField.innerHTML = codeLookupArray["${esapi:encodeForJavaScript(selectedQueue.sortField)}"];
		domSortOrder.innerHTML = codeLookupArray["${esapi:encodeForJavaScript(selectedQueue.sortOrder)}"];
	}

//-->
</script>
<%@ include file="/common/busyMsgDiv.jsp" %>
<div id="frameDiv" style="display:none">

<div id="subMenuButtons" >
	<ul id="minitabs">
		<%--------------------------------------------------------------------
		***********************************************************************
		* Only display admin action buttons when the user has the appropriate *
		* privilege to move/close alerts AND any one of the following         *
		* conditions hold:                                                    *
		* (i) queue is either inactive or closed,                             *
		* (ii) strategy is inactive,                                          *
		* (iii) queue is the default inbound queue.                           *
		***********************************************************************
		----------------------------------------------------------------------%>
		<c:if test="${not empty alertsList}">
			<c:if test="${alertsList[0].queueStatusOK == '1' && (empty moveCloseAlerts || moveCloseAlerts) }">
				<li><a id="moveSelected" style="background:url(<c:url value="/admin/images/ExportObject.gif" />) no-repeat 5px 50%;padding-left:24px;" href="#" onclick="javascript:showDialog(false,'moveSelected','moveDialog');"><fmt:message key="fcm.alertadmin.move.txt"/> </a></li>
				<li><a id="moveAll" style="background:url(<c:url value="/admin/images/Move.gif" />) no-repeat 5px 50%;padding-left:24px;" href="#" onclick="javascript:showDialog(true,'moveAll','moveDialog'); "><fmt:message key="fcm.alertadmin.moveall.txt"/> </a></li>
				<li><a id="closeSelected" style="background:url(<c:url value="/admin/images/remove_item_default.gif" />) no-repeat 5px 50%;padding-left:21px;" href="#" onclick="javascript:verifyCloseAlerts(false);" ><fmt:message key="fcm.alertadmin.close.txt"/> </a></li>
				<li><a id="closeAll" style="background:url(<c:url value="/admin/images/Remove.gif" />) no-repeat 5px 50%;padding-left:21px;" href="#" onclick="javascript:verifyCloseAlerts(true);"><fmt:message key="fcm.alertadmin.closeall.txt"/> </a></li>
			</c:if>
		</c:if>
		<li><a id="backToQDefn" style="float:right;margin-right:40px;background:url(<c:url value="/admin/images/arrow-back-default.gif" />) no-repeat 5px 50%;padding-left:24px;" href="#" onclick="javascript:location.href='<c:url value="a_strategies.sj" />';"><fmt:message key="fcm.sq.queue.alertsInQueue.backToQueueDefinition.txt"/></a></li>
	</ul>
</div>
<div id="selectedQueueSummary">
	<table id="selectedQueueSummaryTable">
		<tr>
			<th><fmt:message key="fcm.sq.queue.alertsInQueue.strategyName.txt"/>:</th>
			<td>${esapi:encodeForHTML(selectedQueue.strategyName)}</td>
			<th><fmt:message key="fcm.sq.queue.alertsInQueue.queueSortField.txt"/>:</th>
			<td><span id="sortField"></span></td>
		</tr>
		<tr>
			<th><fmt:message key="fcm.sq.queue.alertsInQueue.queueName.txt"/>:</th>
			<td>${esapi:encodeForHTML(selectedQueue.name)}</td>
			<th><fmt:message key="fcm.sq.queue.alertsInQueue.queueSortOrder.txt"/>:</th>
			<td><span id="sortOrder"></span></td>
		</tr>
	</table>
</div>
<c:if test="${not empty alertsList}">
	<c:if test="${alertsList[0].queueStatusOK == '1' && (empty moveCloseAlerts || moveCloseAlerts) }">
		<div id="tableButtons" style="visibility:hidden;">
			<ul id="tabletabs" >
				<li><a style="background:url(<c:url value="/admin/images/view-mark.gif" />) no-repeat 5px 50%;padding-left:21px;" href="#" onclick="javascript:chkAllAlertsOnPage(true);"><fmt:message key="fcm.alertadmin.checkall.txt"/> </a></li>
				<li><a style="background:url(<c:url value="/admin/images/view-unmark.gif" />) no-repeat 5px 50%;padding-left:21px;" href="#" onclick="javascript:chkAllAlertsOnPage(false);"><fmt:message key="fcm.alertadmin.uncheckall.txt"/> </a></li>
				<li><a style="background:url(<c:url value="/admin/images/clearselection.gif" />) no-repeat 5px 50%;padding-left:24px;" href="#" onclick="javascript:clearAllSelections();"><fmt:message key="fcm.alertadmin.clearselections.txt"/> </a></li>
			</ul>
		</div>
	</c:if>
</c:if>
<c:if test="${lastActionPerformed != null}">
	<div id="lastActionDialog" style="margin:10px 0;">
		<tiles:insert definition="fcmSystemMessages" flush="true" >
			<tiles:put name="messageSuccessImage" value="common/images/messageOK.gif"/>
		</tiles:insert>
	</div>
</c:if>
<div id="xTableDiv">
	<form id="alertAdminForm" action="<c:url value="a_alertAdmin.sj?queueId=${selectedQueue.id}"/>" method="post">
		<input type="hidden" id="alertSelections" name="alertSelections" value="${esapi:encodeForHTMLAttribute(alertSelections)}" />
		<input type="hidden" id="method" name="method" value="list" />
		<ec:table
			items="alertsList"
			var="alert"
			form="alertAdminForm"
			action="a_alertAdmin.sj?queueId=${selectedQueue.id}"
			imagePath="reports/images/table/*.gif"
			filterable="false"
			title="${labAlertsInQueue}: ${esapi:encodeForHTML(selectedQueue.name)}"
			width="80%"
			autoIncludeParameters="false"
			rowsDisplayed="20"
			styleClass="mainTable"
			>
			<ec:row>
				<ec:column property="alertId" headerCell="XssAwareHeaderClass" title="${labAlertId}">
					<div style="text-align: left; white-space: nowrap;">
						<%--------------------------------------------------------------------
						***********************************************************************
						* Only display checkboxes when the user has the appropriate privilege *
						* to move/close alerts AND any one of the following conditions hold:  *
						* (i) queue is either inactive or closed,                             *
						* (ii) strategy is inactive,                                          *
						* (iii) queue is the default inbound queue.                           *
						***********************************************************************
						----------------------------------------------------------------------%>
						<c:if test="${alert.queueStatusOK == '1'  && (empty moveCloseAlerts || moveCloseAlerts)}">
							<input type="checkbox" id="alert${alert.alertId}_${alert.version}" onclick="addOrRemoveItem('alert${alert.alertId}_${alert.version}',5);displayAlertSelections();" />
						</c:if>
						&nbsp;&nbsp;
						<a target="_top" href="javascript:openAlertDetail(${alert.alertId});" title="View Alert Detail">${alert.alertId}</a>
					</div>
				</ec:column>
				<ec:column property="alertStatus" headerCell="XssAwareHeaderClass" title="${labAlertStatus}"/>
				<ec:column property="fraudScore" headerCell="XssAwareHeaderClass" title="${labFraudScore}"/>
				<ec:column property="lastTransactionTime" headerCell="XssAwareHeaderClass" title="${labLastTransactionTime}" cell="date" format="${dateTimeFormat}" />
				<ec:column property="lastTransactionAmount" headerCell="XssAwareHeaderClass" title="${labLastTransactionAmount}" cell="currency" format="${currencyFormat}" />
				<ec:column property="callResult" headerCell="XssAwareHeaderClass" title="${labCallResult}" />
			</ec:row>
		</ec:table>
		<div id="moveDialog" style="visibility:hidden;display:inline;position:absolute;z-index:30;">
			<table class="menuDialog" border="0" cellspacing="0" cellpadding="4">
				<tr>
					<td class="configurationTableDataRow" style="text-align:left">
						<div id="queueContainer" style="display:inline;">
							<input type="checkbox" onclick="populateQueueListBox();" name="filterBySortField" /> <label id="sortFieldLabel"><fmt:message key="fcm.sq.queue.alertsInQueue.showOnly.txt"/></label><br /><br />
							<label id="strategyLabel"> <fmt:message key="fcm.sq.queue.alertsInQueue.filterByStrategy.txt"/>:</label><br />
							<select name="strategyFilter" onchange="populateQueueListBox();" class="famSelect" style="width:45em" size="1" >
							</select> <br />
							<label id="queueLabel"> <fmt:message key="fcm.sq.queue.alertsInQueue.queueName.txt"/>: </label><br />
							<select name="targetQueueId" class="famSelect" style="width:45em" size="6" >
							</select>
						</div>
					</td>
				</tr>
				<tr>
					<td class="configurationTableDataRow" style="text-align:left" >
						<input type="button" value="<fmt:message key="fcm.details.ok.txt"/>" onclick="verifyMove(); " />
						<input type="button" value="<fmt:message key="fcm.details.cancel.txt"/>" onclick="javascript: document.getElementById('moveDialog').style.visibility = 'hidden'; " />
					</td>
				</tr>
			</table>
		</div>
	</form>
</div>

</div>