<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>
<style type="text/css">@import "admin/styles/preference.css";</style>
<script language="JavaScript" src="admin/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language='JavaScript' src='common/scripts/menuFrames.js'></script>

<table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="position:fixed; left:0px; z-index:2;"><tr><td colspan="1">
 <tiles:insert page="/admin/preferenceGridDefinitionMenu.jsp"/>
 </td></tr></table>

<script type="text/javascript">
var activityVersions = {}
<c:forEach var="activityType" items="${accountType.transactionActivityTypes}">
activityVersions["_${activityType.id}"] = {
		version: ${activityType.gridConfigVersion}
};
</c:forEach>
</script>

<p><br/>

<%-- TODO: Error handling code --%>
<c:set var="topGridTemplateNodeId" scope="session" value="-1"/>
<c:url var="reloadURL" value="/preference.sj?method=viewPreferencesTree&grid_templateId=${esapi:encodeForURL(accountType.gridTemplateId)}&grid_accountId=${accountType.id}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
   <tiles:put name="reloadURL" value="${reloadURL}" />
   <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
   <tiles:put name="objectTypeName" value="Grid Account" />
</tiles:insert>

<br/>
<form id="gridAccountTypeForm" name="gridAccountTypeForm" action="<c:url value='/gridAccountType.sj'/>" method="post" onsubmit="return submitGridAccountTypeForm(this, activityVersions);" >

<input type="hidden" name="method"   value="saveAccountType">
<input type="hidden" name="id" value="${accountType.id}">
<input type="hidden" name="version" value="${accountType.version}">
<input type="hidden" name="gridTemplateId" value="${accountType.gridTemplateId}">

<br/>
<div align="center">

<table id="gridDefTable" class="configurationTable2" style="width:600px; border:2px solid #F1EACB;margin-left:10px" cellspacing="0" cellpadding="2" border="0">
    <tr align="left" valign="top" >
    	<div><p align="left" style="font-size:12px"><b><fmt:message key="fcm.preferences.gridAccountDefinition.txt"/></b></div>
    </tr>
    <tr align="left" valign="top" >
      <td colspan="3" class="configurationTableSection" style="padding:5px;"><fmt:message key="fcm.details.generalProperties.txt" /></td>
    </tr>
    <tr class="configurationTableDataRow" valign="top">
      <td colspan="2">
         <table class="minimalPadding" cellpadding="0" cellspacing="0" border="0">
            <tr>
               <td><fmt:message key="fcm.preferences.gridAccountId.txt"/>:</td>
               <td  valign="middle">${accountType.id}</td>
             </tr>
            <tr >
               <td><fmt:message key="fcm.preferences.gridTemplate.name.txt"/>:</td>
               <td  valign="middle">
                  <input class="famTextEntry" name="name" type="text" value="${esapi:encodeForHTMLAttribute(accountType.name)}" size="50" maxLength="12" />
               </td>
             </tr>
             <tr valign="top">
               <td><fmt:message key="fcm.preferences.gridTemplate.description.txt"/>: </td>
               <td  valign="middle" >
                  <textarea class="famTextEntry" name="description" cols="100" rows="3" wrap="PHYSICAL" onKeyDown="limitChars(this,100);" onKeyUp="limitChars(this,100,true);" >${esapi:encodeForHTML(accountType.description)}</textarea>
               </td>
             </tr>
			 <tr>
				<td style="font-size:xx-small" > &nbsp;</td>
			 </tr>
		  </table>
	   </td>
	</tr>

    <tr align="left" valign="top" >
      <td colspan="2" class="configurationTableSection" ><fmt:message key="fcm.preferences.gridTemplate.activity.assignment.txt"/></td>
    </tr>
	<tr align="center" valign="top">
      <td colspan="2">
	  <table align="center" width="100%" border="0" cellspacing="0" cellpadding="0">
	  	 <tr>
     		<td colspan="3" align="center" style="font-size:xx-small">
				(<fmt:message key="fcm.preferences.gridTemplate.activity.ordering.txt" />)
            </td>
   		 </tr>
   		 <tr>
   		 	<td width="1%" valign="top">    </td>
     		<td width="94%">
         		<div id="activityDiv"  style="height:500px;" >
         		<table id="activityTable" width="100%" class="mainTable" style="border-collapse:separate;border:2px solid #F1EACB;"  border="0" cellspacing="0" cellpadding="5">
            		<thead>
                		<tr class="tableColumnHeaderRow">
                     		<th width="5%" class="centeredTableHeader" nowrap>&nbsp;<fmt:message key="fcm.preferences.content.order.header.title"/></th>
            				<th width="5%" class="centeredTableHeader" nowrap>&nbsp;<fmt:message key="fcm.preferences.gridTemplate.select.txt"/></th>
            				<th width="15%" class="centeredTableHeader" nowrap>&nbsp;<fmt:message key="fcm.preferences.gridTemplate.activityName.txt"/></th>
            				<th width="60%" class="centeredTableHeader">&nbsp;<fmt:message key="fcm.preferences.gridTemplate.activityDesc.txt"/></th>
        		  		</tr>
            		</thead>
            		<tbody id="activityTableBody">
         				<c:forEach var="activityType" items="${accountType.transactionActivityTypes}" varStatus="activityStatus" >
             				<tr style="cursor:pointer;"  class="dataRow${(activityStatus.count-1)%2+1}_tableRow" onmousedown="highlightRowById(this,'rowSelected');" >
            		   			<td class="numericTableCell" >${activityStatus.count}</td>
            		   			<td class="textTableCell">
 						        			<input id="_${activityType.id}" type="checkbox" name="activityCheckbox" ${activityType.selected ? 'checked="checked"' : ''}/>
            		   			</td>
            		   			<td class="textTableCell">${esapi:encodeForHTML(activityType.name)}</td>
            		   			<td class="textTableCell lastCol">${esapi:encodeForHTML(activityType.description)}</td>
            				</tr>
            			</c:forEach>
         			</tbody>
         		</table>
         		</div>
      		</td>

      		<td width="5%" valign="top">
         		<a title='<fmt:message key="fcm.sq.prioritize.strategy.moveToTop.txt"/>' href="javascript:customMove('activityDiv','activityTable',1,'top')" ><img src="common/images/arrow-up-end-default.gif" width="11" height="14" border="0" vspace="2" hspace="2"></a><br />
         		<a title='<fmt:message key="fcm.sq.prioritize.strategy.moveUp.txt"/>' href="javascript:customMove('activityDiv','activityTable',1,'up')"><img src="common/images/arrow-up-default.gif" width="11" height="12" border="0" vspace="2" hspace="2"></a><br />
         		<a title='<fmt:message key="fcm.sq.prioritize.strategy.moveDown.txt"/>' href="javascript:customMove('activityDiv','activityTable',1,'down')"><img src="common/images/arrow-down-default.gif" width="11" height="12" border="0" vspace="2" hspace="2"></a><br />
         		<a title='<fmt:message key="fcm.sq.prioritize.strategy.moveToBottom.txt"/>'  href="javascript:customMove('activityDiv','activityTable',1,'bottom')"><img src="common/images/arrow-down-end-default.gif" width="11" height="14" border="0" vspace="2" hspace="2"></a>
            </td>
   		  </tr>

		</table>
	  </td>
	</tr>
</table>
</div>

<br>
<%-- <div id="gridSaveButtons" style="display:block" align="center">
     <input id="saveButton" class="button" name="button" type="submit" style="margin-left:10px;" value="<fmt:message key="fcm.application.save.txt" />">
</div> --%>
<br>
</form>

<c:if test="${not empty updatePrefs && !updatePrefs}">
  <script language="JavaScript">
    setFormsReadOnly();
  </script>
</c:if>