<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<script language="JavaScript" src="admin/scripts/groups.js"></script>

<!-- Tree header. -->
<div id="navhead" class="mmhide_navhd"><fmt:message key="fcm.groups.allBusinessUnits.txt" /></div>

<!-- Nested tables with fixed height -->
<table id="overview_table" cellspacing=0 cellpadding=2 border="0"  >
   <tr>
      <td id="navcol" align="left" valign="top" nowrap>

<script language="JavaScript">
//<!--

    // To identify new or modified objects
   var _selectedObject = '';
   var _selectedRoot = '';
   var _isSomethingSelected = false;
   var _hasGroups=[];
   var _hasBusinessUnits=[];
   // Hash map for id based access in the parent frame(menus)
   _businessUnitMap= new Array();
   _groupMap = new Array();
   _teamMap = new Array();
   // Map with key group/team id, value node id
   _businessUnitNodeMap=new Array();
   _groupNodeMap = new Array();
   _teamNodeMap = new Array();

  // Business Unit Nodes
   var _businessUnitNodes = new Array();
   <c:forEach var="businessUnit" items="${businessUnits}" varStatus="status">
      var _businessUnit = new Object();
      _businessUnit.id = ${businessUnit.id};
      _businessUnit.name = '${esapi:encodeForJavaScript(esapi:encodeForHTML(businessUnit.name))}';
      _businessUnit.type = 'businessUnit';
      _businessUnit.version = ${businessUnit.version};
//      var nodeId = "B" + "${status.count}";
	  var nodeId = "B" + ${businessUnit.id};
      _businessUnitNodeMap[_businessUnit.id] = nodeId;
      _businessUnitMap[nodeId] = _businessUnit;
      <c:if test="${treeSelectedGroupTeam == businessUnit.id}">
      	 _isSomethingSelected = true;
         _selectedObject = nodeId;
         _selectedRoot = nodeId;
         //alert("for bu " + _selectedObject + " "+ _selectedRoot);
      </c:if>
       // A businessUnit has no parent so parent id is 0
       // this is the startnode value when the tree is created
       _params = new Array();
      _businessUnitNodes[_businessUnitNodes.length] = new Node(nodeId, 0, "businessUnit", _businessUnit.name,
                 "businessUnit", _params, "", "", "");

   </c:forEach>

   // Group Nodes
   var _groupNodes = new Array();

<xams:hide>

   <c:forEach var="group" items="${groups}" varStatus="status">
      var _group = new Object();
      _group.id = ${group.id};
      _group.name = '${esapi:encodeForJavaScript(esapi:encodeForHTML(group.name))}';
      _group.type = 'Group';
      _group.businessUnit='${esapi:encodeForJavaScript(group.businessUnit)}';

      if(_group.businessUnit!='') {_hasBusinessUnits["${esapi:encodeForJavaScript(group.businessUnit)}"]=true;}

      _group.version = ${group.version};
 //     var nodeId = "G" + "${status.count}";
 	  var nodeId = "G" + ${group.id};
      _groupNodeMap[_group.id] = nodeId;
      _groupMap[nodeId] = _group;
      <c:if test="${treeSelectedGroupTeam == group.id}">
         _isSomethingSelected = true;
         _selectedObject = nodeId;
         _selectedRoot = _businessUnitNodeMap[_group.businessUnit]+"|"+nodeId;
         //alert("for group " + _selectedObject + " "+ _selectedRoot);
      </c:if>
       // this is the startnode value when the tree is created
       _params = new Array();
      _groupNodes[_groupNodes.length] = new Node(nodeId, _businessUnitNodeMap["${esapi:encodeForJavaScript(group.businessUnit)}"], "group0", _group.name,
                 "Group", _params, "", "", "");
   </c:forEach>

</xams:hide>

   // Team Nodes
   var _teamNodes =  new Array();
   <c:if test="${teams != null}">
      <c:forEach var="team" items="${teams}" varStatus="status">
         var _team = new Object();
         _team.id = ${team.id};
         _team.groupId = ${team.groupId};
         if(_team.groupId!='') {_hasGroups["${team.groupId}"]=true;}
         _team.name = "${esapi:encodeForJavaScript(esapi:encodeForHTML(team.name))}";
         _team.version = ${team.version};
         _team.groupName = "${esapi:encodeForJavaScript(esapi:encodeForHTML(team.groupName))}";
         _team.type = 'Team';
         _team.businessUnit="${esapi:encodeForJavaScript(team.businessUnit)}";
//         var nodeId = "T" + "${status.count}";
         var nodeId = "T" + "${team.id}";
         _teamMap[nodeId] = _team;
         _teamNodeMap[_team.id] = nodeId;
         <c:if test="${treeSelectedGroupTeam == team.id}">
         	_isSomethingSelected = true;
         	_selectedObject = nodeId;
            _selectedRoot = _businessUnitNodeMap[_team.businessUnit]+"|"+_groupNodeMap[_team.groupId]+"|"+nodeId;
            //_selectedRoot = _businessUnitNodeMap[_team.businessUnit];
         </c:if>
         _params = new Array();
          _teamNodes[_teamNodes.length] = new Node(nodeId, _groupNodeMap["${team.groupId}"], "team", _team.name,
                        "Team", _params, "", "", "");
      </c:forEach>
   </c:if>

   var _nodes = _businessUnitNodes.concat(_groupNodes.concat(_teamNodes));

      var _isSomethingSelected = false;
      // For new and modified actions show the selected node

      if(_selectedObject == '')
      {
         _selectedObject = getCookieForTab(""); // B1
         var _selectedBusinessUnit = _businessUnitMap[_selectedObject];
         var _selectedGroup = _groupMap[_selectedObject];
         var _selectedTeam = _teamMap[_selectedObject];

         if(isDefined(_selectedGroup))
         {
             // TBD review
             _selectedRoot = _businessUnitNodeMap[_selectedGroup.businessUnit];
    	  }
    	  else if(isDefined(_selectedTeam))
          {
       	     // TBD review
             _selectedRoot = _businessUnitNodeMap[_selectedTeam.businessUnit]+"|"+_groupNodeMap[_selectedTeam.groupId];
    	  }
    	  else if(isDefined(_selectedBusinessUnit))
          {
              _selectedRoot = _selectedObject;
          }
      }
      else
      {
         _isSomethingSelected = true;
         var _selectedBusinessUnit = _businessUnitMap[_selectedObject];
         var _selectedGroup = _groupMap[_selectedObject];
         var _selectedTeam = _teamMap[_selectedObject];

         if(isDefined(_selectedGroup))
         {
             // TBD review
             _selectedRoot = _businessUnitNodeMap[_selectedGroup.businessUnit];
    	  }
    	  else if(isDefined(_selectedTeam))
          {
       	     // TBD review
             _selectedRoot = _businessUnitNodeMap[_selectedTeam.businessUnit]+"|"+_groupNodeMap[_selectedTeam.groupId];
    	  }
    	  else if(isDefined(_selectedBusinessUnit))
          {
              _selectedRoot = _selectedObject;
          }
       }


   _businessUnitTree = new Tree("_businessUnitTree", _nodes, 0, _selectedRoot, _selectedObject, "doGroupAction(\'showDetail\');",
                         false, false, true, "common/images/tree/", "common/images/" );


   // Generic method defined to show selected node
   //Tree.showSelectedAdminNode = function(){ _groupTree.showNode();};
   Tree.showSelectedAdminNode = function(){ _businessUnitTree.showNode();};



//-->
</script>

 </td>
   </tr>
</table>

<%-- Error handling code --%>
<tiles:insert page="/admin/adminOverviewErrorHandling.jsp" flush="true">
	<tiles:put name="treeObj" value="_businessUnitTree" />
	<tiles:put name="showCommand" value="doGroupAction" />
	<tiles:put name="showCommandArgs" value="showDetail" />
	<tiles:put name="window" value="window"/>


</tiles:insert>
