var _highlightedRow = undefined;
var _hasAccounts = [];
var _hasActivitys =[];
var _DEFAULT_GRID_TEMPLATE_ = null;

function highlightRowById(row,classNameValue)
{// debugger;
    if(_highlightedRow)
    {
        if (_highlightedRow != row) {
            $(_highlightedRow).removeClass(classNameValue);
        }
    }

     _highlightedRow = row;
    $(_highlightedRow).addClass(classNameValue);

}

/* *************************************************** */
/*   Loads the Detail Page from Tree for Preferences   */
/* *************************************************** */

function doPreferenceAction(action)
{
    if(action == 'copy' || action == 'delete' )  {
   		doPreferenceActionOnTreeNode('overview',action);

    } else if(action == 'modify') {
     	var selectedNodes = parent.frames['overview'].preferenceTree.getSelectedNodes();

        if(selectedNodes.length > 0)
        {
            setCookieForTab(selectedNodes[0].nodeId);

            if (selectedNodes[0].nodeId == "-1" || selectedNodes[0].nodeId == "-2" || selectedNodes[0].nodeId == "-4")
            {
                parent.frames[ "detail" ].location.href = "common/blank.html";
            } else  {
                if(selectedNodes.length == 1) {
                    var action = selectedNodes[0].parameters.join('&');
                    setBusyDetail();
                    parent.frames['detail'].location.href = action;
                } else {
                    parent.frames[ "detail" ].location.href = "common/blank.html";
                }
            }
          } else {
                setCookieForTab("-1");
                parent.frames[ "detail" ].location.href = "common/blank.html";
          }
    } else {
         setBusy()
//        frames[ "overview" ].location.href = action;
   	 $df.postURL("overview",action);
    }
}

function doPreferenceActionOnTreeNode(targetFrame,action)
{
    var tree = parent.frames['overview'].preferenceTree;
    var nodes = tree.getSelectedNodes();

    if(action=='delete')
    {
        if(nodes.length > 0)
        {
            var node = nodes[0];
      	    var nodeId = node.getId();

            if(nodeId == _DEFAULT_GRID_TEMPLATE_)
      	    {
      		    alert($i18n("fcm.preferences.js.deleteGridTemplate.notDeleted.txt",[node.getTitle()]));
      		    return;
      	    } else if (nodeId.substr(0,2) == 'G0'){
      		    alert($i18n("fcm.preferences.js.deleteMaskingType.notDeleted.txt",[node.getTitle()]));
      		    return;
      	    } else if (nodeId.substr(0,2) == 'SG'){
      		    alert($i18n("fcm.preferences.js.deleteSystemGrid.notDeleted.txt",[node.getTitle()]));
      		    return;
      	    }
            if(node.getTip() == 'Grid Template') // warn user that it won't be deleted if assigned strategy are found for it
            {
                if(isDefined(parent.frames['detail'].hasAssignedStrategy) && parent.frames['detail'].hasAssignedStrategy)
                {
                    alert($i18n("fcm.preferences.js.deleteGridTemplate.notDeleted2.txt"));
                    return;
                }
            }
            var idx = nodeId.indexOf("G");
            var idx1 = nodeId.indexOf("A");
            var num;
            if(idx == 0 && idx1 < 0 )
            {
                num = parseInt(nodeId.substring(1));
	            if(num > 1) // select the node right above this one
	               nodeId = "G" + (num-1);
                else	// this is the first node or we have only one  node to be deleted, then select the parent
                   nodeId = -1;
            } else if (idx == 0 && idx1 > 0 ) {
                alert($i18n("fcm.preferences.overview.delete.confirm0.txt"));
                return;
            } else {
                alert($i18n("fcm.preferences.overview.delete.confirm0.txt"));
                return;
            }
            //confirm delete
            var agree=confirm($i18n("fcm.preferences.overview.delete.confirm.fmt.txt",[node.getTitle()]));
            if (agree==false)return false;

            setCookieForTab(nodeId);

            action = node.parameters.join('&');
            action = action.replace('viewGridTemplate','delete');
//            frames[targetFrame].location.href = action;
            setBusy();
            $df.postURL(targetFrame, action);
        }
   } else if(action=='copy')
   {
      if(nodes.length > 0)
      {
          var node = nodes[0];
          var nodeId = node.getId();

          if (nodeId.substr(0,2) == 'G0'){
    		    alert($i18n("fcm.preferences.js.copyMaskingType.notCopied.txt",[node.getTitle()]));
    		    return;
    	  } else if (nodeId.substr(0,2) == 'SG'){
    		  	alert($i18n("fcm.preferences.js.copySystemGrid.notCopied.txt",[node.getTitle()]));
      		    return;
      	  }

          var idx = nodeId.indexOf("G");
          var idx1 = nodeId.indexOf("A");
          var num;

          if(idx == 0 && idx1 < 0 ) {
              setCookieForTab(nodeId);

              action = node.parameters.join('&');
              action = action.replace('viewGridTemplate','copy');
//              frames[targetFrame].location.href = action;
              setBusy();
              $df.postURL(targetFrame, action);

          } else if (idx < 0 ) {
              alert($i18n("fcm.preferences.overview.copy.confirm0.txt"));
              return;
          } else {
              alert($i18n("fcm.preferences.overview.copy.confirm0.txt"));
              return;
          }
      }
   }
   // setBusyDetail();
}

/* **************************************************** */
/*    Handling actions in the SubmitGridActivity page          */
/* **************************************************** */

function gridOnLoadHandler()
{
	setGridHeight('account', '320');
	setGridHeight('activity', '320');
}

function onLoadHandler()
{
	setGridHeight('available', '320');
	setGridHeight('selected', '320');
}

function onLoadHandler2(namePrefix)
{
	// Get the ContentDiv
	var contentDiv = getElement(namePrefix+'ContentDiv');
	// Calculate the difference in height between the content and screen
	// Negative means shrink, positive means stretch
	var delta = getClientHeight() - getBottomPosition(contentDiv);
	// add the delta to the scrollable div height since this is the piece that can adjust its height
	var newHeight = getHeight(namePrefix+'Div') + delta;
	// make sure newHeight is at least 50px
	setGridHeight(namePrefix, (newHeight < 50 ? 50 : newHeight));
}

function setGridHeight(namePrefix, grdHeight)	// availableDiv , selectedDiv, availableTable, selectedTable
{
	var grd = document.getElementById(namePrefix + 'Div');
	var tbl = document.getElementById(namePrefix + 'Table');
	var tblHeight = tbl.offsetHeight;

	var	grdStyl = grd.style;
	var	tblStyl = tbl.style;


	if (tblHeight < grdHeight)
	{
	   grdStyl.height = tblHeight;
	   tblStyl.width = grdStyl.width;
	}
	else
	{	tblStyl.width = 'auto'
	   grdStyl.height = grdHeight + 'px';
	}

}

function alternateRowClassNames(tableId, oddClass, evenClass)
{
   var table = document.getElementById(tableId);
   var rows = table.tBodies[0].rows;
   for (var i=0; i<rows.length; i++)
   {
      rows[i].className = (i % 2) ? evenClass : oddClass;
   }
}

function limitChars2(field, max, min, showWarn, previousvalue)
{
    if (field.value.length > max)
    {
        field.value = field.value.substring(0, max);
        if (showWarn)
            alert($i18n("fcm.common.js.limitChars.alert0.fmt.txt", [max])) ;
    }
    if (field.value.length < min)
    {
        if (showWarn){
            alert($i18n("fcm.preferences.js.limitChars2.alert.fmt.txt", [min])) ;
            if (previousvalue.length == 0) {
                previousvalue = $i18n("fcm.preferences.js.limitChars2.msg.txt");
            }
            field.value = previousvalue;
        }
    }
}

function selectFieldHandler(event)
{
	var $target = $(event.target);
	if($target.attr('name') === 'moveField')
	{
		// get the row to move
		 var $row = $target.parent().parent();

		 // increment row # on source table
		 var $nextRow = $row.next();
		 var count = $row.find('td:eq(0)').text();
		 while($nextRow.size())
		 {
			 $nextRow.find('td:eq(0)').text(count++);
			 $nextRow = $nextRow.next();
		 }

		 // remove it from the source table
		 $row.remove();
		 // add it to the destination table
		 _highlightedRow = selectField($row[0], 'selectedTableBody', event.data.templateType);

		 alternateRowClassNames('availableTable', 'dataRow1_tableRow', 'dataRow2_tableRow');

	    setGridHeight('available', '320');
	    setGridHeight('selected', '320');

	    _highlightedRow.scrollIntoView();
		 event.stopPropagation();
	}

}

function unselectFieldHandler(event)
{
	var $target = $(event.target);
	if($target.attr('name') === 'moveField')
	{
		var $row = $target.parent().parent();
		 var $nextRow = $row.next();
		 var count = $row.find('td:eq(0)').text();
		 while($nextRow.size())
		 {
			 $nextRow.find('td:eq(0)').text(count++);
			 $nextRow = $nextRow.next();
		 }

		 $row.remove();

		 _highlightedRow = unselectField($row[0], 'availableTableBody', event.data.templateType);
		 alternateRowClassNames('selectedTable', 'dataRow1_tableRow', 'dataRow2_tableRow');

		 setGridHeight('available', '320');
	    setGridHeight('selected', '320');

	    if(_highlightedRow)
	   	 _highlightedRow.scrollIntoView();
	    event.stopPropagation();
	}

}
function selectField(curRow, dstTableId, templateType)
{
    var $curRow = $(curRow);
    var $newRow = $curRow.clone(true);

    var $dstTable = $('#'+dstTableId);
    var rowNum = $dstTable.find('tr').size() + 1;
    var classNames = {
   		 '0':'dataRow1_tableRow',
   		 '1':'dataRow2_tableRow'
    };
    $newRow.removeClass(classNames[(rowNum+1)%2]).addClass(classNames[rowNum%2]);
    var segmentId = $.trim($curRow.find('td:eq(1)').text());

    var field = masterFields[$curRow.attr('id')];
    field.selected = true;
    field.order = rowNum;

    $newRow.find('td:eq(0)').text(rowNum);
    if(templateType === 'ANALYST')
	 {
   	 // Add drop down box for alignment
   	 var $alignmentCell = $newRow.find('td:eq(4)');
   	 var value = $alignmentCell.text().toLowerCase();
   	 $alignmentCell.text('')
   	 	.append('<select name="alignment" class="famSelect"><option value="left">Left</option><option value="center">Center</option><option value="right">Right</option></select>')
   	 $alignmentCell.find('option[value="'+value+'"]').prop('selected',true);

   	//enable datapop
   	 $newRow.find('input[name="datapop"]').prop('disabled',false);
	 }

    $newRow.find('img[name="moveField"]').attr('src','admin/images/arrowUpRemove.gif');
    $dstTable.append($newRow);

    return $newRow[0];

}

function unselectField(curRow, dstTableId, templateType)
{
	 var $curRow = $(curRow);

    var segmentId = $.trim($curRow.find('td:eq(1)').text());
    var field = masterFields[$curRow.attr('id')];
	field.selected = false;
	field.order = 0;
	if(templateType === 'ANALYST'){
		field.alignment = $curRow.find('select[name="alignment"] option:selected').text();
		field.dataPopEnabled = $curRow.find('input[name="datapop"]').prop('checked');
		field.label = $curRow.find('td:eq(6)').text();
		field.labelDesc = $curRow.find('td:eq(7)').text();
	}
	else{
		field.label = $curRow.find('td:eq(4)').text();
	}

	 var selectedSegmentId = $('#segmentFilter option:selected').val();
    if(selectedSegmentId !== "NONE" && selectedSegmentId !== segmentId)
		 return null;

    var $newRow = $curRow.clone(true);
    var $dstTable = $('#'+dstTableId);

    var rowNum = $dstTable.find('tr').size() + 1;
    var classNames = {
   		 '0':'dataRow1_tableRow',
   		 '1':'dataRow2_tableRow'
    };
    $newRow.removeClass(classNames[(rowNum+1)%2]).addClass(classNames[rowNum%2]);

    $newRow.find('td:eq(0)').text(rowNum);
    if(templateType === 'ANALYST')
	 {
   	 // removing drop down box for alignment
   	 var $alignmentCell = $newRow.find('td:eq(4)')
   	 var alignment = $alignmentCell.find('select[name="alignment"] option:selected').text();
   	 $alignmentCell.children().remove();
   	 $alignmentCell.text(alignment);

   	 //disable datapop
   	 $newRow.find('input[name="datapop"]').prop('disabled',true);
	 }
    // Change image
	 $newRow.find('img[name="moveField"]').attr('src','admin/images/arrowDownAdd.gif');

    $dstTable.append($newRow);

    return $newRow[0];
}

function selectAllFields(templateType)
{
	var $rows = $('#availableTableBody').find('tr');
   var size = $rows.size();
   var rowArray = [];
   // Remove rows from bottom to top for performance gains
	 for(var i = size-1; i>=0; i--)
    {
		 var $row = $rows.eq(i);
		 $row.remove();
		 rowArray[rowArray.length] = $row[0];
    }

	 // Add rows in the original order
	 size = rowArray.length;
	 for(var i = size-1; i>=0; i--)
    {
		 selectField(rowArray[i], 'selectedTableBody', templateType);
    }

	 setGridHeight('available', '320');
    setGridHeight('selected', '320');

}

function unselectAllFields(templateType)
{
	var $rows = $('#selectedTableBody').find('tr');
   var size = $rows.size();

   var rowArray = [];
   // Remove rows from bottom to top for performance gains
	 for(i = size-1; i>=0; i--)
    {
		 var $row = $rows.eq(i);
		 if($row.find('img[name="moveField"]').size()){
			 $row.remove();
			 rowArray[rowArray.length] = $row[0];
		 }
    }

	 // Add rows in the original order
	 size = rowArray.length;
	 for(var i = size-1; i>=0; i--)
    {
		 unselectField(rowArray[i], 'availableTableBody', templateType);
    }

	 //alternateRowClassNames('availableTable', 'dataRow1_tableRow', 'dataRow2_tableRow');

	 setGridHeight('available', '320');
    setGridHeight('selected', '320');
}

function customMove(divRef,tableId,startIndex,dir)
{
	// No row has been highlighted
    if(!_highlightedRow) {
        alert($i18n("fcm.preferences.js.customMove.alert0.txt"));
        return;
    }

    var $row = $(_highlightedRow);
    // highlighted row is not in the selected table
    if(!$row.parents('#'+tableId).size())
    {
   	 alert($i18n("fcm.preferences.js.customMove.alert0.txt"));
       return;
    }

    if($row.attr('rowIndex') + 1 < startIndex)
  	 {
   	 return;
  	 }

    var rowIndex = $row.attr('rowIndex')
    var newRowIndex = rowIndex;
    var $siblings = $row.siblings()
    var endIndex = $siblings.size();
    if((dir == 'up' || dir == 'top') && startIndex < rowIndex)
    {
   	 var $swapRow = (dir == 'up') ? $row.prev() : $siblings.eq(startIndex-1);
   	 newRowIndex = $swapRow.attr('rowIndex');
   	 $row.insertBefore($swapRow);

   	 // re-order
   	 var $rows = $row.parent().find('tr');
   	 for(var i = newRowIndex; i <= rowIndex; i++)
      {
   	   	 $rows.eq(i-1).find("td:eq(0)").text(i);
   	   	 if(i%2)
   	   		 $rows.eq(i-1).removeClass('dataRow2_tableRow').addClass('dataRow1_tableRow');
   	   	 else
   	   		 $rows.eq(i-1).removeClass('dataRow1_tableRow').addClass('dataRow2_tableRow');
   	  }

    }
    else if((dir == 'down' || dir == 'bottom') && endIndex >= rowIndex)
    {
   	 var $swapRow = (dir == 'down') ? $row.next() : $siblings.eq(endIndex-1);
   	 newRowIndex = $swapRow.attr('rowIndex');
   	 $row.insertAfter($swapRow);
   	 //re-order
   	 var $rows = $row.parent().find('tr');
   	 for(var i = rowIndex; i <= newRowIndex; i++)
   	   {
   	   	 $rows.eq(i-1).find("td:eq(0)").text(i);
   	   	 if(i%2)
   	   		 $rows.eq(i-1).removeClass('dataRow2_tableRow').addClass('dataRow1_tableRow');
   	   	 else
   	   		 $rows.eq(i-1).removeClass('dataRow1_tableRow').addClass('dataRow2_tableRow');
   	  }
    }

    //scroll to moved row
    var top = $row.position().top;
    var rowHeight = $row.height();
    var $div = $('#'+divRef);
    var scrollTop = $div.scrollTop();
    if(top < 25)
   	 $div.scrollTop(scrollTop - 25 - (0-top))
    else if(top+rowHeight > $div.height())
   	 $div.scrollTop(scrollTop + top - 25)
}

function showDiv(img, collapseDivId)
{
   var divElement = document.getElementById(collapseDivId);

   if (divElement.style.display == 'none') {
      divElement.style.display = "inline";
      var show = "yes";
      img.src = "admin/images/collapse.jpg";
   } else {
      divElement.style.display = "none";
      var show = "no";
      img.src = "admin/images/expand.jpg";
   }
}

/* **************************************************** */
/*    Submit Forms in Grid Template Definition pages    */
/* **************************************************** */

function submitGridTemplateForm(formObj, accountTypes, activityTypes)
{
	setBusy();

   var $form = $(document.gridTemplateForm);
   var $checkboxes = $form.find('input[name="accountCheckbox"]');

   var size = $checkboxes.size();
   var fragment = document.createDocumentFragment();
   var ele;
   for(var i = 0; i < size; i++)
   {
   	var $checkbox = $checkboxes.eq(i);
   	var selected = $checkbox.prop('checked');
   	var accountTypeId = $checkbox.attr('id').slice(4);
      obj = accountTypes[$checkbox.attr('id')];

      ele = document.createElement("input");
      ele.type = "hidden";
      ele.name = "gridAccountSelected("+accountTypeId+")";
      ele.value = selected;
      fragment.appendChild(ele);

      ele = document.createElement("input");
      ele.type = "hidden";
      ele.name = "gridAccountOrder("+accountTypeId+")";
      ele.value = i+1;
      fragment.appendChild(ele);

      ele = document.createElement("input");
      ele.type = "hidden";
      ele.name = "gridAccountVersion("+accountTypeId+")";
      ele.value = obj.version;
      fragment.appendChild(ele);

      // Send activity information for account type
      var activityIDs = activityTypesByAccountType[$checkbox.attr('id')];
      for(var j = 0; j < activityIDs.length; j++)
      {
      	var activityID = activityIDs[j];
      	$checkbox = $('#'+activityID);
      	var selected = $checkbox.prop('checked');
         obj = activityTypes[activityID];

         // = activity123
         var id = activityID.slice(8);

         ele = document.createElement("input");
         ele.type = "hidden";
         ele.name = "activitySelected("+id+")";
         ele.value = selected;
         fragment.appendChild(ele);

         var $row = $('#activityRow'+id)
         // get the order from the checkbox row num
         var order = $row.size() ? $row.find('td:eq(0)').text() : "0";
         ele = document.createElement("input");
         ele.type = "hidden";
         ele.name = "activityOrder("+id+")";
         ele.value = order;
         fragment.appendChild(ele);

         ele = document.createElement("input");
         ele.type = "hidden";
         ele.name = "activityAccountTypeId("+id+")";
         ele.value = obj.accountTypeId;
         fragment.appendChild(ele);

         ele = document.createElement("input");
         ele.type = "hidden";
         ele.name = "activityVersion("+id+")";
         ele.value = obj.version;
         fragment.appendChild(ele);
      }

   }

   $form.append(fragment);
}

function submitGridAccountTypeForm(formObj, activityVersions)
{
	setBusy();

	var $form = $(formObj);
   var $checkboxes = $form.find('input[name="activityCheckbox"]');
   var accountTypeID = $form.find('input[name="id"]').val();

   var size = $checkboxes.size();
   var fragment = document.createDocumentFragment();
   var ele;
   for(var i = 0; i < size; i++)
   {
   	var $checkbox = $checkboxes.eq(i);
   	var selected = $checkbox.prop('checked');
   	var activityID = $checkbox.attr('id').slice(1);
      var version = activityVersions[$checkbox.attr('id')].version;

      ele = document.createElement("input");
      ele.type = "hidden";
      ele.name = "activitySelected("+activityID+")";
      ele.value = selected;
      fragment.appendChild(ele);

      ele = document.createElement("input");
      ele.type = "hidden";
      ele.name = "activityOrder("+activityID+")";
      ele.value = i+1;
      fragment.appendChild(ele);

      ele = document.createElement("input");
      ele.type = "hidden";
      ele.name = "activityVersion("+activityID+")";
      ele.value = version;
      fragment.appendChild(ele);

      ele = document.createElement("input");
      ele.type = "hidden";
      ele.name = "activityAccountTypeId("+activityID+")";
      ele.value = accountTypeID;
      fragment.appendChild(ele);

   }

   $form.append(fragment);
}

function submitGridActivityTypeForm(formObj, templateType)
{
	setBusy();

	var $selectedTable = $('#selectedTableBody');
	$selectedTable.mousedown(); // save edits

	var fragment = document.createDocumentFragment();

	var capitalize = function(s){return s.charAt(0).toUpperCase() +s.slice(1);}
	var props = ['alignment','dataPopEnabled','label','labelDesc','selected','order','version']

   var $rows = $selectedTable.find('tr');
   var numRows = $rows.size();
   var count = 0;
   for(var i = 0; i < numRows; i++){
   	var $row = $($rows.get(i));
   	var field = masterFields[$row.attr('id')];
   	field.selected = true;
   	field.order = count+1;
   	if(templateType === 'ANALYST'){
	   	field.alignment = $row.find('select[name="alignment"] option:selected').val();
	   	field.dataPopEnabled = $row.find('input[name="datapop"]').prop('checked');
	   	field.label = $row.find('td:eq(6)').text();
	   	field.labelDesc = $row.find('td:eq(7)').text();
   	}
   	else{
   		field.label = $row.find('td:eq(4)').text();
   	}
   	var fieldID = field.id;
   	for(var j = 0; j < props.length; j++){
   		var prop = props[j];
   		var ele = document.createElement("input");
         ele.type = "hidden";
         ele.name = "gridField"+capitalize(prop)+"("+fieldID+")";
         ele.value = field[prop];
         fragment.appendChild(ele);
   	}
      count++;
   }

//   if($('#segmentFilter option:selected').val() !== "NONE")
//   	showAvailableFieldsBySegment('availableTable',"NONE", segmentFieldMap, segmentList, templateType);
//
   for(var i = 0; i < segmentList.length; i++)
   {
   	var segment = segmentList[i];
   	var fieldIDs = segmentFieldMap[segment.id];
   	for(var j = 0; j < fieldIDs.length; j++)
   	{
   		var field = masterFields[fieldIDs[j]];
   		if(!field.selected)
   		{
	      	field.order = 0;
	      	var fieldID = field.id;
	      	for(var k = 0; k < props.length; k++){
	      		var prop = props[k];
	      		var ele = document.createElement("input");
	            ele.type = "hidden";
	            ele.name = "gridField"+capitalize(prop)+"("+fieldID+")";
	            ele.value = field[prop];
	            fragment.appendChild(ele);
	      	}
   		}
   	}
   }

//   $rows = $('#availableTableBody').find('tr');
//   numRows = $rows.size();
//
//   for(var i = 0; i < numRows; i++){
//   	var $row = $($rows.get(i));
//   	var field = masterFields[$row.attr('id')];
//   	field.selected = false;
//   	field.order = 0;
//   	if(templateType === 'ANALYST'){
//	   	field.alignment = $row.find('td:eq(4)').text();
//	   	field.dataPopEnabled = $row.find('input[name="datapop"]').prop('checked');
//	   	field.label = $row.find('td:eq(6)').text();
//	   	field.labelDesc = $row.find('td:eq(7)').text();
//   	}
//   	else{
//   		field.label = $row.find('td:eq(4)').text();
//   	}
//   	var fieldID = field.id;
//   	for(var j = 0; j < props.length; j++){
//   		var prop = props[j];
//   		var ele = document.createElement("input");
//         ele.type = "hidden";
//         ele.name = "gridField"+capitalize(prop)+"("+fieldID+")";
//         ele.value = field[prop];
//         fragment.appendChild(ele);
//   	}
//   	count++;
//   }
   formObj.appendChild(fragment);
}

function submitPropertyForm(formObj, previousSubTypeLabel)
{
    var labelInput = document.getElementById("subTypeLabel");
    var inputValue = labelInput.value;

	if (inputValue == "") {
		alert($i18n("fcm.preferences.js.submitPropertyForm.alert.txt"));

		labelInput.value = previousSubTypeLabel;
		labelInput.select();
		labelInput.focus();

	    return false;
     }

   	setBusy();
}

function submitDataMaskingForm(formObj)
{
   	setBusy();
}

function doSubmitTransactionDataMaskForm()
{
   	//setBusy();
   	$("#transactionDataMaskForm").submit();
}

function doSubmitGridTemplateForm()
{
   	//setBusy();
   	$("#gridTemplateForm").submit();
}

function doSubmitAccountTypeForm()
{
   	//setBusy();
   	$("#gridAccountTypeForm").submit();
}

function doSubmitActivityTypeForm()
{
   	//setBusy();
   	$("#gridActivityTypeForm").submit();
}

function doSubmitSystemPropertyForm()
{
	$("#propertyForm").submit();
}

function submitEntityDataMaskingForm(formObj)
{
   	setBusy();
}

function loadTableBySegmentId(fragment, segmentId, list, count, templateType)
{
    var $row = $('#availableRowClone');
    var numRows = 0;
    var fieldIDs = list[segmentId];
    for (var i=0; i < fieldIDs.length; i++)
    {
   	   var fieldID = fieldIDs[i];
   	   var field = masterFields[fieldID];
        if (!field.selected)
        {
      	  numRows++;
      	  var $newRow = $row.clone(true);
      	  $newRow.addClass(count % 2 ? 'dataRow1_tableRow' : 'dataRow2_tableRow');
      	  $newRow.attr('id','f'+field.id);


      	  var $cell = $newRow.find('td:eq(0)');
           $cell.text(count);

         $cell = $cell.next();
			$cell.text(field.segmentId);

			$cell = $cell.next();
			$cell.text(field.name);

			$cell = $cell.next();
			$cell.text(field.desc);

			if(templateType === 'ANALYST')
			{
				$cell = $cell.next();
				$cell.text(field.alignment);

				$cell = $cell.next();
				$cell.find('input[name="datapop"]').prop('checked',field.dataPopEnabled);

				$cell = $cell.next();
				$cell.text(field.label);

				$cell = $cell.next();
				$cell.text(field.labelDesc);
			}
			else
			{
				$cell = $cell.next();
				$cell.text(field.label);
			}

            fragment.appendChild($newRow[0]);
            count++;
        }
    }
    return numRows;
}

function showAvailableFieldsBySegment(tableId, selectedSegmentId, list, segList, templateType)
{
    var table = document.getElementById(tableId);
    var count = 1;
    var tBody = table.tBodies[0];
    var newTBody = document.createElement('tbody');
    newTBody.id = tBody.id;
    var fragment = document.createDocumentFragment();
    if(selectedSegmentId === "NONE")     // show all unselected segments/fields
    {
        for (var j=0; j< segList.length; j++) {
            var segmentId = segList[j].id;
            count += loadTableBySegmentId(fragment,segmentId, list, count, templateType);
        }
    } else {
        count = loadTableBySegmentId(fragment, selectedSegmentId, list, count, templateType);
    }
    newTBody.appendChild(fragment);
    table.replaceChild(newTBody,tBody);

    setGridHeight('available', '320');
}

function makeEditable(event)
{
	var $listener = $(event.currentTarget);
	var $target = $(event.target);
	if(!$target.is('.editable'))
		return;

	if($listener.data('currentEdit'))
		return;

	var text = $target.text();
	$target.text('');
	if(event.data[$target.attr('cellIndex')] === 'textarea')
	{
		$target.append('<textarea class="famTextEntry editable" cols="32" rows="3" wrap="PHYSICAL" onfocus="this.select()" onkeydown="limitChars(this,255)">'+text+'</textarea>')
		$target.find('textarea').focus();
	}
	else if(event.data[$target.attr('cellIndex')] === 'textfield')
	{
		$target.append('<input class="famTextEntry editable" type="text" maxLength="25" onfocus="this.select()" value="'+text+'"/>');
		$target.find('input').focus();
	}

	$target.data('originalText',text);
	$listener.data('currentEdit',event.target);
}

function saveEdits(event)
{
	var $listener = $(event.currentTarget);
	var $target = $(event.target);

	if($listener.data('currentEdit') && ($listener.data('currentEdit') === $target[0] ||
			$listener.data('currentEdit') === $target.parent()[0] ))
		return;

	var $currentEdit = $($listener.data('currentEdit'));
	if(!$currentEdit.size())
		return;

	var text = "";
	var index = $currentEdit.attr('cellIndex');
	if(event.data[index] === 'textarea')
	{
		text = $currentEdit.find('textarea').val();
	}
	else if(event.data[index] === 'textfield')
	{
		text = $currentEdit.find('input').val();
	}
	if($.trim(text).length < 1)
		text = $currentEdit.data('originalText');

	$currentEdit.children().remove();
	$currentEdit.text(text);
	$listener.data('currentEdit',null);
}

function validateAllAccountSelection()
{
	var activitiesSelectedCount = $('input[id!="activity-1"][name="activityCheckbox"]:checked').size();

	if(!activitiesSelectedCount)
	{
		// Remove all activity
		$('#activityRow-1').remove();
		// Uncheck all account
		$('#acct-1').prop('checked',false).prop('disabled',true);
		// reorder the existing activities
		$('input[name="activityCheckbox"]').each(function(count){
			//input > td -> get first td in row
			$(this).parent().siblings().eq(0).text(count+1);
		});

		alternateRowClassNames('activityTable', 'dataRow1_tableRow', 'dataRow2_tableRow');
		setGridHeight('activity', '320');
	}
	else
	{
		$('#acct-1').prop('disabled',false);
	}

}

function showActivitiesByAccount(checkbox)
{
	var selected = checkbox.checked;
	var activityTypeIDs = activityTypesByAccountType[checkbox.id]

	if(!selected)
	{
		var ids = "";

		// check to see if only -1 account type is selected or
		// if no other account type is selected
		var $selectedAccountTypes = $('input[id!="acct-1"][name="accountCheckbox"]:checked');
		if(!$selectedAccountTypes.size()){

			$('#acct-1').prop('checked',false).prop('disabled',true);
			ids += '#activityRow-1,';
		}

		// activityTypeIDs start with t followed by number
		// rows to delete start with r followed by number
		for(var i = 0; i < activityTypeIDs.length; i++)
			ids += '#activityRow'+activityTypeIDs[i].slice(8)+",";
		$(ids).remove();

		var $selectedActivityTypes = $('input[id!="activity-1"][name="activityCheckbox"]:checked');
		if(!$selectedActivityTypes.size()){

			$('#acct-1').prop('checked',false).prop('disabled',true);
			$('#activityRow-1').remove();
		}

		// reorder the existing activities
		$('input[name="activityCheckbox"]').each(function(count){
			//input > td -> get first td in row
			$(this).parent().siblings().eq(0).text(count+1);
		});
		//move scrolling div back to top
		$('#activityDiv').scrollTop(0);
	}
	else{

		var $selectedActivityTypes = $('input[id!="activity-1"][name="activityCheckbox"]:checked');
		if(!$selectedActivityTypes.size()){

			$('#acct-1').prop('checked',false).prop('disabled',true);
			$('#activityRow-1').remove();
		}
		else{
			// enable the all account if it exists
			$('#acct-1').prop('disabled',false);
		}

		var $table = $('#activityTableBody');
		var fragment = document.createDocumentFragment();
		var $activityRow = $('#activityRowClone');
		var count = $table.find('tr').size()+1;
		// insert the activity type
		for(var i = 0; i < activityTypeIDs.length; i++){
			var activityType = activityTypes[activityTypeIDs[i]];
			var $row = $activityRow.clone(true);
			$row.attr('id','activityRow'+activityTypeIDs[i].slice(8))
			$row.find('td:eq(0)').text(count++);
			$row.find(':checkbox')
					.attr('id',activityTypeIDs[i])
					.prop('checked',activityType.selected);
			$row.find('td:eq(2)').text(activityType.accountName);
			$row.find('td:eq(3)').text(activityType.activityName);
			$row.find('td:eq(4)').text(activityType.activityDesc);
			fragment.appendChild($row[0]);
		}
		$table.append(fragment);
		alternateRowClassNames('activityTable', 'dataRow1_tableRow', 'dataRow2_tableRow');

		//find first new row; highlight and scroll into view
		var $row = $('#activityRow'+activityTypeIDs[0].slice(8))
		if($row.size()){
			highlightRowById($row.get(0),'rowSelected');
			$row.get(0).scrollIntoView();
		}
	}
    setGridHeight('activity', '320');
}
