<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<style type="text/css">
@import "admin/styles/preference.css";
</style>

<script language="JavaScript" src="admin/scripts/dynamicRows.js" type="text/javascript"></script>
<script language="JavaScript" src="admin/scripts/preference.js" type="text/javascript"></script>
<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language='JavaScript' src='common/scripts/menuFrames.js'></script>

<table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="position:fixed; left:0px; z-index:2;"><tr><td colspan="1">
 <tiles:insert page="/admin/preferenceGridDefinitionMenu.jsp"/>
 </td></tr></table>

<br>
<%-- TODO: Error handling code --%>
<c:url var="reloadURL" value="/preference.sj?method=viewPreferencesTree&treeSelectedItemId=${esapi:encodeForURL(propertyType)}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
   <tiles:put name="reloadURL" value="${reloadURL}" />
   <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
   <tiles:put name="objectTypeName" value="display system properties" />
</tiles:insert>

<br>
<form id="propertyForm" name="propertyForm" action="<c:url value='/systemProperties.sj'/>" method="post"  onsubmit="return submitPropertyForm(this, '${esapi:encodeForJavaScript(propertySubTypeLabel)}');">

<input type="hidden" name="method" value="saveProperties">
<input type="hidden" name="propertyType" value="${esapi:encodeForHTMLAttribute(propertyType)}">
<input type="hidden" name="propertySubType" value="${esapi:encodeForHTMLAttribute(propertySubType)}">
<input type="hidden" name="isSubTypeNode" value="${esapi:encodeForHTMLAttribute(isSubTypeNode)}">

<c:if test="${isSubTypeNode == true}">
				<fmt:message key="fcm.preferences.property.subtype.name.txt"/>&nbsp;&nbsp;
				<input id="subTypeLabel" name="propertySubTypeLabel" type="text" class="famTextEntry" value="${esapi:encodeForHTMLAttribute(propertySubTypeLabel)}" size="40" maxlength="100" onKeyDown="limitChars2(this,60,1);" onKeyUp="limitChars2(this,60,1,true, '${esapi:encodeForJavaScript(propertySubTypeLabel)}' );" />&nbsp; <br>
    		</c:if>
    		<c:if test="${isSubTypeNode == false}">
    			<input id="subTypeLabel" type="hidden" name="propertySubTypeLabel" value="${esapi:encodeForHTMLAttribute(propertySubTypeLabel)}">
    		</c:if>

<br/>

<div id="propertyContentDiv">

<!-- main content header -->
<table class="mainTable minWidthTable"  cellpadding="0" cellspacing="0" border="0" style="margin: 20px">

	<tr align="left" valign="top" >
    	<div><p align="left" style="font-size:12px"><b><fmt:message key="fcm.preferences.property.type.name.txt" /> <fmt:message key='fcm.preferences.property.type.${propertyType}.txt' /></b></div>
    </tr>

	<tr>
		<td colspan="2" style="padding: 0px;" >

			<div id="propertyDiv" class="preferencesGrid">

			<!-- main content header -->
			<table id="propertyTable"  cellspacing="0"  cellpadding="0"  class="mainTable"  style="border: none; border-collapse: separate;">
				<thead>
					<tr class="tableColumnHeaderRow">
						<th nowrap width="4%" class="centeredTableHeader" style="border-top: none;"><fmt:message key="fcm.preferences.content.count.header.title" /> </th>
						<th nowrap width="15%" class="tableHeader" style="border-top: none;"><fmt:message key="fcm.preferences.property.name.header.title" /> &nbsp;</th>
						<th nowrap width="30%" class="tableHeader" style="border-top: none;"><fmt:message key="fcm.preferences.property.value.header.title" /> &nbsp;</th>

						<th nowrap width="15%" class="tableHeader" style="border-top: none;"><fmt:message key="fcm.preferences.property.label.header.title" /> &nbsp;</th>
						<th nowrap width="35%" class="tableHeader" style="border-top: none; border-right: none"><fmt:message key="fcm.preferences.property.description.header.title" /> &nbsp;</th>

					</tr>
				</thead>

				<tbody id="propertyTableBody">

				<c:forEach var="property" items="${properties}" varStatus="loop">

					<tr id='${loop.count}' class="dataRow${(loop.count-1)%2+1}_tableRow">
						<td class="imageTableCell" > ${loop.count} </td>
						<td class="textTableCell">${esapi:encodeForHTML(property.name)} </td>

						<td class="textTableCell"  onmousedown="highlightRowById(this.parentNode, 'rowSelected');">
                            <c:choose>
                                <c:when test="${property.editable}">
									<textarea class="famTextEntry" name="value" cols="50" rows="4" wrap="PHYSICAL" onkeydown="limitChars(this,1020);" onkeyup="limitChars(this,1020,true);">${esapi:encodeForHTML(property.value)}</textarea>&nbsp;&nbsp;
                                    <input type='hidden' name='name' value='${esapi:encodeForHTMLAttribute(property.name)}'>
                                    <input type='hidden' name='version' value='${esapi:encodeForHTMLAttribute(property.version)}'>
                                    <input type='hidden' name='type' value='${esapi:encodeForHTMLAttribute(property.type)}'>
                                    <input type='hidden' name='subtype' value='${esapi:encodeForHTMLAttribute(property.subType)}'>
                                    <input type='hidden' name='editable' value='${esapi:encodeForHTMLAttribute(property.editable)}'>
                                </c:when>
                                <c:otherwise>
                                    <textarea class="famTextEntry" name="value" cols="50" rows="4" wrap="PHYSICAL" disabled="disabled" onkeydown="limitChars(this,1020);" onkeyup="limitChars(this,1020,true);">${esapi:encodeForHTML(property.value)}</textarea>&nbsp;&nbsp;
                                    <input type='hidden' name='value' value='${esapi:encodeForHTMLAttribute(property.value)}'>
                                    <input type='hidden' name='name' value='${esapi:encodeForHTMLAttribute(property.name)}'>
                                    <input type='hidden' name='version' value='${esapi:encodeForHTMLAttribute(property.version)}'>
                                    <input type='hidden' name='type' value='${esapi:encodeForHTMLAttribute(property.type)}'>
                                    <input type='hidden' name='subtype' value='${esapi:encodeForHTMLAttribute(property.subType)}'>
                                    <input type='hidden' name='editable' value='${esapi:encodeForHTMLAttribute(property.editable)}'>
                                </c:otherwise>
                            </c:choose>
						</td>

						<td class="textTableCell">${esapi:encodeForHTML(property.label)}  </td>
						<td class="textTableCell lastCol">${esapi:encodeForHTML(property.description)}  </td>

					</tr>

				</c:forEach>

				</tbody>
			</table>
			<%-- end main content --%>

			</div>

			<%-- end main content -- up/down and content --%>

		</td>
	</tr>
</table>
<!-- end main content header -->

<%-- <div id="propertySaveButton" style="display: block; padding: 10px" align="center">
	<input id="saveButton" class="button" name="button" type="submit" style="margin-left: 10px;" value='<fmt:message key="fcm.application.save.txt" />'>
</div> --%>

</div>

</form>

<c:if test="${not empty updateAdmins && !updateAdmins}">
	<script language="JavaScript" type="text/javascript">
    	setFormsReadOnly();
  	</script>
</c:if>

