<%-- this file uses leading tabs; don't insert leading spaces --%>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>
<c:set var="isAlertTransactions" value="${empty notAlertTransactions}" />
<c:set var="acronym" value="${entityTransactionActivity.acronym}"/>
<c:set var="theAllTab" value="${acronym == 'ALL'}"/>
<c:if test="${empty startRow}">
<c:set var="startRow" value="1"/>
</c:if>
<div id="${esapi:encodeForHTMLAttribute(acronym)}OverflowContainer" class="scrollableGrid" >
<table id="${esapi:encodeForHTMLAttribute(acronym)}Table" cellspacing="0" cellpadding="2" class="mainTable txn-data-table" style="width:100%;border:0px;border-collapse:separate;" onmouseout="unhighlightDatapop(event)" onmouseover="highlightDatapop(event)">
<thead>
<tr class="lockHeader">
<th class="txnTableHeader">&nbsp;</th>
<th class="txnTableHeader" title="<fmt:message key='fcm.alert.confirmedFraudWithAlert.txt'/>"><img src="analyst/images/fraudTxnInd.gif" class="icon" width="16" height="16"/></th>
<th class="txnTableHeader" title="<fmt:message key='fcm.alert.confirmedFraud.txt'/>"><fmt:message key="fcm.alert.cf.txt"/></th>
<c:if test="${theAllTab}">
<th class="txnTableHeader" title="<fmt:message key='fcm.alert.transactionType.txt'/>"><fmt:message key="fcm.alert.type.txt"/></th>
</c:if>
<c:forEach var="fieldDefinition" items="${entityTransactionActivity.fieldDefinitions}" varStatus="status">
<th class="txnTableHeader<c:if test="${status.last}"> lastCol</c:if>" title="${esapi:encodeForHTMLAttribute(fieldDefinition.labelDesc)}">${txns:addSortEvent(fieldDefinition)}</th>
</c:forEach>
</tr>
</thead>
<tbody>
<c:set var="confirmedFraudCounter" value="0"/>
<c:forEach var="dataValues" items="${entityTransactionActivity.dataValues}" varStatus="loop">
<c:if test="${dataValues['CMX_USER_FRAUD_IND'] eq '1'}">
<c:set var="confirmedFraudCounter" value="${confirmedFraudCounter+1}"/>
</c:if>
<tr class="dataRow${(loop.count-1)%2+1}_tableRow" ${txns:checkCreateAlert(dataValues)}>
<c:choose>
<c:when test="${displayType != 'viewEntity' && displayType != 'viewAlert' && manualAlerts && updateAlerts && enableCreateAlertOnTrans}">
<td class="imageTableCell" style="cursor:pointer;" title="<fmt:message key="fcm.alert.createAlertOnTransactionTitle.txt"/>" onclick="showAlertTypeSelection(event,'${dataValues["TRANSACTION_ID"]}','${dataValues["TRANSACTION_NAME"]}')">${startRow + loop.count -1}</td>
</c:when>
<c:otherwise>
<td class="imageTableCell">${startRow + loop.count -1}</td>
</c:otherwise>
</c:choose>
<td class="imageTableCell">
<c:set var="cfAlerts" value="${txns:getTxnFraudAlerts(dataValues)}"/>
<c:if test="${not empty cfAlerts}">
<a href="javascript:;" onclick="getTxnFraudAlerts(event,'${cfAlerts}')"><img src="analyst/images/fraudTxnInd.gif" class="icon" width="16" height="16"/></a>
</c:if></td>
<c:choose>
<c:when test="${theAllTab}">
<td class="imageTableCell" style="padding:0px;">
<c:choose>
<c:when test="${isAlertTransactions and (displayType ne 'viewEntity' and displayType ne 'viewAlert') and dataValues['USER_FRAUD_LOCK_IND'] eq '0'}">
<input id="ALL_${esapi:encodeForHTMLAttribute(dataValues["TRANSACTION_NAME"])}_${dataValues["TRANSACTION_ID"]}" type='checkbox' ${txns:checkUserFraud(dataValues)} onclick="transClicked(this,'ALL')" />
</c:when>
<c:when test="${dataValues['CMX_USER_FRAUD_IND'] eq '1'}">
<img border="0" width="10" height="8" class="icon" src="analyst/images/check.gif"/>
</c:when>
<c:otherwise>
<img border="0" width="10" height="8" class="icon" src="common/images/spacer.gif"/>
</c:otherwise>
</c:choose>
</td>
<td class="textTableCell">${esapi:encodeForHTML(txns:getTransactionTypeLabel(dataValues["TRANSACTION_NAME"]))}</td>
</c:when>
<c:otherwise>
<td class="imageTableCell" style="padding:0px;">
<c:choose>
<c:when test="${isAlertTransactions and (displayType ne 'viewEntity' and displayType ne 'viewAlert') and dataValues['USER_FRAUD_LOCK_IND'] eq '0'}">
<input id="${esapi:encodeForHTMLAttribute(dataValues["TRANSACTION_NAME"])}_${dataValues["TRANSACTION_ID"]}" type='checkbox' ${txns:checkUserFraud(dataValues)} onclick="transClicked(this,'${esapi:encodeForJavaScript(dataValues["TRANSACTION_NAME"])}')" />
</c:when>
<c:when test="${dataValues['CMX_USER_FRAUD_IND'] eq '1'}">
<img border="0" width="10" height="8" class="icon" src="analyst/images/check.gif"/>
</c:when>
<c:otherwise>
<img border="0" width="10" height="8" class="icon" src="common/images/spacer.gif"/>
</c:otherwise>
</c:choose>
</td>
</c:otherwise>
</c:choose>
<c:forEach var="fieldDefinition" items="${entityTransactionActivity.fieldDefinitions}" varStatus="loop">
<c:choose>
<c:when test="${fieldDefinition.name eq 'all_rules_fired'}">
<td dpIdxCol="true" class="${txns:getDataClassName(fieldDefinition,dataValues,loop.last)}">
<c:set var="rulesFired">${dataValues[fn:toUpperCase(fieldDefinition.name)]}</c:set>
<c:if test="${not empty rulesFired}">
<c:set var="entityType">${esapi:encodeForHTMLAttribute(esapi:encodeForJavaScript(displayEntity.entityType.code))}</c:set>
<c:set var="tranName">${esapi:encodeForHTMLAttribute(esapi:encodeForJavaScript(dataValues["TRANSACTION_NAME"]))}</c:set>
<c:set var="tranID">${esapi:encodeForHTMLAttribute(esapi:encodeForJavaScript(dataValues["TRANSACTION_ID"]))}</c:set>
<a href="javascript:;" onclick="getRulesFired(event,{entityType: '${entityType}', tranName: '${tranName}', tranID: '${tranID}'})">
<img class="icon" border="0" src="analyst/images/Rules.gif" width="16" height="16"/></a>
</c:if>
</td>
</c:when>
<c:otherwise>
<td dpIdxCol="true" class="${txns:getDataClassName(fieldDefinition,dataValues,loop.last)}"><sfmfmt:formatData value="${dataValues[fn:toUpperCase(fieldDefinition.name)]}" dataType="${fieldDefinition.dataType}" maskType="${fieldDefinition.maskingType}" /> </td>
</c:otherwise>
</c:choose>
</c:forEach>
</tr>
</c:forEach>
</tbody>
</table>
</div>
<table id="${esapi:encodeForHTMLAttribute(acronym)}TotalsTbl" class="mainTable" cellpadding="0" cellspacing="0" width="100%" style="border:0">
<tbody>
<tr>
<th class="centeredTableHeader" style="border-right:none;border-bottom:none;text-align:left;width:30%;padding-left:6px;" nowrap="true">
<c:if test="${isAlertTransactions and (displayType ne 'viewEntity' and displayType ne 'viewAlert')}">
<a id="${esapi:encodeForHTMLAttribute(acronym)}CheckAllTransactions" href="javascript:;" onclick="checkAllTransactions(this,'${esapi:encodeForJavaScript(acronym)}',false);"></a>
</c:if>
</th>
<th class="centeredTableHeader" style="border-right:none;border-bottom:none;text-align:center;" nowrap>
<fmt:message key="fcm.alert.transactionStartRowAndRowCount.txt">
<fmt:param>${startRow}</fmt:param>
<fmt:param>${startRow + fn:length(entityTransactionActivity.dataValues) - 1}</fmt:param>
<fmt:param>${entityTransactionActivity.rowCount}</fmt:param>
</fmt:message>
</th>
<th class="centeredTableHeader" style="border-right:none;border-bottom:none;text-align:right;width:30%;padding-right:6px;" nowrap="true">
<a
<c:if test="${startRow <= 1}">
class="disabledLink" disabled="disabled"
</c:if>
<c:if test="${startRow > 1}">
href="#" onclick="scrollTransactions('${esapi:encodeForJavaScript(acronym)}',${esapi:encodeForJavaScript(startRow)},'PREV');return false;"
</c:if>
><fmt:message key="fcm.alert.previous.txt"/></a> &nbsp;
<a
<c:if test="${not entityTransactionActivity.moreRows}">
class="disabledLink" disabled="disabled"
</c:if>
<c:if test="${entityTransactionActivity.moreRows}">
href="#" onclick="scrollTransactions('${esapi:encodeForJavaScript(acronym)}','${esapi:encodeForJavaScript(startRow)}','NEXT');return false;"
</c:if>
><fmt:message key="fcm.alert.next.txt"/></a>
</tr>
</tbody>
</table>
<script>
$(document).ready(function(){

$('#${acronym}Table').data('startRow', ${esapi:encodeForJavaScript(startRow)})
.data('entityObj', <sfmfmt:entityToJSON entity="${displayEntity}"/>)
.data('gridID', ${displayEntity.gridTemplateId})
.data('acronym', '${esapi:encodeForJavaScript(entityTransactionActivity.acronym)}')
.data('sortColumns', '${esapi:encodeForJavaScript(sortColumns)}')
.data('displayType', '${esapi:encodeForJavaScript(displayType)}')
.data('rowCount', '${esapi:encodeForJavaScript(entityTransactionActivity.rowCount)}')
.data('moreRows', ${entityTransactionActivity.moreRows || 1 < entityTransactionActivity.startRow})
.data('confirmedFraudCount',${esapi:encodeForJavaScript(confirmedFraudCounter)})
.data('totalRows',${fn:length(entityTransactionActivity.dataValues)})
.data('txnTableDataPops',${txns:getDataPopJSON(entityTransactionActivity.fieldDefinitions, theAllTab)});

if(${confirmedFraudCounter} === ${fn:length(entityTransactionActivity.dataValues)})
{
$("#${acronym}CheckAllTransactions").text($('#markAllVerifiedOK').text());
}
else
{
$("#${acronym}CheckAllTransactions").text($('#markAllConfirmedFraud').text());
}

});
</script>


