<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<%-- Push component attributes in page context --%>
<tiles:importAttribute/>
<%-- <c:out value='Banner HelpPage Value is ${helppage}' default="Banner --- Generate this if helppage is null" />
--%>
<%-- If selected was not passed in, make sure it is blank. --%>
<logic:notPresent name="helppage" >
	<% pageContext.setAttribute( "helppage", "" ); %>
</logic:notPresent>

<!-- Begin Banner -->
<div id="banner" background="common/images/BannerBackground.gif" style='background: #039 url("common/images/BannerBackground.gif")'>
	<div class="transbar">&nbsp;</div>
	<form id="buSelectionForm" method="POST"> <input type="hidden" name="workingBuId"/></form>
	<table class="linkbar" cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td align="right"><span style="color:#FFFFFF;font-weight:bold">
				<a id="Help" target="_top" href="JavaScript:openHelp({locale:'${onlineHelpLocale}'})" onmouseover="window.status='Help';return true" class="utilmenu">
					<fmt:message key="creditfraud.banner.help.txt" /></a>
					|
		<c:choose>
			<c:when test="${not empty popoutTab and selectedTab eq popoutTab}">
				<a href="javascript:;" onclick="closePopout();" target="_top" class="utilmenu">
					<fmt:message key="creditfraud.banner.close.txt" /></a>
			</c:when>
			<c:otherwise>
			<%--
				<a href="javascript:;" onclick="logOut()" id="Logoff" target="_top" class="utilmenu">
					<fmt:message key="creditfraud.banner.logout.txt" /></a>
			--%>
				<a href="javascript:;" onclick="$('#logoffPopup').css('display', '');" class="utilmenu"
					onmouseover="$('#logoffPopup').css('display', '');">${esapi:encodeForHTML(PRINCIPAL.username)}</a>
			</c:otherwise>
		</c:choose>
				</span>
			</td>
			<td width="1%">&nbsp;</td>
		</tr>
	</table>
	<div id="logoffPopup" style="position:absolute; top:1px; right:1px; z-index:20; background-color:white; background-image:url(common/images/LogonArtTile.gif); border:1px solid #039; display:none;" onmouseover="this.style.display='';" onmouseout="this.style.display='none';">
		<table cellpadding="0" cellspacing="0" border="0" style="padding:2px;">
			<tr style="vertical-align:middle;">
				<td><img src="common/images/rep0.gif"/></td>
				<td style="font-weight:bold;color:white;">${esapi:encodeForHTML(PRINCIPAL.username)}</td>
				<td><input type="button" value="<fmt:message key='creditfraud.banner.logout.txt'/>" onclick="logOut()" onblur="$('#logoffPopup').css('display', 'none');" ></td>
			</tr>
		</table>
	</div>
	<table cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td nowrap id="bantitle">
				<c:choose>
					<c:when test="${empty productName}">
						<img src="common/images/sasFraudMgmtForCards.gif" width="243" height="20"/>
					</c:when>
					<c:otherwise>
						<span id="productName" style="padding-left:3px;padding-right:3px;vertical-align:25%;font-size:small;">${productName}</span>
					</c:otherwise>
				</c:choose>
				<c:if test="${not empty productType}">
					<span style="font-family:verdana;font-size:x-small;font-variant:small-caps;color:#FFF;vertical-align:25%"><span style="color:#FD9">&middot;</span> &nbsp; ${productType}</span>
				</c:if>
			</td>
			<td id="banbullet"></td>
			<td nowrap id="bantitle2"></td>
			<td align="right" id="banlogo" width="100%"><img src="common/images/saslogo.gif" alt="<fmt:message key='fcm.alert.sasLogo.txt'/>" title="<fmt:message key='fcm.alert.sasLogo.txt'/>" width="70" height="32"></td>
		</tr>
	</table>
<%-- this check works unless there is an Application Error --%>
<c:if test="${selectedTab ne popoutTab}">
	<div id="primaryMenu">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
			<tr class="primaryMenuRow">
				<td align="left">
					<table id="mb361" border="0" cellspacing="0" cellpadding="0" class="menuBar" >
							<%-- Hash Map key is the tab name like reports, strategies etc --%>
							<%-- Value is a LabelValueBean whose key is a localizable display name --%>
							<%-- and value is the onclick tab action --%>
						<tr>
							<c:forEach var="tab" items="${tabList}">
								<c:set var="popoutAllowed" value="${enableAnalystWorkstationPopout and tab.name eq 'analystWorkstation'}"/>
								<c:choose>
									<c:when test="${tab.name == selectedTab}">
									<td id="${tab.name}SelectedTabContainer" nowrap="nowrap"><table height="100%" border="0" cellspacing="0" cellpadding="0" class="primaryMenuSelectedOuterTable">
											<tr>
												<td class="tab"><img src="common/images/TabUpperLeftSelect.gif" border="0" alt=""></td>
												<td valign="top" class="tabSelected"><img src="common/images/TabTopSelect.gif" border="0" height="5" width="100%" alt=""></td>
												<td class="tab"><img src="common/images/TabUpperRightSelect.gif" border="0" alt=""></td>
											</tr>
											<tr>
												<td class="tabSelected"></td>
												<td nowrap><table border="0" cellspacing="0" cellpadding="0" height="100%">
														<tr>
													<c:choose>
														<c:when test="${popoutAllowed}">
															<td class="tabSelected" nowrap height="100%">&nbsp;<a target="_top" href='<c:url value="${tab.url}" />' class="menuLink" ><fmt:message key="${tab.label}" /></a><a id="openPopoutLink" href="javascript:;" onclick="openPopout('${tab.name}')"><img id="tabPopoutIcon" class="icon" width="16px" height="14px" src="common/images/PopOut.gif"/></a>
															</td>
														</c:when>
														<c:otherwise>
															<td class="tabSelected" nowrap height="100%">&nbsp;<a target="_top" href='<c:url value="${tab.url}" />' class="menuLink" ><fmt:message key="${tab.label}" /></a>&nbsp;
															</td>
														</c:otherwise>
													</c:choose>
                               <script>var _thisUrl="${tab.url}"; </script>
														</tr>
													</table></td>
												<td class="tabSelected tab-right-select-image"></td>
											</tr>
										</table></td>
										<c:if test="${popoutAllowed}">
										<td id="${tab.name}PopinTabContainer" nowrap="nowrap" style="display:none">
										  <table height="100%" border="0" cellspacing="0" cellpadding="0" class="primaryMenuNonSelectedOuterTable">
												<tr>
													<td class="tab"><img src="common/images/TabUpperLeftFirst.gif" border="0" alt=""></td>
													<td valign="top" class="tab"><img src="common/images/TabTop.gif" border="0" height="5" width="100%" alt=""></td>
													<td class="tab"><img src="common/images/TabUpperRight.gif" border="0" alt=""></td>
												</tr>
												<tr>
													<td class="tab-left-first-image"/>
													<td nowrap><table border="0" cellspacing="0" cellpadding="0" height="100%">
															<tr>
																<td class="tab" nowrap height="100%">&nbsp;<a target="_top" href='<c:url value="${tab.url}" />' onclick="return popinTab()" class="menu"><fmt:message key="${tab.label}" /><img id="tabPopinIcon" class="icon" width="16px" height="14px" src="common/images/PopIn.gif"/></a></td>
															</tr>
														</table></td>
													<td class="tab-right-image"/>
												</tr>
											</table></td>
										</c:if>
									</c:when>
									<c:when test="${tab.name == popoutTab}">
										<td nowrap="nowrap">
										  <table height="100%" border="0" cellspacing="0" cellpadding="0" class="primaryMenuNonSelectedOuterTable">
												<tr>
													<td class="tab"><img src="common/images/TabUpperLeftFirst.gif" border="0" alt=""></td>
													<td valign="top" class="tab"><img src="common/images/TabTop.gif" border="0" height="5" width="100%" alt=""></td>
													<td class="tab"><img src="common/images/TabUpperRight.gif" border="0" alt=""></td>
												</tr>
												<tr>
													<td class="tab-left-first-image"/>
													<td nowrap><table border="0" cellspacing="0" cellpadding="0" height="100%">
															<tr>
																<td class="tab" nowrap height="100%">&nbsp;<a target="_top" href='<c:url value="${tab.url}" />' onclick="return popinTab()" class="menu"><fmt:message key="${tab.label}" /><img id="tabPopinIcon" class="icon" width="16px" height="14px" src="common/images/PopIn.gif"/></a>&nbsp;</td>
															</tr>
														</table></td>
													<td class="tab-right-image"/>
												</tr>
											</table></td>
									</c:when>
									<c:otherwise>
										<td nowrap="nowrap">
										  <table height="100%" border="0" cellspacing="0" cellpadding="0" class="primaryMenuNonSelectedOuterTable">
												<tr>
													<td class="tab"><img src="common/images/TabUpperLeftFirst.gif" border="0" alt=""></td>
													<td valign="top" class="tab"><img src="common/images/TabTop.gif" border="0" height="5" width="100%" alt=""></td>
													<td class="tab"><img src="common/images/TabUpperRight.gif" border="0" alt=""></td>
												</tr>
												<tr>
													<td class="tab-left-first-image"/>
													<td nowrap><table border="0" cellspacing="0" cellpadding="0" height="100%">
															<tr>
																<td class="tab" nowrap height="100%">&nbsp;<a target="_top" href='<c:url value="${tab.url}" />' class="menu"><fmt:message key="${tab.label}" /></a>&nbsp;</td>
															</tr>
														</table></td>
													<td class="tab-right-image"/>
												</tr>
											</table></td>
									</c:otherwise>
								</c:choose>
							</c:forEach>
						</tr>
					</table></td>
			</tr>
		</table>
	</div>
</c:if>
	<div id="menuDivider">
		<table width="100%" cellpadding="0" cellspacing="0" height="4px">
			<tr class="secondaryMenuRow">
				<td></td>
			</tr>
		</table>
	</div>
</div>
<!-- End Banner -->
<c:if test="${not empty popoutTab and selectedTab eq popoutTab}">
<script type="text/javascript">
$(document).ready(function(){
	forcePopinTab();
});
</script>
</c:if>

