<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>

  <script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
  <script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
  <script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
  <SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
  <SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
  <script language="JavaScript" src="rules/scripts/rules.js"></script>
  <script language="JavaScript" src="rules/scripts/lookupLists.js"></script>
<c:choose>
	<c:when test="${empty productName}">
<pre id="tabTitle" style="display:none;"><fmt:message key="creditfraud.application.title.txt" /> - <fmt:message key="creditfraud.tab.lookupLists.txt" /></pre>
	</c:when>
	<c:otherwise>
<pre id="tabTitle" style="display:none;">${fn:replace(fn:replace(productName, "<sup>", ""), "</sup>", "")} - <fmt:message key="creditfraud.tab.lookupLists.txt" /></pre>
	</c:otherwise>
</c:choose>
  <script language="JavaScript">
  //<!--
  if (parent.document)
    parent.document.title = document.getElementById("tabTitle").innerHTML;
  
  var action = '<c:url value="/r_rules.do"/>';
  var lookupListAction = '<c:url value="/r_lookupLists.do"/>';
  var lookupListDeleteAction = '<c:url value="/r_deleteLookupLists.do" />';
  <c:url var="url" value="/r_uploadLookupList.do">
    <c:param name="engine" value="${engine}"/>
  </c:url>
  var lookupListUploadAction = '${url}';

  var workflow = 'lookupListList${engine}';
  var engine = '${engine}';
  var contentOrList = "${contentOrList}"
  
  function ignoreReturn(evt)
  {
     if(!evt) evt = window.event;
     if(evt.keyCode == 13) return false;
     return true;
  }
  
  var lookupListUpNbrs = new Array();
  var lookupListNames = new Array();
  var lookupListFiles = new Array();
  
  <c:forEach var="listInfo" items="${listsInfo}" >
  //-->
  </script>
     <pre id="lookupListUpNbr${listInfo.id}" style="display:none">${fn:escapeXml(listInfo.lstupdtNbr)}</pre>
     <pre id="lookupListName${listInfo.id}" style="display:none">${fn:escapeXml(listInfo.name)}</pre>
     <pre id="lookupListFile${listInfo.id}" style="display:none">${fn:escapeXml(listInfo.inds)}</pre>
  <script>  
  //<!--
     lookupListUpNbrs[${listInfo.id}] = document.getElementById("lookupListUpNbr${listInfo.id}").innerHTML;  
     lookupListNames[${listInfo.id}] = document.getElementById("lookupListName${listInfo.id}").innerHTML;  
     lookupListFiles[${listInfo.id}] = document.getElementById("lookupListFile${listInfo.id}").innerHTML;  
  </c:forEach>
  
  //-->
  </script>  
  
   <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0">
   <tr><td colspan="1">
      <tiles:insert page="/rules/lookupListDetailMenu.jsp">
        <tiles:put name="content" value="list${contentOrList}" />
      </tiles:insert>
   </td></tr> 
   </table>

   <span style='height:0.5em'/>
   <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">
  
   <%-- Error handling code --%>
   <style>
     .confirmationMessage { text-align:left; }
     .errorMessage { text-align:left; }
   </style>
   <div onclick="this.innerHTML='<br>'">
     <c:url var="reloadURL" value="/r_rules.do?method=listLookupLists&engine=${engine}&contentOrList=${contentOrList}" />
     <tiles:insert page="rulesSystemMessages.jsp" flush="true">
       <tiles:put name="reloadURL" value="${reloadURL}" />  
       <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
       <tiles:put name="objectTypeName" value="Rule" />
     </tiles:insert>
   </div>
    
  
  <%-- Title --%>
  <c:if test='${isTenantInstall == true}'> <c:set var='tenant' value='tenant'/> </c:if>
  <div align="left" style="font-size:10pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;width:96%;">
     <fmt:message key="rules.lookupLists.${fn:toLowerCase(engine)}${tenant}.${contentOrList}.title.txt"/>
  </div>
  <c:if test="${not empty contentLocation}">
    <div style="text-align:left;font-size:xx-small;">${contentLocation}</div>
  </c:if>
  <br>      

  <table class="mainTable" id="lookupListsTable" width="96%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart='return false;' border="0" cellspacing="0" cellpadding="0">
     <thead>
       <TR class="tableColumnHeaderRow">
         <c:if test="${contentOrList=='list'}">
           <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;List Name</TH>
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="Key Fields">&nbsp;Key Fields</TH>         
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="Data Fields">&nbsp;Data Fields</TH>
           <c:if test="${listForeignBusinessUnits}">                   
             <TH class="centeredTableHeader" nowrap rules:sortAsText title="Business Unit">&nbsp;Business Unit</TH>
           </c:if>
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="Descriptive label for the lookup list">&nbsp;Description</TH>
           <TH class="centeredTableHeader" nowrap rules:sortAsNum  title="Count of rules in Testing or Production that use this lookup list">&nbsp;Rules</TH>
         </c:if>
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Content File</TH>
         <c:if test="${contentOrList=='list'}">
            <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Updated</TH>
         </c:if>
         <c:if test="${contentOrList=='content'}">
            <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Loaded</TH>
         </c:if>
       </TR>
     </thead> 
  
     <TBODY id="ruleTableBody">     
  
      <c:if test="${empty listsInfo}">       
        <TR rowspan="2">         
           <TD align="right" style="font-size:10pt;" colspan="100%"><center><em>There are no lookup lists to show in this view</center></em></TD>
        </TR>      
      </c:if>  
  
      <c:if test="${not empty listsInfo}">       
        <c:forEach var="listInfo" items="${listsInfo}" varStatus="status">
           <c:if test="${ (contentOrList=='list' && not empty listInfo.name) ||
                          (contentOrList=='content' &&  empty listInfo.name) }">

             <TR style="cursor:pointer;" id="${status.count}" class="dataRow${status.count%2+1}_tableRow"   
                 onClick='handleRowSelectionLookupList(${listInfo.id}, lookupListUpNbrs[${listInfo.id}], lookupListNames[${listInfo.id}], lookupListFiles[${listInfo.id}], this, "rowSelected", event)'
                 ondblclick='viewLookupList();'>
    
                <c:if test="${contentOrList=='list'}">
                  <TD class="textTableCell">${fn:trim(fn:escapeXml(listInfo.name))}</TD>
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.untypedKeyColumns))}</TD>                
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.untypedDataColumns))}</TD>
                  <c:if test="${listForeignBusinessUnits}">                   
                    <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.businessUnitName))}</TD>
                  </c:if>
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.desc))}</TD>
                  <TD class="textTableCell" ><c:if test="${listInfo.ruleCount>0}">${listInfo.ruleCount}</c:if></TD>
                </c:if>
                <TD class="textTableCell" >${fn:trim(fn:escapeXml(listInfo.inds))}</TD>
                <c:if test="${contentOrList=='list'}">
                   <TD class="textTableCell" nowrap><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${listInfo.lstupdtTimestampUtcMillis}" />&nbsp;
                </c:if>
                <c:if test="${contentOrList=='content'}">
                   <TD class="textTableCell" nowrap><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${listInfo.refreshDateUtcMillis}" />&nbsp;
                </c:if>
                </TD>
             </TR>

          </c:if>
        </c:forEach>
      </c:if>
  
     </TBODY>          
  </table>




<%-- Iframe for avoiding download Runtime Error has occurred Error:Access is denied --%>
<iframe width="0" height="0" id="downloadFrame" name="downloadFrame" src="rules/beige.htm"></iframe>


<script>
   attachEventHandlerToTableCells(['lookupListsTable']);
</script>
  

</div>
   
   
