
<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>
     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }

eXtremeTable .odd a, .even a {
   color: Black;
   font-size: 10px;
   background-color : #FFFFFF;
}

.eXtremeTable .odd td, .eXtremeTable .even td {
   padding-top: 2px;
   padding-right: 3px;
   padding-bottom: 2px;
   padding-left: 3px;
   vertical-align: middle;
   font-family: verdana, arial, helvetica, sans-serif;
   font-size: 10px;
}

.eXtremeTable .odd {
   background-color: #FFFFFF;
}

.eXtremeTable .even {
   background-color : #FAF8ED;
}
.eXtremeTable .toolbar {

   font-family: verdana, arial, helvetica, sans-serif;
   font-size: 9px;
   margin-right: 1px;

}

.eXtremeTable .toolbar td {
   color: #444444;
   padding: 0px 3px 0px 3px;
   text-align:center;
}

.eXtremeTable .separator {
   width: 7px;
}
.eXtremeTable .title {
   color: #444444;
   font-weight: bold;
   font-family: 'Trebuchet MS', Verdana, Arial, Helvetica, sans-serif;
   font-size: 15px;
   vertical-align: bottom;

}

.eXtremeTable .title span {
   margin-left: 0px;

}
.eXtremeTable .tableHeaderSort {

   border-top: 1px solid #E6DAC2;
   border-bottom: 1px solid #E6DAC2;
   border-right:none;
   border-left: none;
   color:#960;
   font-weight:bold;
   font-family : 'Trebuchet MS', Verdana, Arial, Helvetica, sans-serif;
   font-size : xxx-small;
   background-color : #F1EACB;
      text-decoration:underline;
}
.eXtremeTable .calcRow {
   background-color: #F1EACB;
   border-top: solid 1px;
   border-color: #7F9DB9;
}

.eXtremeTable .calcTitle {
   background-color: #F1EACB;
   color: black;
   font-family: verdana, arial, helvetica, sans-serif;
   font-weight: bold;
   font-size: 10px;
   border-top: solid 1px;
   border-color: #7F9DB9;
}

.eXtremeTable .calcResult {
   background-color: #F1EACB;
   color: black;
   font-family: verdana, arial, helvetica, sans-serif;
   border-top: solid 1px;
   border-color: #7F9DB9;
   text-align:right;
}

</style>

<script language="JavaScript" src='common/scripts/jquery.js'></script>
<SCRIPT language="JavaScript" src="common/scripts/cf.js"></SCRIPT>
<script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/ruleActions.js"></script>
<script language="JavaScript" src="rules/scripts/scavenger.js"></script>
<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>

<%-- Set globally available values for all Rules tab processing --%>
<c:if test="${empty QUOT}">
    <c:set var="QUOT" value='"' scope="session" />
    <c:set var="ESCQUOT" value='\\"' scope="session" />
</c:if>



<c:choose>
	<c:when test="${empty productName}">
<pre id="tabTitle" style="display:none;"><fmt:message key="creditfraud.application.title.txt" /> - <fmt:message key="creditfraud.tab.rules.txt" /></pre>
	</c:when>
	<c:otherwise>
<pre id="tabTitle" style="display:none;">${fn:replace(fn:replace(productName, "<sup>", ""), "</sup>", "")} - <fmt:message key="creditfraud.tab.rules.txt" /></pre>
	</c:otherwise>
</c:choose>
<script language="JavaScript">
//<!--
if (parent.document)
  parent.document.title = document.getElementById("tabTitle").innerHTML;
//debugger;
var action = '<c:url value="/r_rules.do"/>';
var estimateAction = '<c:url value="/r_ruleEstimates.do"/>';
var workflow = '${esapi:encodeForHTML(workflow)}';
<c:set var="quot" value='"'/>
<c:set var="escquot" value='\\"'/>
var userId = "${fn:replace(userId,quot,escquot)}";
var noLandlordEstimation = <c:if test='${empty noLandlordEstimation}'> 0 </c:if>${noLandlordEstimation};
var estimationBusinessUnitName = "${estimationBusinessUnitName}";
var item;
<c:forEach var="rule" items="${rules}" >
  item = new Object();
  item.id = ${rule.id};
  item.version = ${rule.version};
</c:forEach>

function ignoreReturn(evt)
{
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

<c:set var="pendingApprovalRuleExists" value=""/>
var ruleNames = new Array();

<c:forEach var="rule" items="${rules}" >
	<c:if test="${rule.pendingApproval == 'true'}"> 
		<c:set var="pendingApprovalRuleExists" value="true"/>
	</c:if>
//-->
</script>
   <pre id="ruleName${rule.id}" style="display:none">${fn:escapeXml(rule.name)}</pre>
<script>
//<!--
   ruleNames[${rule.id}] = document.getElementById("ruleName${rule.id}").innerHTML;
</c:forEach>

//-->
</script>

 <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0" cellspacing="0">
 <tr><td colspan="1">
 <tiles:insert page="/rules/rulesListDetailMenu.jsp"/>
 </td></tr>
 </table>

 <c:if test="${!fn:containsIgnoreCase(workflow, 'estimat')}">
    <tiles:insert page="/rules/ruleSearch.jsp"/>
 </c:if>

 <span style='height:0.5em'/>
 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <style>
   .confirmationMessage { text-align:left; }
   .errorMessage { text-align:left; }
 </style>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=listRules&ruleFolder=${esapi:encodeForURL(ruleFolder)}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>
 </div>
<div align="left">
<span style="font-size:10pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;">
<c:choose>
 <c:when test="${fn:containsIgnoreCase(workflow, 'versions')}">
 History of <c:if test='${isTenantInstall==false}'>${esapi:encodeForHTML(ruleType)}</c:if> Rule ${esapi:encodeForHTML(baseRuleId)}
 <br>
 </c:when>
 <c:when test="${fn:containsIgnoreCase(workflow, 'searchResults')}">
 Search Results
 <br>
 </c:when>
 <c:when test="${fn:containsIgnoreCase(workflow, 'estimat')}">
   <tiles:insert page="/rules/estimationInfo.jsp"/>
 </c:when>
 <c:otherwise>
 	<c:if test="${empty pendingApprovalRuleExists }" >
 		${workflow} Rules
 	</c:if>
 	<c:if test="${not empty pendingApprovalRuleExists }" >
 		<c:if test="${workflow == 'Testing' }"> 
 			Rules Pending Approval
 		</c:if>	
 		<c:if test="${workflow == 'Production'}"> 
 			Rules Pending Deactivation
 		</c:if>	
 		
 	</c:if>
 <br>
 </c:otherwise>
</c:choose>
</span>
 </div>
 
<br>
<div >
<table width="96%">

<c:if test="${not empty pendingApprovalRuleExists  && (workflow == 'Testing' || workflow == 'Production')}" >
<tr><td>
<table class="mainTable" id="rulePendingApprovalListTable" width="96%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">
   <thead>
       <TR class="tableColumnHeaderRow">
          <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsNum title="Rule ID and version">&nbsp;ID</TH>
          </c:if>
          <c:if test ="${fn:containsIgnoreCase(workflow, 'versions')}">
           <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;Version</TH>
          </c:if>
         <TH class="centeredTableHeader" nowrap rules:sortAsText >&nbsp;Name</TH>
         <c:choose>
         <c:when test ="${fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Action</TH>
         </c:when>
         <c:when test="${isTenantInstall==true}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Alert Type</TH>
         </c:when>         
         <c:otherwise>
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Type</TH>
         </c:otherwise>
         </c:choose>
         <c:if test="${fn:containsIgnoreCase(searchFolder, 'allFolders') || fn:containsIgnoreCase(workflow, 'estimat')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;State</TH>
         </c:if>
         <c:if test="${workflow == 'Testing' || workflow == 'Production'}">
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Pending Approval</TH>
         </c:if>
         <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Description</TH>
         </c:if>
         <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText style="display:;">&nbsp;Multi-Org</TH>
         </c:if>
         <c:if test ="${fn:containsIgnoreCase(workflow, 'versions')}">
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Notes</TH>
         </c:if>
         <c:choose>
         <c:when test ="${fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Updated by</TH>
            <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Updated Time</TH>
         </c:when>
         <c:otherwise>
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Last Updated By</TH>
            <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Updated Time</TH>
         </c:otherwise>
         </c:choose>
       </TR>
   </thead>
   <TBODY id="rulePendingApprovalTableBody">
      <c:choose>
      <c:when test="${empty rules}">
      <TR rowspan="2">
         <TD align="right" style="font-size:10pt;" colspan="100%"><center><em>There are no rules to show in this view</center></em></TD>
      </TR>
      </c:when>
      <c:otherwise>
      <c:forEach var="rule" items="${rules}" varStatus="status">

<c:if test="${rule.pendingApproval == 'true'}"> 
      
      <TR style="cursor:pointer;" id="${status.count}" class="dataRow${status.count%2+1}_tableRow" ruleState="${rule.workflowState}" baseRuleId="${rule.baseRuleId}"
             <c:choose>
               <c:when test="${workflow=='Coding' && tenantUserNodeCount > 0}">
                  ondblclick='processRequest("modifyRule","",true);'
               </c:when>
               <c:otherwise>
                  ondblclick='processMultiSelectRequest("printRules", "", false);'
               </c:otherwise>
             </c:choose>
             onclick='handleRowSelection(${rule.id}, ${rule.baseRuleId}, ruleNames[${rule.id}], ${rule.version}, ${rule.lockVersion}, "${rule.workflowState}", this,"rowSelected",event);' >

            <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
             <TD class="textTableCell" title="${rule.id}">&nbsp;${rule.baseRuleId}.${rule.version}</TD>
            </c:if>
            <c:if test ="${fn:containsIgnoreCase(workflow, 'versions')}">
             <TD class="textTableCell" >&nbsp;${rule.version}</TD>
            </c:if>
            <TD class="textTableCell" >&nbsp;
               ${fn:trim(fn:escapeXml(rule.name))}
            </TD>
            <c:choose>
            <c:when test="${fn:containsIgnoreCase(workflow, 'versions')}">
               <TD class="textTableCell" > &nbsp;${rule.noteType}</TD>
            </c:when>
            <c:when test='${isTenantInstall==true}'>
               <TD class="textTableCell">&nbsp;
                  <c:forEach var="alrt" items="${alertTypeInfo}">
                  	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' ' && rule.alertTypeCode==alrt.key}">
                  		${alrt.value.desc} (${rule.alertTypeCode}) 
                  	</c:if>
               	  </c:forEach>   
               </TD>
            </c:when>
            <c:otherwise>
               <TD class="textTableCell">&nbsp;${rule.ruleTypeName}
                  <c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' '}">(${rule.alertTypeCode})</c:if></TD>
            </c:otherwise>
            </c:choose>
            <c:if test="${fn:containsIgnoreCase(searchFolder, 'allFolders') || fn:containsIgnoreCase(workflow, 'estimat')}">
               <TD class="textTableCell" id="state_${status.count}"> &nbsp;${rule.workflowState}</TD>
            </c:if>
            <c:if test="${workflow == 'Testing' || workflow == 'Production'}">
               <c:choose>
               <c:when test="${rule.pendingApproval == 'true'}">
                  <TD class="textTableCell" > &nbsp;Requested (${rule.lastUpdateUser})</TD>
               </c:when>
               <c:otherwise>
                  <TD class="textTableCell" >&nbsp;</TD>
               </c:otherwise>
               </c:choose>
            </c:if>
            <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
               <TD class="textTableCell">&nbsp;
               <c:choose>
                  <c:when test="${fn:length(rule.description) < 32 }">
                     ${fn:trim(fn:escapeXml(rule.description))}
                  </c:when>
                  <c:otherwise>
                     ${fn:trim(fn:escapeXml(fn:substring(rule.description, 0, 32)))}...
                  </c:otherwise>
               </c:choose>
               </TD>
            </c:if>
            <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
            <TD class="textTableCell" style="display:;" title="${fn:escapeXml(rule.businessUnitName)}"> &nbsp;
               ${fn:trim(fn:escapeXml(rule.multiOrgLabel))} (${fn:trim(fn:escapeXml(rule.multiOrgNodeKey))})
            </TD>
            </c:if>
            <c:if test ="${fn:containsIgnoreCase(workflow, 'versions')}">
            <TD class="textTableCell" >
            <c:choose>
               <c:when test="${fn:length(rule.noteUserText) < 200 }">
                  ${fn:trim(fn:escapeXml(rule.noteUserText))}
               </c:when>
               <c:otherwise>
                  ${fn:trim(fn:escapeXml(fn:substring(rule.noteUserText, 0, 200)))}...
               </c:otherwise>
            </c:choose>
            </TD>
            </c:if>
            <c:choose>
            <c:when test ="${fn:containsIgnoreCase(workflow, 'versions')}">
               <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.noteCreateUser)}</TD>
               <TD class="textTableCell" > &nbsp;<span dateFormat="${esapi:encodeForHTML(dateFormat)} ${esapi:encodeForHTML(timeFormat)}" dateValue="${rule.noteCreateTimestampUtcMillis}" /></TD>
            </c:when>
            <c:otherwise>
               <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.lastUpdateUser)}</TD>
               <TD class="textTableCell" > &nbsp;<span dateFormat="${esapi:encodeForHTML(dateFormat)} ${esapi:encodeForHTML(timeFormat)}" dateValue="${rule.lastUpdateTimestampUtcMillis}" /></TD>
            </c:otherwise>
            </c:choose>
         </TR>
</c:if>
      </c:forEach>
      </c:otherwise>
      </c:choose>
   </TBODY>
</table>
</td></tr>
<tr><td> &nbsp;</td></tr>

<tr><td align="left"> 
<span style="font-size:10pt; margin:0px 0px 0px 0px; color:#996600; font-weight:bold;">
  ${workflow} Rules
</span>
</td></tr>

<tr><td> &nbsp;</td></tr>

</c:if>

<tr><td>

<table class="mainTable" id="ruleListTable" width="96%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">
   <thead>
       <TR class="tableColumnHeaderRow">
          <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsNum title="Rule ID and version">&nbsp;ID</TH>
          </c:if>
          <c:if test ="${fn:containsIgnoreCase(workflow, 'versions')}">
           <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;Version</TH>
          </c:if>
         <TH class="centeredTableHeader" nowrap rules:sortAsText >&nbsp;Name</TH>
         <c:choose>
         <c:when test ="${fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Action</TH>
         </c:when>
         <c:when test="${isTenantInstall==true}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Alert Type</TH>
         </c:when>         
         <c:otherwise>
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Type</TH>
         </c:otherwise>
         </c:choose>
         <c:if test="${fn:containsIgnoreCase(searchFolder, 'allFolders') || fn:containsIgnoreCase(workflow, 'estimat')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;State</TH>
         </c:if>
         <c:if test="${workflow == 'Testing' || workflow == 'Production'}">
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Pending Approval</TH>
         </c:if>
         <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Description</TH>
         </c:if>
         <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText style="display:;">&nbsp;Multi-Org</TH>
         </c:if>
         <c:if test ="${fn:containsIgnoreCase(workflow, 'versions')}">
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Notes</TH>
         </c:if>
         <c:choose>
         <c:when test ="${fn:containsIgnoreCase(workflow, 'versions')}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Updated by</TH>
            <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Updated Time</TH>
         </c:when>
         <c:otherwise>
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Last Updated By</TH>
            <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Updated Time</TH>
         </c:otherwise>
         </c:choose>
       </TR>
   </thead>
   <TBODY id="ruleTableBody">
      <c:choose>
      <c:when test="${empty rules}">
      <TR rowspan="2">
         <TD align="right" style="font-size:10pt;" colspan="100%"><center><em>There are no rules to show in this view</center></em></TD>
      </TR>
      </c:when>
      <c:otherwise>
      <c:forEach var="rule" items="${rules}" varStatus="status">
<c:if test="${rule.pendingApproval != 'true'}"> 
      <TR style="cursor:pointer;" id="${status.count}" class="dataRow${status.count%2+1}_tableRow" ruleState="${rule.workflowState}" baseRuleId="${rule.baseRuleId}"
             <c:choose>
               <c:when test="${workflow=='Coding' && tenantUserNodeCount > 0}">
                  ondblclick='processRequest("modifyRule","",true);'
               </c:when>
               <c:otherwise>
                  ondblclick='processMultiSelectRequest("printRules", "", false);'
               </c:otherwise>
             </c:choose>
             onclick='handleRowSelection(${rule.id}, ${rule.baseRuleId}, ruleNames[${rule.id}], ${rule.version}, ${rule.lockVersion}, "${rule.workflowState}", this,"rowSelected",event);' >

            <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
             <TD class="textTableCell" title="${rule.id}">&nbsp;${rule.baseRuleId}.${rule.version}</TD>
            </c:if>
            <c:if test ="${fn:containsIgnoreCase(workflow, 'versions')}">
             <TD class="textTableCell" >&nbsp;${rule.version}</TD>
            </c:if>
            <TD class="textTableCell" >&nbsp;
               ${fn:trim(fn:escapeXml(rule.name))}
            </TD>
            <c:choose>
            <c:when test="${fn:containsIgnoreCase(workflow, 'versions')}">
               <TD class="textTableCell" > &nbsp;${rule.noteType}</TD>
            </c:when>
            <c:when test='${isTenantInstall==true}'>
               <TD class="textTableCell">&nbsp;
               	  <c:forEach var="alrt" items="${alertTypeInfo}">
                  	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' ' && rule.alertTypeCode==alrt.key}">
                  		${alrt.value.desc} (${rule.alertTypeCode}) 
                  	</c:if>
               	  </c:forEach>                 
               </TD>
            </c:when>
            <c:otherwise>
               <TD class="textTableCell">&nbsp;${rule.ruleTypeName}
                  <c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' '}">(${rule.alertTypeCode})</c:if></TD>
            </c:otherwise>
            </c:choose>
            <c:if test="${fn:containsIgnoreCase(searchFolder, 'allFolders') || fn:containsIgnoreCase(workflow, 'estimat')}">
               <TD class="textTableCell" id="state_${status.count}"> &nbsp;${rule.workflowState}</TD>
            </c:if>
            <c:if test="${workflow == 'Testing' || workflow == 'Production'}">
               <c:choose>
               <c:when test="${rule.pendingApproval == 'true'}">
                  <TD class="textTableCell" > &nbsp;Requested (${rule.lastUpdateUser})</TD>
               </c:when>
               <c:otherwise>
                  <TD class="textTableCell" >&nbsp;</TD>
               </c:otherwise>
               </c:choose>
            </c:if>
            <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
               <TD class="textTableCell">&nbsp;
               <c:choose>
                  <c:when test="${fn:length(rule.description) < 32 }">
                     ${fn:trim(fn:escapeXml(rule.description))}
                  </c:when>
                  <c:otherwise>
                     ${fn:trim(fn:escapeXml(fn:substring(rule.description, 0, 32)))}...
                  </c:otherwise>
               </c:choose>
               </TD>
            </c:if>
            <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
            <TD class="textTableCell" style="display:;" title="${fn:escapeXml(rule.businessUnitName)}"> &nbsp;
               ${fn:trim(fn:escapeXml(rule.multiOrgLabel))} (${fn:trim(fn:escapeXml(rule.multiOrgNodeKey))})
            </TD>
            </c:if>
            <c:if test ="${fn:containsIgnoreCase(workflow, 'versions')}">
            <TD class="textTableCell" >
            <c:choose>
               <c:when test="${fn:length(rule.noteUserText) < 200 }">
                  ${fn:trim(fn:escapeXml(rule.noteUserText))}
               </c:when>
               <c:otherwise>
                  ${fn:trim(fn:escapeXml(fn:substring(rule.noteUserText, 0, 200)))}...
               </c:otherwise>
            </c:choose>
            </TD>
            </c:if>
            <c:choose>
            <c:when test ="${fn:containsIgnoreCase(workflow, 'versions')}">
               <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.noteCreateUser)}</TD>
               <TD class="textTableCell" > &nbsp;<span dateFormat="${esapi:encodeForHTML(dateFormat)} ${esapi:encodeForHTML(timeFormat)}" dateValue="${rule.noteCreateTimestampUtcMillis}" /></TD>
            </c:when>
            <c:otherwise>
               <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.lastUpdateUser)}</TD>
               <TD class="textTableCell" > &nbsp;<span dateFormat="${esapi:encodeForHTML(dateFormat)} ${esapi:encodeForHTML(timeFormat)}" dateValue="${rule.lastUpdateTimestampUtcMillis}" /></TD>
            </c:otherwise>
            </c:choose>
         </TR>
</c:if>
      </c:forEach>
      </c:otherwise>
      </c:choose>
   </TBODY>
</table>
</td></tr>
</table>
</div>

<c:if test="${workflow == 'Production'}">
<div id="rulesExportDiv" style="display:none;">
<h2> this is a test </h2>
<span id="ruleData" style="width:100%">
      <ec:table
         items="rules"
         var="rules"
         action="r_rules.do"
         title="Production Rules"
         width="100%"
         sortable="false"
         filterable="false"
         showExports="true"
         showStatusBar="true"
         tableId="ruleData"
         styleClass="mainTable"
         rowsDisplayed="20"
         view="html2"
       >
       <ec:exportPdf
          imageName="pdf"
          fileName="ProductionRules.pdf"
          tooltip="Export PDF"
          headerColor="#960"
          headerBackgroundColor="#F1EACB"
          headerTitle="Production Rules"
          view="pdfRulesList"
       />
       <ec:row>
       <c:set var="color" value="black" />
       <ec:column property="ruleId" title="ID" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="name" title="Name" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="businessUnitName" title="Business Unit" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="ruleTypeName" title="Type" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="alertTypeCode" title="Alert Type" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="shortDescription" title="Description" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="multiOrgNode" title="Multi-Org" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="lastUpdateUser" title="Last Updated By" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="lastUpdateTimestamp" title="Last Updated Time" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       </ec:row>
   </ec:table>
   <br><br>
</span>
</div>
</c:if>
<c:if test="${fn:containsIgnoreCase(workflow, 'versions')}">
<div id="rulesExportDiv" style="display:none;">
<h2> this is a test </h2>
<span id="ruleData" style="width:100%">
      <ec:table
         items="rules"
         var="rules"
         action="r_rules.do"
         title="History of Rule ${esapi:encodeForHTML(baseRuleId)}"
         width="100%"
         sortable="false"
         filterable="false"
         showExports="true"
         showStatusBar="true"
         tableId="ruleData"
         styleClass="mainTable"
         rowsDisplayed="20"
         view="html2"
       >
       <ec:exportPdf
          imageName="pdf"
          fileName="RuleHistory.pdf"
          tooltip="Export PDF"
          headerColor="#960"
          headerBackgroundColor="#F1EACB"
          headerTitle="History of Rule ${esapi:encodeForHTML(baseRuleId)}"
          view="pdfRulesList"
       />
       <ec:row>
       <c:set var="color" value="black" />
       <ec:column property="version" title="Version" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="name" title="Name" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="noteType" title="Action" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="noteUserText" title="Notes" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="multiOrgNode" title="Multi-Org" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="noteCreateUser" title="Updated By" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       <ec:column property="noteCreateTimestamp" title="Updated Time" headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
       </ec:row>
   </ec:table>
   <br><br>
</span>
</div>
</c:if>

</div>

 <script>
   attachEventHandlerToTableCells(['ruleListTable', 'rulePendingApprovalListTable']); 
   // refresh rule folders because items may have changed

   <c:if test="${! (fn:containsIgnoreCase(workflow, 'versions') || fn:containsIgnoreCase(workflow, 'searchResults')) }">
     refreshRuleFolders(action);
   </c:if>

   <c:if test ="${!fn:containsIgnoreCase(workflow, 'versions')}">
      sortRules("ruleListTable");
      sortRules("rulePendingApprovalListTable");
   </c:if>

   <c:if test="${empty sessionScope.transactionLatestDate}">
      var url = '<c:url value="/r_rules.do"/>?method=setDateRange';   
      var iframe = document.createElement('iframe');
      (iframe.frameElement || iframe).style.cssText = "width: 0; height: 0; border: 0";
      var where = document.getElementsByTagName('script');
      where = where[where.length - 1];
      where.parentNode.insertBefore(iframe, where);
      var doc = iframe.contentWindow.document;
      doc.open().write('<body onload="'+
        'var js = document.createElement(\'script\');'+
        'js.src = \''+ url +'\';'+
        'document.body.appendChild(js);">');
      doc.close();
   </c:if>
   
 </script>


  <%-- Debug log --%>
  <pre id="debugLog" style="position:absolute; top:300px; left:0px; height:0px; width:0px; border:0px; background:yellow;text-align:left;"></pre>



