<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;         
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }
     


</style>


<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/variables.js"></script>
<script language="JavaScript">
//<!--
  
var action = '<c:url value="/r_rules.do"/>';
var variableAction = '<c:url value="/r_variables.do"/>';
var workflow = '${param.definer}_${param.activity}_${param.segment}_${param.segmorgid}_variables';
var definer = '${param.definer}';
var activity = '${param.activity}';
var segment = '${param.segment}';
var segmorgid = '${param.segmorgid}';

function ignoreReturn(evt)
{  
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

//-->
</script>


 <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0">
 <tr><td colspan="1">
    <tiles:insert page="/rules/systemVariablesDetailMenu.jsp"/>
 </td></tr> 
 </table>

 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=viewVariable&variableId=${param.variableId}&definer=${param.definer}&activity=${param.activity}&segment=${param.segment}&segmorgid=${param.segmorgid}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>   
 </div>

<br><br>


<div align="center">
<TABLE name="variableInfoTable" class="configurationTable" style="border:2px solid #F1EACB;margin-left:10px" cellspacing="0" cellpadding="2" border="0" >

  <tr align="left" valign="top" >
    <th colspan="3" class="configurationTableTitle" >&nbsp;${param.definer} Variable Details<br>&nbsp;</th>
  </tr>

  <tr align="left" valign="top" >
    <td colspan="3" class="configurationTableSection" >General Properties</td>
  </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Variable ID:</td>
     <td>${variableInfo.FIELD_ID}</td>
     <td>&nbsp;</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Variable Name:</td>
     <td>${variableInfo.NAME}</td>
     <td>&nbsp;</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Variable Type:</td>
     <td>${variableInfo.VARIABLE_TYPE}</td>
     <td>&nbsp;</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Segment Acronym:</td>
     <td>${variableInfo.SEGMENT_ACRONYM}</td>
     <td>&nbsp;</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Testing Rule Use Count</td>
     <td>${variableInfo.TEST_USE_COUNT}</td>
     <td>&nbsp;</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Production Rule Use Count:</td>
     <td>${variableInfo.PROD_USE_COUNT}</td>
     <td>&nbsp;</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Variable Description:</td>
     <td>${variableInfo.DESC}</td>
     <td>&nbsp;</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan="3"> &nbsp; </td>
   </tr>

   <tr align="left" valign="top" >
     <td colspan="3" class="configurationTableSection" >Rules Using This Variable</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
    <td colspan="3" class="configurationTableSection" >&nbsp;
      <table class="mainTable" id="variablesTable" width="100%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">   
         <thead>
           <TR class="tableColumnHeaderRow">             
             <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;Rule ID</TH>          
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Name</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Type</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule State</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Description</TH>
           </TR>
         </thead> 
         <TBODY id="ruleTableBody">     
          <c:if test="${empty variableInfo.rules}">       
            <TR rowspan="2">         
               <TD align="right" style="font-size:10pt;" colspan="100%"><center><em>No Testing or Production rules that use this variable are available.</center></em></TD>
            </TR>      
          </c:if>
          <c:if test="${not empty variableInfo.rules}">       
            <c:forEach var="rule" items="${variableInfo.rules}" varStatus="status">
               <TR style="cursor:pointer;" id="${status.count}" class="dataRow${status.count%2+1}_tableRow">
                  <TD class="textTableCell" >${rule.BASE_RULE_ID}.${rule.RULE_VERSION_NBR}</TD>                      
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_NAME))} </TD>
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_TYPE_NAME))} </TD>
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_STATE))} </TD>
                  <TD class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_DESC))}</TD>
               </TR>
            </c:forEach>
          </c:if>
         </TBODY>       
      </table>
      <br>&nbsp;
      <br>&nbsp;
      <br>&nbsp;
    </td>
   </tr>

</TABLE>
    
</div>
    
</div>
    


<script>
   attachEventHandlerToTableCells(['variablesTable']);
   // Gray button for this screen in menu
   bar.setEnabled( 0, false );
</script>
