
---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY p
USING (select 'test_area_path_webapp' as property_name from dual) ac
                  ON (p.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
    PROPERTY_ID,PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
    CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
    PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 property_seq.nextval
 ,'test_area_path_webapp' 
 , 'Not Defined'
 , 'Specifies the directory that will be used to store short-lived results from rule testing (WEB).'
 , 'Rule Test Area'        
 , 'RuleTesting'
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 ,  'system'  
 ,  'system'  
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
;
commit;
---------------------------------------------------------------------------------
--
-- Insert version release 3.3.1.2 (3.3 M1 HF2)
--
---------------------------------------------------------------------------------
insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.3.1.2', current_date, '3.3 M1 HF2 DDL', 'DDL') ;
commit;