<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<script language="JavaScript" src="admin/scripts/groups.js"></script>
<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language='JavaScript' src='common/scripts/menuFrames.js'></script>

<table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="position:fixed; left:0px;"><tr><td colspan="1">
 <tiles:insert page="/admin/groupTeamMenu.jsp"/>
 </td></tr></table>

<script type="text/javascript">
<!--
	$(document).ready(function(){
		var users = $("#unassignedUsersId");
		var assignedUsers = $("#assignedUsersId");
		<c:forEach var="userid" items="${group.users}">
			var user = users.find("option[value=${userid}]");
			assignedUsers.append(user);
		</c:forEach>

		users.change(function(){
			$("#assignedUsersId").get(0).selectedIndex = -1;
		});

		assignedUsers.change(function(){
			$("#unassignedUsersId").get(0).selectedIndex = -1;
		});

		$("a#assignUsersAction").click(function(){
			$("#unassignedUsersId").find(":selected").appendTo("#assignedUsersId");
			return false;
		});
		$("a#assignAllUsersAction").click(function(){
			$("#unassignedUsersId").find("option").prop("selected",true).appendTo("#assignedUsersId");
			return false;
		});
		$("a#unassignUsersAction").click(function(){
			$("#assignedUsersId").find(":selected").appendTo("#unassignedUsersId");
			return false;
		});
		$("a#unassignAllUsersAction").click(function(){
			$("#assignedUsersId").find("option").prop("selected",true).appendTo("#unassignedUsersId");
			return false;
		});
	});

//-->
	var supervisors = [
    		{'When':'','Value':'-1','Text':'<fmt:message key="fcm.groups.selectSupervisor.txt" />'},
    		<c:forEach var="user" items="${supervisors}">
			<c:forEach var="businessUnit" items="${user.businessUnits}">
				{'When':'${esapi:encodeForJavaScript(businessUnit)}','Value':'${user.id}','Text':'${esapi:encodeForJavaScript(esapi:encodeForHTML(user.lastName))}, ${esapi:encodeForJavaScript(esapi:encodeForHTML(user.firstName))}'},
			</c:forEach>
    		</c:forEach>
    	        ];

    	function commonTemplate(item) {

    		return "<option value='" + item.Value + "'>" + item.Text + "</option>";
    	};

    	function commonMatch(selectedValue) {
    		if(this.When=='') return this.When==''
    		else return this.When == selectedValue;
	};
</script>
<P>
<BR>
<%-- Error handling code --%>
<c:url var="reloadURL" value="/a_groups.sj?method=listBusinessUnits&treeSelectedGroupTeam=${group.id}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
	<tiles:put name="reloadURL" value="${reloadURL}" />
	<tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
	<tiles:put name="objectTypeName" value="group" />
</tiles:insert>
<br>

<form id="groupForm" action="<c:url value='/a_groupDefinition.sj'/>" method="post" onsubmit="return submitGroupForm(this)">

<input type="hidden" name="method" value="saveGroup">
   <input type="hidden" name="id" value="${group.id}">
   <input type="hidden" name="version" value="${group.version}">
   <input type="hidden" name="oldBusinessUnit" value="${esapi:encodeForHTMLAttribute(group.oldBusinessUnit)}">
<%--    <input type="hidden" name="businessUnit" value="${esapi:encodeForHTMLAttribute(group.businessUnit)}"> --%>

<c:forEach var="teamId" items="${group.teams}">
	<input type="hidden" name="teamList" value="${esapi:encodeForHTMLAttribute(teamId)}"/>
</c:forEach>
<p>
<br>

<div align="center">
<table id="tableView" class="configurationTable" style="width:600px;border:2px solid #F1EACB;margin-left:10px margin-right:10px"
   border="0" cellspacing="0" cellpadding="5">

 	<tr align="left" valign="top" >
    	<div><p align="left" style="font-size:12px"><b><fmt:message key="fcm.groups.group.definition.txt" /></b></div>

    </tr>
    <tr align="left" valign="top" >
      <td colspan="3" class="configurationTableSection" style="padding:5px;"><fmt:message key="fcm.details.generalProperties.txt" /></td>
    </tr>

  <!-- <tr class="configurationTableDataRow" ><td colspan="2">&nbsp;</td</tr> -->
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap scope="col"><fmt:message key="fcm.groups.group.id.txt" />:</td>
      <td  valign="middle" scope="col">${group.id}</td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap scope="col"><fmt:message key="fcm.groups.group.name.txt" />:</td>
      <td valign="middle" scope="col">
      <input name="name" type="text" class="famTextEntry" value="${esapi:encodeForHTMLAttribute(group.name)}" size="61" maxlength="50" />
      </td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap scope="col"><fmt:message key="fcm.groups.group.desc.txt" />:</td>
      <td valign="middle" scope="col"><textarea class="famTextEntry" name="desc" cols="60" rows="4" wrap="PHYSICAL" onKeyDown="limitChars(this,100);" onKeyUp="limitChars(this,100,true);" >${esapi:encodeForHTML(group.desc)}</textarea>
      </td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap><fmt:message key="fcm.groups.group.code.txt" />:</td>
      <td colspan="1">
            <select id="groupCode" name="groupCode" class="famSelect" onChange="">
            <c:forEach var="gc" items="${groupCodes}" varStatus="status">
            <c:choose>
               <c:when test="${fn:trim(group.groupCode) == fn:trim(gc.groupCode)}">
                  <c:set var="selected" value="selected" />
               </c:when>
               <c:otherwise>
                  <c:set var="selected" value="" />
               </c:otherwise>
            </c:choose>
            <option ${esapi:encodeForHTMLAttribute(selected)} value="${esapi:encodeForHTMLAttribute(gc.groupCode)}">${esapi:encodeForHTML(gc.groupCodeDesc)}</option>
            </c:forEach>
            </select>
        <!-- <br>&nbsp; -->
      </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
         <td nowrap><fmt:message key="fcm.groups.group.supervisor.txt" />:</td>
         <td colspan="1">
            <select id="supervisor" name="supervisor" class="famSelect">
               <c:set var="supervisorExists" value="" />
               <c:forEach var="user" items="${supervisors}" varStatus="status">
		       <c:forEach var="bu" items="${user.businessUnits}">
			       <c:if test="${group.businessUnit==bu}">
				       <c:choose>
					  <c:when test="${group.supervisor == user.id}">
					     <c:set var="selected" value="selected" />
					     <c:set var="supervisorExists" value="true" />
					  </c:when>
					  <c:otherwise>
					     <c:set var="selected" value="" />
					  </c:otherwise>
				      </c:choose>
					  <option ${esapi:encodeForHTMLAttribute(selected)} value="${user.id}">
					     ${esapi:encodeForHTML(user.lastName)}, ${esapi:encodeForHTML(user.firstName)}
					  </option>
			</c:if>
			</c:forEach>
		</c:forEach>
	       <c:if test="${empty supervisorExists }" >
		  <option selected value="-1"><fmt:message key="fcm.groups.selectSupervisor.txt" /></option>
	       </c:if>


            </select>

         </td>
   </tr>
<tr class="configurationTableDataRow" valign="top">
      <td><fmt:message key="fcm.details.bu.txt" />: </td>
      <td valign="middle" scope="col"><select name="businessUnit" id="buId" class="famSelect">
         <!--<option selected value="-2"><fmt:message key="fcm.groups.selectBusinessUnit.txt" />&nbsp;&nbsp;</option>-->
         <c:forEach var="businessUnit" items="${businessUnits}">
            <c:choose>
            	<c:when test="${group.businessUnit == businessUnit.id}">
            		<c:set var="sltd" value="selected"/>
            		<c:set var="businessUnitExists" value="true" />
            	</c:when>
            	<c:otherwise>
            		<c:set var="sltd" value=""/>
		</c:otherwise>
	    </c:choose>
            <option value="${businessUnit.id}" ${sltd}>${esapi:encodeForHTML(businessUnit.name)}</option>
         </c:forEach>
			<c:if test="${empty group.businessUnit}">
				<input type="hidden" name="businessUnit" value="${esapi:encodeForHTMLAttribute(group.businessUnit)}">
			</c:if>
        </select><br>&nbsp;
      </td>
    </tr>

</table>
</div>
<br>
<%-- <div id="groupSaveButtonsGrid" style="display:block" align="center">
     <input id="saveButton" class="button" name="button" type="submit" style="margin-left:10px;"  value="<fmt:message key="fcm.application.save.txt" />">
</div> --%>
<br>
</form>


<c:if test="${not empty updateGroups && !updateGroups}">
  <script language="JavaScript">
  //<!--
    setFormsReadOnly();
  //-->
  </script>
</c:if>
<script type="text/javascript">
	 $(document).ready(function(){
		jQuery("#supervisor").cascade("#buId",{
				list: supervisors,
				template: commonTemplate,
				match: commonMatch

		});
	});

</script>