<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<%-- Main Content --%>
<script language="JavaScript" src="admin/scripts/queues.js"></script>
<script language="JavaScript" src="admin/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="admin/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="admin/scripts/listboxAssignments.js"></script>

<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language='JavaScript' src='common/scripts/menuFrames.js'></script>

<table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="position:fixed; left:0px;"><tr><td colspan="1">
 <tiles:insert page="/admin/strategyQueueDefinitionMenu.jsp"/>
 </td></tr></table>

<script type="text/javascript">
var SKIPCount=0;
var RESCHEDULECount=0;
var SAVEPENDINGCount=0;
var SAVEPENDINGBLOCKCount=0;
var REROUTECount=0;
var VERIFIEDACTIVITYCount=0;
var CONFIRMEDFRAUDCount=0;
<%-- POS CODES --%>
var posCodesByCallResult = {};
<c:forEach var="rs" items="${qa_callResults}">
	<c:set var ="cr" value="${fn:replace(rs.callResult,' ','')}${(rs.blockApplied?'BLOCK':'')}" />
posCodesByCallResult["${cr}"] = [];
	<c:forEach var="posCodes" items="${POSCodes}">
		<c:set var="posAssigned" value="false"/>
		<c:forEach var="posCode" items="${queueCallResultSettings[cr].posCodes}">
			<c:if test="${fn:trim(posCode) == posCodes.posCode}">
				<c:set var="posAssigned" value="true"/>
			</c:if>
		</c:forEach>
posCodesByCallResult["${cr}"].push({
	id: "${esapi:encodeForJavaScript(posCodes.posCode)}",
	label: "${esapi:encodeForJavaScript(esapi:encodeForHTML(posCodes.posName))}",
	isAssigned: ${posAssigned}
});
	</c:forEach>
</c:forEach>
<%-- ALLOW REROUTE TO --%>
var allowRerouteTo = [];
<c:forEach var="queue" items="${routingQueues}">
<c:if test="${queue.id != qa_queue.id}">
	<c:set var="queueAssigned" value="false"/>
	<c:forEach var="allowRerouteTo" items="${queueCallResultSettings.REROUTE.allowRerouteTo}">
		<c:if test="${fn:trim(allowRerouteTo) == queue.id}">
			<c:set var="queueAssigned" value="true"/>
		</c:if>
	</c:forEach>
allowRerouteTo.push({
	id: "${queue.id}",
	label: "${esapi:encodeForJavaScript(esapi:encodeForHTML(queue.name))}",
	isAssigned: ${queueAssigned}
});
</c:if>
</c:forEach>
<%-- FRAUD TYPES --%>
var fraudTypes = [];
<c:forEach var="fraudType" items="${fraudTypes}">
	<c:set var="fraudTypeAssigned" value="false"/>
	<c:forEach var="assignedFraudCode" items="${queueCallResultSettings.CONFIRMEDFRAUD.fraudTypes}">
		<c:if test="${fn:trim(assignedFraudCode) == fraudType.fraudCode}">
			<c:set var="fraudTypeAssigned" value="true"/>
		</c:if>
	</c:forEach>
fraudTypes.push({
	id: "${esapi:encodeForJavaScript(fraudType.fraudCode)}",
	label: "${esapi:encodeForJavaScript(esapi:encodeForHTML(fraudType.fraudName))}",
	isAssigned: ${fraudTypeAssigned}
});
</c:forEach>
<%-- SYSTEM BLOCKS --%>
var sysBlocksByCallResult = {};
<c:forEach var="rs" items="${qa_callResults}">
	<c:set var ="cr" value="${fn:replace(rs.callResult,' ','')}${(rs.blockApplied?'BLOCK':'')}" />
	<c:if test="${cr!='SAVEPENDING'}">
sysBlocksByCallResult["${cr}"] = [];
		<c:forEach var="systemBlock" items="${systemBlocks}">
			<c:set var="sysBlockAssigned" value="false"/>
			<c:forEach var="sysBlock" items="${queueCallResultSettings[cr].systemBlocks}">
				<c:if test="${fn:trim(sysBlock.blockCode) == systemBlock.blockCode}">
				<c:set var="sysBlockAssigned" value="true"/>
				</c:if>
			</c:forEach>
	sysBlocksByCallResult["${cr}"].push({
		id: "${esapi:encodeForJavaScript(systemBlock.blockCode)}",
		label: "${esapi:encodeForJavaScript(esapi:encodeForHTML(systemBlock.blockLabel))}",
		isAssigned: ${sysBlockAssigned}
	});
		</c:forEach>
	</c:if>
</c:forEach>
<%-- Transaction BLOCKS --%>
var txnBlocksByCallResult = {};
<c:forEach var="rs" items="${qa_callResults}">
	<c:set var ="cr" value="${fn:replace(rs.callResult,' ','')}${(rs.blockApplied?'BLOCK':'')}" />
	<c:if test="${cr!='SAVEPENDING'}">
txnBlocksByCallResult["${cr}"] = [];
		<c:forEach var="transactionBlock" items="${transactionBlocks}">
			<c:set var="txnBlockAssigned" value="false"/>
			<c:forEach var="txnBlock" items="${queueCallResultSettings[cr].transactionBlocks}">
				<c:if test="${fn:trim(txnBlock.blockCode) == transactionBlock.blockCode}">
				<c:set var="txnBlockAssigned" value="true"/>
				</c:if>
			</c:forEach>
	txnBlocksByCallResult["${cr}"].push({
		id: "${esapi:encodeForJavaScript(transactionBlock.blockCode)}",
		label: "${esapi:encodeForJavaScript(esapi:encodeForHTML(transactionBlock.blockLabel))}",
		isAssigned: ${txnBlockAssigned}
	});
		</c:forEach>
	</c:if>
</c:forEach>
function postPosCodes()
{
	var posCodes;
	var elem;
	<c:forEach var="rs" items="${qa_callResults}">
		<c:set var ="cr" value="${fn:replace(rs.callResult,' ','')}${(rs.blockApplied?'BLOCK':'')}" />
		if(document.queueForm["callResult(${fn:toLowerCase(cr)})"].checked)
		{
			elem = document.queueForm["posCodes(${fn:toLowerCase(cr)})"];
			posCodes = "";

			for(var i =0; i < posCodesByCallResult["${cr}"].length; i++)
			{
				if(posCodesByCallResult["${cr}"][i].isAssigned)
				{
					posCodes += posCodesByCallResult["${cr}"][i].id + ",";
				}
			}
			elem.value = posCodes;
			if(elem.value.length > 0) elem.disabled = false;
		}
	</c:forEach>
}

function postAllowRerouteTo()
{
	if(!document.queueForm["callResult(reroute)"].checked) return;
	var elem;
	elem = document.queueForm["allowRerouteTo(reroute)"];
	var allowRerouteToStr = "";
	for(var i =0; i < allowRerouteTo.length; i++)
	{
		if(allowRerouteTo[i].isAssigned)
		{
			allowRerouteToStr += allowRerouteTo[i].id + ",";
		}
	}
	elem.value = allowRerouteToStr;
	if(elem.value.length > 0) elem.disabled = false;
}
function postFraudTypes()
{
	if(!document.queueForm["callResult(confirmedfraud)"].checked) return;
	var elem;
	elem = document.queueForm["fraudTypes(confirmedfraud)"];
	var fraudTypesStr = "";
	for(var i =0; i < fraudTypes.length; i++)
	{
		if(fraudTypes[i].isAssigned)
		{
			fraudTypesStr += fraudTypes[i].id + ",";
		}
	}
	elem.value = fraudTypesStr;
	if(elem.value.length > 0) elem.disabled = false;
}
function postSystemBlocks()
{
	var systemBlocks;
	var elem;
	<c:forEach var="rs" items="${qa_callResults}">
		<c:set var ="cr" value="${fn:replace(rs.callResult,' ','')}${(rs.blockApplied?'BLOCK':'')}" />
		<c:if test="${cr!='SAVEPENDING'}">
		if(document.queueForm["callResult(${fn:toLowerCase(cr)})"].checked &&
			document.queueForm["applySystemBlock(${fn:toLowerCase(cr)})"].checked )
		{
			elem = document.queueForm["systemBlocks(${fn:toLowerCase(cr)})"];
			systemBlocks = "";
			for(var i =0; i < sysBlocksByCallResult["${cr}"].length; i++)
			{
				if(sysBlocksByCallResult["${cr}"][i].isAssigned)
				{
					systemBlocks += sysBlocksByCallResult["${cr}"][i].id + ",";
				}
			}
			elem.value = systemBlocks;
			if(elem.value.length > 0) elem.disabled = false;
		}
		</c:if>
	</c:forEach>
}
function postTransactionBlocks()
{
	var transactionBlocksStr;
	var elem;
	<c:forEach var="rs" items="${qa_callResults}">
	<c:set var ="cr" value="${fn:replace(rs.callResult,' ','')}${(rs.blockApplied?'BLOCK':'')}" />
	<c:if test="${cr!='SAVEPENDING'}">
	if(document.queueForm["callResult(${fn:toLowerCase(cr)})"].checked &&
			document.queueForm["applyTransactionBlock(${fn:toLowerCase(cr)})"].checked)
	{
		elem = document.queueForm["transactionBlocks(${fn:toLowerCase(cr)})"];
		transactionBlocksStr = "";
		for(var i =0; i < txnBlocksByCallResult["${cr}"].length; i++)
		{
			if(txnBlocksByCallResult["${cr}"][i].isAssigned)
			{
				transactionBlocksStr += txnBlocksByCallResult["${cr}"][i].id + ",";
			}
		}
		elem.value = transactionBlocksStr;
		if(elem.value.length > 0) elem.disabled = false;
	}
	</c:if>
</c:forEach>
}
var _countryCodes=[];
<c:forEach var="countries" items="${countries}" varStatus="stat">_countryCodes[${stat.count-1}]="${esapi:encodeForJavaScript(fn:trim(countries.countryCode))}";</c:forEach>

document.onclick=check;

function check(e){

	var mcDiv = document.getElementById('divMerchantCountry');
	if (mcDiv) {
		if(document.getElementById('divMerchantCountry').style.display!='none'){
			var re = new RegExp("Lookup");
			var target = (e && e.target) || (event && event.srcElement);
			var tar=target.id;
			if(re.exec(tar)==null){
				document.getElementById('divMerchantCountry');
				checkParent(target)?overlayclose('divMerchantCountry'):null;
			}
		}
	}
}
function checkParent(t){
	while(t.parentNode){
	if(t==document.getElementById('divMerchantCountry')){
	return false
	}
	t=t.parentNode
	}
	return true
}

var _isEligibleForDeletion = ${isEligibleForDeletion};

var emailList = [];
var letterList = [];
var smsList = [];

<c:forEach var="email" items="${emailTemplates}" varStatus="status">
	emailList.push({
		id: ${email.id},
		label: "${esapi:encodeForJavaScript(esapi:encodeForHTML(email.name))}",
		isAssigned: ${assignedEmails[email.id]==true}
	});
	<c:if test="${email.id==qa_queue.defaultEmail}">
	_defaultTemplateIds[_emailType] ="${status.count-1}";
	</c:if>
</c:forEach>

<c:forEach var="letter" items="${letterTemplates}" varStatus="status">
	letterList.push({
		id: ${letter.id},
		label: "${esapi:encodeForJavaScript(esapi:encodeForHTML(letter.name))}",
		isAssigned: ${assignedLetters[letter.id]==true}
	});
	<c:if test="${letter.id==qa_queue.defaultLetter}">
	_defaultTemplateIds[_letterType] = "${status.count-1}";
	</c:if>
</c:forEach>

<c:forEach var="sms" items="${smsTemplates}" varStatus="status">
	smsList.push({
		id: ${sms.id},
		label: "${esapi:encodeForJavaScript(esapi:encodeForHTML(sms.name))}",
		isAssigned: ${assignedSmss[sms.id]==true}
	});
	<c:if test="${sms.id==qa_queue.defaultSms}">
	_defaultTemplateIds[_smsType] = "${status.count-1}";
	</c:if>
</c:forEach>

var callResults = [];
<c:forEach var="resultSetting" items="${qa_callResults}">
callResults["${esapi:encodeForJavaScript(fn:replace(resultSetting.callResult," ",""))}${esapi:encodeForJavaScript((resultSetting.blockApplied?"BLOCK":""))}"] = {
	id: ${resultSetting.id},
	name: "${esapi:encodeForJavaScript(esapi:encodeForHTML(resultSetting.callResult))}",
	blockApplied: ${esapi:encodeForJavaScript((resultSetting.blockApplied!=null ? resultSetting.blockApplied : "null"))},
	isAssigned: false
};
</c:forEach>

<c:forEach var="resultSetting" items="${qa_queue.callResultSettings}">
	var resultSetting = callResults["${esapi:encodeForJavaScript(fn:replace(resultSetting.callResult," ",""))}${esapi:encodeForJavaScript((resultSetting.blockApplied?"BLOCK":""))}"];
	resultSetting.isAssigned = true;
	<c:if test="${resultSetting.minutesEnabled}">
		resultSetting.minutes = ${esapi:encodeForJavaScript(resultSetting.minutes)};
	</c:if>
		<c:if test="${resultSetting.scoreIncreaseEnabled}">
		resultSetting.scoreIncrease = ${esapi:encodeForJavaScript(resultSetting.scoreIncrease)};
	</c:if>
	<c:if test="${resultSetting.scoreEnabled}">
		resultSetting.score = ${esapi:encodeForJavaScript(resultSetting.score)};
	</c:if>
	<c:if test="${resultSetting.amountEnabled}">
		resultSetting.amount = ${esapi:encodeForJavaScript(resultSetting.amount)};
	</c:if>
	<c:if test="${resultSetting.merchantCountryEnabled}">
		<c:set var="merchantCountryCodes" value=""/>
		<c:forEach var="mc" items="${resultSetting.merchantCountryCodes}" varStatus="stat">
			<c:set var="merchantCountryCodes" value="${merchantCountryCodes}${!stat.first ? ' ; ' : ''}${esapi:encodeForJavaScript(mc)}"/>
		</c:forEach>
		resultSetting.merchantCountryCodes = '${merchantCountryCodes}';
	</c:if>
	<c:if test="${not empty resultSetting.autoClose}">
		resultSetting.autoClose = "${esapi:encodeForJavaScript(resultSetting.autoClose)}";
	</c:if>

	//NEW BBW
	<c:if test="${resultSetting.applySystemBlock and not empty resultSetting.systemBlocks}">
		resultSetting.systemBlocksAssigned = true;
	</c:if>

	resultSetting.removeSystemBlock= ${resultSetting.removeSystemBlock};

	<c:if test="${resultSetting.applyTransactionBlock and not empty resultSetting.transactionBlocks}">
		resultSetting.transactionBlocksAssigned = true;
	</c:if>
	resultSetting.removeTransactionBlock= ${esapi:encodeForJavaScript(resultSetting.removeTransactionBlock)};

	<c:if test="${resultSetting.notMerchantCountryEnabled}">
		<c:set var="merchantCountryCodes" value=""/>
		<c:forEach var="mc" items="${resultSetting.notMerchantCountryCodes}" varStatus="stat">
			<c:set var="merchantCountryCodes" value="${merchantCountryCodes}${!stat.first ? ' ; ' : ''}${esapi:encodeForJavaScript(mc)}"/>
		</c:forEach>
		resultSetting.notMerchantCountryCodes = '${merchantCountryCodes}';
	</c:if>
	<c:if test="${resultSetting.sicEnabled}">
		<c:set var="sicCodes" value=""/>
		<c:forEach var="sc" items="${resultSetting.sicCodes}" varStatus="stat">
			<c:set var="sicCodes" value="${sicCodes}${!stat.first ? ' ; ' : ''}${esapi:encodeForJavaScript(sc)}"/>
		</c:forEach>
		resultSetting.sicCodes = '${sicCodes}';
	</c:if>
	<c:if test="${resultSetting.notSicEnabled}">
		<c:set var="sicCodes" value=""/>
		<c:forEach var="sc" items="${resultSetting.notSicCodes}" varStatus="stat">
			<c:set var="sicCodes" value="${sicCodes}${!stat.first ? ' ; ' : ''}${esapi:encodeForJavaScript(sc)}"/>
		</c:forEach>
		resultSetting.notSicCodes = '${sicCodes}';
	</c:if>
	resultSetting.ardEnabled = ${resultSetting.ardEnabled};
	resultSetting.posEnabled = ${resultSetting.posEnabled};
	resultSetting.rescheduleNever = ${esapi:encodeForJavaScript(resultSetting.neverRescheduleEnabled)};
	resultSetting.rescheduleNextDay = ${esapi:encodeForJavaScript(resultSetting.nextDayEnabled)};
	resultSetting.rescheduleTimestamp = ${esapi:encodeForJavaScript(resultSetting.timestampEnabled)};
</c:forEach>

<c:forEach var="queue" items="${queuePriorityList}">
_itemPriorityList.push({
	id: ${queue.id},
	version: ${queue.version},
	priority: ${queue.priority},
	newPriority: ${queue.priority}
});
</c:forEach>
</script>
<iframe style="border:none;width:0px;height:0px;" id="codeLookupFrame" name="codeLookupFrame" src="common/blank.html"></iframe>
<p>
<br/>
<%-- Error handling code --%>
<c:url var="reloadURL" value="/a_strategy.sj?method=list&qa_queueId=${qa_queue.id}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
	<tiles:put name="reloadURL" value="${reloadURL}" />
	<tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
	<tiles:put name="objectTypeName" value="queue" />
</tiles:insert>
<br/>

<form id="queueForm" name="queueForm" action="<c:url value='/a_queue.sj'/>" method="post" onsubmit="return saveQueueForm(this)">
<input type="hidden" name="method">
<input type="hidden" name="id" value="${qa_queue.id}">
<input type="hidden" name="version" value="${qa_queue.version}">
<input type="hidden" name="strategyId" value="${qa_queue.strategyId}">
<input type="hidden" name="callSuperseded">
<input type="hidden" name="stickyQueue">
<input type="hidden" name="defaultEmail" id="defaultEmail" id value="${esapi:encodeForHTMLAttribute(qa_queue.defaultEmail)}">
<input type="hidden" name="defaultSms" id="defaultSms" value="${esapi:encodeForHTMLAttribute(qa_queue.defaultSms)}">
<input type="hidden" name="defaultLetter" id="defaultLetter" value="${esapi:encodeForHTMLAttribute(qa_queue.defaultLetter)}">
<%-- Queue priority List --%>
<c:set var="queueRelativePriority" value="0"/>
<div id="queuePriorityList" class="priorityListPopupGrid" onmouseup="ignoreEvent(event)">
	<table id="queuePriorityTable" class="mainTable" style="background-color:#ffffff;border-collapse:separate;border:none;width:100%;" border="0" cellspacing="0" cellpadding="5">
		<thead>
		<tr class="tableColumnHeaderRow">
			<th class="centeredTableHeader" nowrap><fmt:message key="fcm.sq.queue.priority.txt"/></th>
			<th class="centeredTableHeader" nowrap><fmt:message key="fcm.sq.queue.queueName.txt"/></th>
			<th class="centeredTableHeader" nowrap><fmt:message key="fcm.sq.queue.strategyName.txt"/></th>
		</tr>
		</thead>
		<tbody id="queuePriorityTableBody">
		<c:forEach var="queue" items="${queuePriorityList}" varStatus="status">
			<c:set var="className" value="dataRow${status.count%2+1}_tableRow"/>
			<c:if test="${qa_queue.id == queue.id}">
				<c:set var="className" value="rowSelected"/>
				<c:set var="queueRelativePriority" value="${status.count}"/>
			</c:if>
			<tr style="cursor:pointer;" class="${className}" onclick="setQueuePriority(this);">
				<td class="imageTableCell" nowrap>${status.count}</td>
				<td class="textTableCell" nowrap>${esapi:encodeForHTML(queue.name)}</td>
				<td class="textTableCell lastCol" nowrap>${esapi:encodeForHTML(queue.strategyName)}</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
</div>
<div align="center">

<br/>
<table id="queueDefinitionTable" class="configurationTable" style="border:2px solid #F1EACB;margin-left:10px; width:600px;" cellspacing="0" cellpadding="2" border="0">
	<%-- <tr align="left" valign="top">
		<th colspan="1" class="configurationTableTitle" ><fmt:message key="fcm.sq.queue.queueDefinition.txt"/><br/>&nbsp;</th>
		<th class="configurationTableTitle" style="text-align:right;"><a style="text-decoration:none;border-bottom:none;padding:1px 0px 1px 0px;" class="configurationTableTitle" target="_top" title="<fmt:message key="fcm.sq.queue.contentsTitle.txt"/>" href="<c:url value="a_alertAdmin.sj?method=list&queueId=${qa_queue.id}"/>"><span style="background:url(admin/images/DataSetExplore.gif) no-repeat 0 40%;padding-left:18px;"><fmt:message key="fcm.sq.queue.contents.txt"/> </span></a> </th>
	</tr>
	<tr align="left" valign="top">
		<td colspan="2" class="configurationTableSection" ><fmt:message key="fcm.sq.queue.generalProperties.txt"/></td>
	</tr>
 --%>
	<tr align="left" valign="top" >
    	<div><p align="left" style="font-size:12px"><b><fmt:message key="fcm.sq.queue.queueDefinition.txt"/></b></p></div>
    </tr>
    <tr align="left" valign="top" >
      <td class="configurationTableSection" colspan="2" style="padding:5px;"><fmt:message key="fcm.details.generalProperties.txt" /><a style="margin-left:438px; text-decoration:none;border-bottom:none;" class="configurationTableTitle" href="<c:url value="a_alertAdmin.sj?method=list&queueId=${qa_queue.id}"/>" target="_top"><span style="background:url(admin/images/DataSetExplore.gif) no-repeat 0 40%;padding-left:18px;"><fmt:message key="fcm.sq.queue.contents.txt"/></td>


<%--       <td class="configurationTableSection" style="padding:5px;"><a style="margin-right:40px; text-decoration:none;border-bottom:none;padding:1px 0px 1px 0px;" class="configurationTableTitle" target="_top" title="<fmt:message key="fcm.sq.queue.contentsTitle.txt"/>" href="<c:url value="a_alertAdmin.sj?method=list&queueId=${qa_queue.id}"/>"><span style="background:url(admin/images/DataSetExplore.gif) no-repeat 0 40%;padding-left:18px;"><fmt:message key="fcm.sq.queue.contents.txt"/> </span></a> </td> --%>
    </tr>

	<tr class="configurationTableDataRow" valign="top">
		<td colspan="2">
		<table class="minimalPadding" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td><fmt:message key="fcm.sq.queue.queueId.txt"/>:</td>
				<td valign="middle">
					${qa_queue.id}
				</td>
			</tr>
			<tr>
				<td><fmt:message key="fcm.sq.queue.name.txt"/>:</td>
				<td valign="middle">
					<input class="famTextEntry" name="name" type="text" value="${esapi:encodeForHTMLAttribute(qa_queue.name)}" size="61" maxLength="50" />
				</td>
			</tr>
			<tr valign="top">
				<td><fmt:message key="fcm.sq.queue.description.txt"/>: </td>
				<td valign="middle">
					<textarea class="famTextEntry" name="description" cols="60" rows="4" wrap="PHYSICAL" onKeyDown="limitChars(this,100);" onKeyUp="limitChars(this,100,true);" >${esapi:encodeForHTML(qa_queue.description)}</textarea>
				</td>
			</tr>
			<tr valign="top">
				<td><fmt:message key="fcm.sq.queue.strategy.txt"/>:</td>
				<c:if test="${not empty qa_queue.strategyName}">
				<td>${esapi:encodeForHTML(qa_queue.strategyName)}</td>
				</c:if>
				<c:if test="${empty qa_queue.strategyName}">
				<td><fmt:message key="fcm.sq.queue.notAssignedToAStrategy.txt"/></td>
				</c:if>
			</tr>
			<%-- Will be false only for the default inbound queue
			<c:if test="${queueRelativePriority > 0}" >--%>
			<tr valign="top">
				<td><fmt:message key="fcm.sq.queue.priority.txt"/>:</td>
				<td>
					<a id="queueRelativePriority" href="javascript:showQueuePriorityList();"> ${esapi:encodeForHTML(queueRelativePriority)} </a> <fmt:message key="fcm.sq.queue.of.txt"/> ${esapi:encodeForHTML(fn:length(queuePriorityList))}
				</td>
			</tr>
			<%--/c:if--%>
			<tr>
				<td valign="middle"><fmt:message key="fcm.sq.queue.status.txt"/>:</td>
				<td valign="bottom">
					<input name="status" type="radio" value="ACTIVE" /><fmt:message key="fcm.sq.queue.active.txt"/>&nbsp;&nbsp;&nbsp;
					<input name="status" type="radio" value="INACTIVE" /><fmt:message key="fcm.sq.queue.inactive.txt"/>&nbsp;&nbsp;
					<input name="status" type="radio" value="QUIESCE" /><fmt:message key="fcm.sq.queue.suspended.txt"/>&nbsp;&nbsp;
					<input name="status" type="radio" value="CLOSED" /><fmt:message key="fcm.sq.queue.closed.txt"/>
					<script>
						for(i = 0; i < document.queueForm.status.length; i++)
						{
							rd = document.queueForm.status[i];
							if(rd.value == "${esapi:encodeForJavaScript(fn:trim(qa_queue.status))}".toUpperCase()) rd.checked = true;
						}
					</script>
				</td>
			</tr>
			</table>
		</td>
	</tr>
	<tr class="configurationTableDataRow">
		<td colspan="2">
		<table class="minimalPadding" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td><fmt:message key="fcm.sq.queue.contactCallingHours.txt"/>:</td>
				<td>
				<select name="callLowerBound" class="famSelect">
					<option value="0">12:00 AM</option>
					<option value="1">1:00 AM</option>
					<option value="2">2:00 AM</option>
					<option value="3">3:00 AM</option>
					<option value="4">4:00 AM</option>
					<option value="5">5:00 AM</option>
					<option value="6">6:00 AM</option>
					<option value="7">7:00 AM</option>
					<option value="8">8:00 AM</option>
					<option value="9">9:00 AM</option>
					<option value="10">10:00 AM</option>
					<option value="11">11:00 AM</option>
					<option value="12">12:00 PM</option>
					<option value="13">1:00 PM</option>
					<option value="14">2:00 PM</option>
					<option value="15">3:00 PM</option>
					<option value="16">4:00 PM</option>
					<option value="17">5:00 PM</option>
					<option value="18">6:00 PM</option>
					<option value="19">7:00 PM</option>
					<option value="20">8:00 PM</option>
					<option value="21">9:00 PM</option>
					<option value="22">10:00 PM</option>
					<option value="23">11:00 PM</option>
				</select>
				-
				<select name="callUpperBound" class="famSelect">
					<option value="0">1:00 AM</option>
					<option value="1">2:00 AM</option>
					<option value="2">3:00 AM</option>
					<option value="3">4:00 AM</option>
					<option value="4">5:00 AM</option>
					<option value="5">6:00 AM</option>
					<option value="6">7:00 AM</option>
					<option value="7">8:00 AM</option>
					<option value="8">9:00 AM</option>
					<option value="9">10:00 AM</option>
					<option value="10">11:00 AM</option>
					<option value="11">12:00 PM</option>
					<option value="12">1:00 PM</option>
					<option value="13">2:00 PM</option>
					<option value="14">3:00 PM</option>
					<option value="15">4:00 PM</option>
					<option value="16">5:00 PM</option>
					<option value="17">6:00 PM</option>
					<option value="18">7:00 PM</option>
					<option value="19">8:00 PM</option>
					<option value="20">9:00 PM</option>
					<option value="21">10:00 PM</option>
					<option value="22">11:00 PM</option>
					<option value="23">12:00 AM</option>
				</select>
				<script>
					document.queueForm.callLowerBound.options[${esapi:encodeForJavaScript(qa_queue.callLowerBound)}].selected=true;
					document.queueForm.callUpperBound.options[${esapi:encodeForJavaScript(qa_queue.callUpperBound)}].selected=true;
				</script>
				</td>
			</tr>
			<tr class="configurationTableDataRow">
				<td><fmt:message key="fcm.sq.queue.prioritizeAlertsBy.txt"/>: </td>
				<td>
				<select name="sortField" class="famSelect" onchange="">
					<option value="FRAUD_SCORE"><fmt:message key="fcm.sq.queue.fraudScore.txt"/></option>
					<option value="LST_TRANSACTION_AMT"><fmt:message key="fcm.sq.queue.transactionAmount.txt"/></option>
					<option value="LST_TRANSACTION_TIMESTAMP"><fmt:message key="fcm.sq.queue.lastTransactionDate.txt"/></option>
				</select>
				<script>
					for(i = 0; i < document.queueForm.sortField.options.length;i++)
					{
						opt = document.queueForm.sortField.options[i];
						if(opt.value == "${esapi:encodeForJavaScript(fn:trim(qa_queue.sortField))}".toUpperCase()) opt.selected = true;
					}
				</script>
				<select name="sortOrder" class="famSelect" onchange="">
					<option value="ASC"><fmt:message key="fcm.sq.queue.ascending.txt"/></option>
					<option value="DESC"><fmt:message key="fcm.sq.queue.descending.txt"/></option>
				</select>
				<script>
					for(i = 0; i < document.queueForm.sortOrder.options.length;i++)
					{
						opt = document.queueForm.sortOrder.options[i];
						if(opt.value == "${esapi:encodeForJavaScript(fn:trim(qa_queue.sortOrder))}".toUpperCase()) opt.selected = true;
					}
				</script>
				</td>
			</tr>
			<tr class="configurationTableDataRow">
				<td><fmt:message key="fcm.sq.queue.systemBlockDays.txt"/>: </td>
				<td><input type="text" name="systemBlockDays" id="systemBlockDays" size="3" maxlength="3" value="${esapi:encodeForHTMLAttribute(qa_queue.systemBlockDays)}"/></td>
			</tr>
			<tr class="configurationTableDataRow">
				<td><fmt:message key="fcm.sq.queue.transactionBlockDays.txt"/>: </td>
				<td><input type="text" name="transactionBlockDays" id="transactionBlockDays" size="3" maxlength="3" value="${esapi:encodeForHTMLAttribute(qa_queue.transactionBlockDays)}"/></td>
			</tr>
		</table><br/>&nbsp;
		</td>

		<%-- E-mail Assignment Selection --%>
	<tr>
		<td colspan="2" class="configurationTableSection" style="padding:5px;">
		<fmt:message key="fcm.sq.queue.EmailAssignment.txt"/>&nbsp;&nbsp;<img onclick="showDiv(this, 'emailAssignmentBlock');" src="admin/images/expand.jpg" align="middle" />
		</td>
	</tr>

<tr id="emailAssignmentBlock" class="configurationTableDataRow" valign="top" style="display:none;">
<td colspan="2">
<table>

	<tr class="configurationTableDataRow" valign="top">
	<td colspan="2" nowrap><br/>
		<a id="addEmailsAnchor" class="menuItemButton" onclick="showDropDownMenu('addEmails',[document.queueForm.assignedEmailsListbox]);return false;" href="#">
			<fmt:message key="fcm.sq.queue.add.txt"/>&nbsp;&nbsp;<img width="7" height="4" border="0" src="common/images/menu/dropBlue.gif"/>
		</a>
		&nbsp;
		<a id="removeEmailsAnchor" class="menuItemButton" onclick="moveSelectedOptions(document.queueForm.assignedEmailsListbox,document.queueForm.unassignedEmailsListbox,false,emailList);selectDefaultItem(event,'assignedEmailsListbox');return false;" href="#">
		<fmt:message key="fcm.sq.queue.remove.txt"/>
		</a>
		&nbsp;
		<a id="setDefaultEmailsAnchor" class="menuItemButton" onclick="setAsDefaultItem(event,'assignedEmailsListbox');return false;" href="#">
		<fmt:message key="fcm.sq.queue.setAsDefault.txt"/>
		</a>
	</td>
	</tr>
	<tr class="configurationTableDataRow">
	<td colspan="2">
		<div id="assignedEmailsContainer" style="display:inline">
			<select name="assignedEmailsListbox" class="famSelect" style="width:25em" size="6" multiple >
			</select>
		</div>
		<script>
			loadListboxByAssignment(emailList,'assignedEmailsContainer',true);
		</script>

		<%--<br/>
		[*] indicates default E-mail template--%>
		<br/>
		<b><fmt:message key="fcm.sq.queue.default.txt"/></b>: <label id="defaultEmailDisplay"/>
		<br/>
	</td>
	</tr>

</table>
</td>
</tr>

	<%-- Letter Assignment Selection --%>
	<tr>
		<td colspan="2" class="configurationTableSection" style="padding:5px;">
		<fmt:message key="fcm.sq.queue.letterAssignment.txt"/>&nbsp;&nbsp;<img onclick="showDiv(this, 'letterAssignmentBlock');" src="admin/images/expand.jpg" align="middle" />
		</td>
	</tr>

<tr id="letterAssignmentBlock" class="configurationTableDataRow" valign="top" style="display:none;">
<td colspan="2">
<table>
	<tr class="configurationTableDataRow" valign="top">
	<td colspan="2" nowrap><br/>
		<a id="addLettersAnchor" class="menuItemButton" onclick="showDropDownMenu('addLetters',[document.queueForm.assignedLettersListbox]);return false;" href="#">
			<fmt:message key="fcm.sq.queue.add.txt"/>&nbsp;&nbsp;<img width="7" height="4" border="0" src="common/images/menu/dropBlue.gif"/>
		</a>
		&nbsp;
		<a id="removeLettersAnchor" class="menuItemButton" onclick="moveSelectedOptions(document.queueForm.assignedLettersListbox,document.queueForm.unassignedLettersListbox,false,letterList);selectDefaultItem(event,'assignedLettersListbox');return false;" href="#">
		<fmt:message key="fcm.sq.queue.remove.txt"/>
		</a>
		&nbsp;
		<a id="setDefaultLettersAnchor" class="menuItemButton" onclick="setAsDefaultItem(event,'assignedLettersListbox');return false;" href="#">
		<fmt:message key="fcm.sq.queue.setAsDefault.txt"/>
		</a>
	</td>
	</tr>
	<tr class="configurationTableDataRow">
	<td colspan="2">
		<div id="assignedLettersContainer" style="display:inline">
			<select name="assignedLettersListbox" class="famSelect" style="width:25em" size="6" multiple >
			</select>
		</div>
		<script>
			loadListboxByAssignment(letterList,'assignedLettersContainer',true);
		</script>
		<br/>
		<b><fmt:message key="fcm.sq.queue.default.txt"/></b>: <label id="defaultLetterDisplay"/>
		<br/>
	</td>
	</tr>

	</table>
</td>
</tr>

	<%-- Sms Assignment Selection --%>
	<tr>
		<td colspan="2" class="configurationTableSection" style="padding:5px;">
		<fmt:message key="fcm.sq.queue.smsAssignment.txt"/>&nbsp;&nbsp;<img onclick="showDiv(this, 'smsAssignmentBlock');" src="admin/images/expand.jpg" align="middle" />
		</td>
	</tr>

<tr id="smsAssignmentBlock" class="configurationTableDataRow" valign="top" style="display:none;">
	<td colspan="2">
		<table border="0">

	<tr class="configurationTableDataRow" valign="top">
	<td colspan="2" nowrap><br/>
		<a id="addSmssAnchor" class="menuItemButton" onclick="showDropDownMenu('addSmss',[document.queueForm.assignedSmssListbox]);return false;" href="#">
			<fmt:message key="fcm.sq.queue.add.txt"/>&nbsp;&nbsp;<img width="7" height="4" border="0" src="common/images/menu/dropBlue.gif"/>
		</a>
		&nbsp;
		<a id="removeSmssAnchor" class="menuItemButton" onclick="moveSelectedOptions(document.queueForm.assignedSmssListbox,document.queueForm.unassignedSmssListbox,false,smsList);selectDefaultItem(event,'assignedSmssListbox');return false;" href="#">
		<fmt:message key="fcm.sq.queue.remove.txt"/>
		</a>
		&nbsp;
		<a id="setDefaultSmssAnchor" class="menuItemButton" onclick="setAsDefaultItem(event,'assignedSmssListbox');return false;" href="#">
		<fmt:message key="fcm.sq.queue.setAsDefault.txt"/>
		</a>
	</td>
	</tr>
	<tr class="configurationTableDataRow">
	<td colspan="2">
		<div id="assignedSmssContainer" style="display:inline">
			<select name="assignedSmssListbox" class="famSelect" style="width:25em" size="6" multiple >
			</select>
		</div>
		<script>
			loadListboxByAssignment(smsList,'assignedSmssContainer',true);
		</script>
		<br/>
		<b><fmt:message key="fcm.sq.queue.default.txt"/></b>: <label id="defaultSmsDisplay"/>
		<br/>
	</td>
	</tr>

</table>
</td>
</tr>

	<%--WARNING OPTION --%>
	<tr align="left" valign="top">
		<td colspan="2" class="configurationTableSection" style="padding:5px;"><fmt:message key="fcm.sq.queue.highRiskWarning.txt"/>&nbsp;&nbsp;<img onclick="showDiv(this, 'highRiskBlock');" src="admin/images/expand.jpg" align="middle" /></td>
	</tr>

	<tr id="highRiskBlock" class="configurationTableDataRow" valign="top" style="display:none;">
	<td colspan="2">
		<table border="0">
			<tr class="configurationTableDataRow" valign="top">
				<td colspan="2" align="left" style="padding-bottom:10px;"><b><fmt:message key="fcm.sq.queue.blockGroupCombinations.txt"/>:</b></td>
				<td><b><fmt:message key="fcm.sq.queue.definedCombinations.txt"/>:</b></td>
			</tr>
			<tr class="configurationTableDataRow" valign="top" align="right">
				<td align="left" NOWRAP valign="bottom"width="10%"><fmt:message key="fcm.sq.queue.blockCode.txt"/>:</td>
				<td align="left" width="30%"><select name="blockCodeSelector" id="blockCodeSelector" class="famSelect">
				<c:if test="${systemBlocks!=null || transactionBlocks!=null}"><option value="all" selected><fmt:message key="fcm.sq.queue.allBlocks.txt"/></option></c:if>
				<c:if test="${systemBlocks != null}">
					<c:forEach var="systemBlock" items="${systemBlocks}" varStatus="status">
						<option value="${esapi:encodeForHTMLAttribute(esapi:encodeForJavaScript(systemBlock.blockId))}" id="bc_${status.count}">${esapi:encodeForHTML(systemBlock.blockLabel)}(${esapi:encodeForHTML(systemBlock.blockType)})</option>
					</c:forEach>
				</c:if>
				<c:if test="${transactionBlocks != null}">
					<c:forEach var="transactionBlock" items="${transactionBlocks}" varStatus="status">
						<option value="${esapi:encodeForHTMLAttribute(esapi:encodeForJavaScript(transactionBlock.blockId))}" id="bc_${status.count}">${esapi:encodeForHTML(transactionBlock.blockLabel)}(${esapi:encodeForHTML(transactionBlock.blockType)})</option>
					</c:forEach>
				</c:if>
				</select>
				</td>
				<td align="left" valign="top" rowspan="4">
					<div id="comboContainer" style="display:inline">
						<select name="comboListbox" id="comboListbox" class="famSelect" style="width:25em" size="6" multiple >
						<c:forEach var="combo" items="${qa_queue.warningCombos}">
							<option value="${esapi:encodeForHTMLAttribute(combo.blockId)}~${esapi:encodeForHTMLAttribute(combo.groupCode)}">${esapi:encodeForHTML(combo.blockLabel)}&${esapi:encodeForHTML(combo.groupLabel)}</option>
						</c:forEach>
						</select>
					</div>
				</td>
			</tr>
			<tr class="configurationTableDataRow">
				<td align="left" NOWRAP valign="bottom"><fmt:message key="fcm.sq.queue.groupCode.txt"/>:</td>
				<td align="left"><select name="groupCodeSelector" id="groupCodeSelector" class="famSelect">
				<c:if test="${groupCodes != null}">
					<option value="all" selected><fmt:message key="fcm.sq.queue.allGroups.txt"/></option>
					<c:forEach var="groupCodes" items="${groupCodes}" varStatus="status">
						<option value="${esapi:encodeForHTMLAttribute(esapi:encodeForJavaScript(groupCodes.groupCode))}">${esapi:encodeForHTML(groupCodes.groupCodeDesc)}</option>
					</c:forEach>
				</c:if>
				</select></td>
			</tr>
			<tr>
				<td valign="middle" align="right"colspan="2">
					<a id="addComboAnchor" class="menuItemButton" onclick="addComboToListbox('blockCodeSelector','groupCodeSelector','comboListbox');return false;" href="#">
					<fmt:message key="fcm.sq.queue.add.txt"/>
					</a>&nbsp;
					<a id="removeCombosAnchor" class="menuItemButton" onclick="removeOptions('comboListbox');return false;" href="#"
						<c:if test="${empty qa_queue.warningCombos}">
							disabled
						</c:if>
					>
					<fmt:message key="fcm.sq.queue.remove.txt"/>
					</a>
				</td>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr class="configurationTableDataRow">
				<td align="left" colspan="3" style="padding-right:0px;"><b><fmt:message key="fcm.sq.queue.warningMsg.txt"/>:</b><br/>
				<input type="text" id="warningMsg" name="warningMsg" class="famTextEntry" maxlength="50" size="103" value="${esapi:encodeForHTMLAttribute(qa_queue.warningMsg)}"></td>
			</tr>
			</table>
	</td>
	</tr>

	<tr align="left" valign="top">
		<td colspan="2" class="configurationTableSection" style="padding:5px;" ><fmt:message key="fcm.sq.queue.alertCreatingAndRouting.txt"/>&nbsp;&nbsp;<img onclick="showDiv(this, 'alertCreationBlock');" src="admin/images/expand.jpg" align="middle" /></td>
	</tr>

<tr id="alertCreationBlock" class="configurationTableDataRow" valign="top" style="display:none;">
<td colspan="2">
<table>
	<tr class="configurationTableDataRow" valign="top">
		<td colspan="2">
		<c:choose>
			<c:when test="${not qa_queue.callSuperseded}">
				<c:set var="checkedFlag" value="checked=\"checked\"" />
			</c:when>
			<c:otherwise>
				<c:set var="checkedFlag" value="" />
			</c:otherwise>
		</c:choose>
		<input name="callSupersededCheckbox" type="checkbox" value="0" ${checkedFlag} />
		<fmt:message key="fcm.sq.queue.SurfaceAlertsOnlyWithinDesignatedCallingHours.txt"/>.
	</td>
	</tr>
	<tr class="configurationTableDataRow" valign="top">
		<td colspan="2">
		<c:set var="checkedFlag" value=""/>
		<c:if test="${qa_queue.stickyQueue}">
			<c:set var="checkedFlag" value="checked=\"checked\""/>
		</c:if>
		<input type="checkbox" name="stickyQueueCheckbox" value="1" ${checkedFlag} />
		<fmt:message key="fcm.sq.queue.AlertsQueueNeverReassigned.txt"/>
		</td>
	</tr>
	<tr class="configurationTableDataRow" valign="top">
		<td colspan="2">
		<c:set var="checkedFlag" value=""/>
		<c:if test="${qa_queue.routeAlertsInboundAllowed }">
			<c:set var="checkedFlag" value="checked=\"checked\""/>
		</c:if>
		<input type="checkbox" name="routeAlertsInboundAllowed" value="1" ${checkedFlag} onclick="setStickySetting(this,document.queueForm.stickyQueueCheckbox)"/>
		<fmt:message key="fcm.sq.queue.allowAlertToBeReroutedToThisQueue.txt"/>
		<script> setStickySetting(document.queueForm.routeAlertsInboundAllowed,document.queueForm.stickyQueueCheckbox) </script>
		</td>
	</tr>
	<tr class="configurationTableDataRow" valign="top">
		<td colspan="2">
		<c:set var="checkedFlag" value=""/>
		<c:if test="${qa_queue.inbound }">
			<c:set var="checkedFlag" value="checked=\"checked\""/>
		</c:if>
		<input type="checkbox" name="inbound" value="1" ${checkedFlag} />
		<fmt:message key="fcm.sq.queue.markAsInbound.txt"/>
		</td>
	</tr>
	<tr class="configurationTableDataRow" valign="top">
		<td colspan="2">
		<c:set var="checkedFlag" value=""/>
		<c:if test="${qa_queue.disableForceCheckout }">
			<c:set var="checkedFlag" value="checked=\"checked\""/>
		</c:if>
		<input type="checkbox" name="disableForceCheckout" value="1" ${checkedFlag} />
		<fmt:message key="fcm.sq.queue.disableForceCheckout.txt"/> <br/>
		</td>
	</tr>
</table>
</td>
</tr>

	<tr align="left" valign="top">
		<td colspan="2" class="configurationTableSection" style="padding:5px;"><fmt:message key="fcm.sq.queue.AssignedQueueRules.txt"/>&nbsp;&nbsp;<img onclick="showDiv(this, 'assignedQueueBlock');" src="admin/images/expand.jpg" align="middle" /></td>
	</tr>

<tr id="assignedQueueBlock" class="configurationTableDataRow" valign="top" style="display:none;">
<td colspan="2">
<table>
	<tr class="configurationTableDataRow" valign="top">
		<td colspan="2">
		<c:set var="divHeight" value="100px"/>
		<c:if test="${empty qa_queue.rules}">
			<c:set var="divHeight" value="50px"/>
		</c:if>
		<div class="queueRuleGrid" style="height:${divHeight}">
			<table cellpadding="0" cellspacing="0" border="0">
			<c:if test="${not empty qa_queue.rules}">
			<%--	<tr class="tableColumnHeaderRow">
				<th nowrap class="centeredTableHeader"><fmt:message key="fcm.sq.queue.type.txt"/></th>
				<th nowrap class="centeredTableHeader"><fmt:message key="fcm.sq.queue.name.txt"/></th>
				<th nowrap class="centeredTableHeader"><fmt:message key="fcm.sq.queue.deployedDate.txt"/></th>
			</tr>--%>
			<c:forEach var="rule" items="${qa_queue.rules}" varStatus="status">
				<tr>
					<td align="left">
					<img src="images/rules/state${esapi:encodeForHTMLAttribute(rule.workflowState)}.gif" width="16" height="16" border="0">
					</td>
					<td>
					<%--<a href="r_rules.sj?id=${rule.id}" onclick="return false;">${fn:escapeXml(rule.name)}</a>--%>
					${esapi:encodeForHTML(rule.name)}
					</td>
				</tr>
			</c:forEach>
			</c:if>
			<c:if test="${empty qa_queue.rules}">
			<tr><td>&nbsp;<fmt:message key="fcm.sq.queue.NoRulesAssignedToQueue.txt"/>.</td></tr>
			</c:if>
			</table>
		</div>
		</td>
	</tr>

</table>
</td>
</tr>


<%-- Call Result Settings Configuration --%>
	<tr align="left" valign="top">
<%-- 		<td colspan="2" class="configurationTableSection" style="padding:5px;"><fmt:message key="fcm.sq.queue.callResultSettings.txt"/>&nbsp;&nbsp;<img onclick="showDiv(this, 'callResultBlock');" src="admin/images/expand.jpg" align="middle" /></td> --%>
<td colspan="2" class="configurationTableSection" style="padding:5px;"><fmt:message key="fcm.sq.queue.callResultSettings.txt"/></td>
	</tr>

	 <!-- <tr id="callResultBlock" class="configurationTableDataRow" valign="top" style="display:none;">
<td colspan="2">
<table> -->
<div class="configurationTableDataRow" valign="top">
<%-- No Contact --%>


	<tr>
		<td class="configurationTableSection2"><input type="checkbox" disabled checked> <fmt:message key="fcm.sq.queue.noContact.txt"/> </td>
		<td class="configurationTableSection2" style="font-weight:normal;color:#000000;" valign="top" align="right" NOWRAP> <fmt:message key="fcm.sq.queue.alertClosing.txt"/>:
		<input type="text" class="famTextEntry" name="autoCloseNewAlert" size="3" maxlength="3" value="${esapi:encodeForHTMLAttribute(qa_queue.autoCloseNewAlert)}"> <fmt:message key="fcm.sq.queue.days.txt"/> </td>
	</tr>
	<tr class="configurationTableDataRow2">
		<td valign="top" colspan="2">
		<br/>
		&nbsp;
		</td>
	</tr>
<%-- Skip --%>
	<tr>
		<td class="configurationTableSection2"><input type="checkbox" name="callResult(skip)" onclick="enableElements('skip',['applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock','minutes','nextDay','whenOptions','autoClose'],!this.checked)"> <fmt:message key="fcm.sq.queue.skip.txt"/> </td>
		<td class="configurationTableSection2" valign="top" align="right" style="font-weight:normal;color:#000000;" NOWRAP> <fmt:message key="fcm.sq.queue.alertClosing.txt"/>:
			<input type="text" name="autoClose(skip)" value="${esapi:encodeForHTMLAttribute(defaultAutoClose[0].autoClose)}" class="famTextEntry" disabled size="3" maxlength="3" maxlength="3"> <fmt:message key="fcm.sq.queue.days.txt"/>
		</td>
	</tr>
	<%--transaction block--%>
	<tr class="configurationTableDataRow2"><td valign="bottom" width="350px"colspan="2">
		<input type="checkbox" disabled name="applyTransactionBlock(skip)" onclick="showHideBlock('skipTransactionBlock','skip');enableElements('skip',['transactionBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplyTransactionBlockCodes.txt"/>
			<table id="skipTransactionBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="skipAvailableTransactionBlocksContainer" style="display:inline">
						<select id="availableTransactionBlocks(skip)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;" multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableTransactionBlocks(skip)'],document.queueForm.elements['selectedTransactionBlocks(skip)'],true, txnBlocksByCallResult['SKIP']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableTransactionBlocks(skip)'],document.queueForm.elements['selectedTransactionBlocks(skip)'],true, txnBlocksByCallResult['SKIP']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedTransactionBlocks(skip)'],document.queueForm.elements['availableTransactionBlocks(skip)'],false, txnBlocksByCallResult['SKIP']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedTransactionBlocks(skip)'],document.queueForm.elements['availableTransactionBlocks(skip)'],false, txnBlocksByCallResult['SKIP']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="skipSelectedTransactionBlocksContainer" style="display:inline">
						<select name="selectedTransactionBlocks(skip)" id="selectedTransactionBlocks(skip)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(txnBlocksByCallResult['SKIP'], 'skipAvailableTransactionBlocksContainer', false);
							loadListboxByAssignment(txnBlocksByCallResult['SKIP'], 'skipSelectedTransactionBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
		<br/><input type="checkbox" disabled name="removeTransactionBlock(skip)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingTransactionBlockCodes.txt"/><br/>
		<input type="checkbox" disabled name="applySystemBlock(skip)" onclick="showHideBlock('skipSystemBlock','skip');enableElements('skip',['systemBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplySystemBlockCodes.txt"/>
			<table id="skipSystemBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="skipAvailableSystemBlocksContainer">
						<select id="availableSystemBlocks(skip)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableSystemBlocks(skip)'],document.queueForm.elements['selectedSystemBlocks(skip)'],true, sysBlocksByCallResult['SKIP']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableSystemBlocks(skip)'],document.queueForm.elements['selectedSystemBlocks(skip)'],true, sysBlocksByCallResult['SKIP']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedSystemBlocks(skip)'],document.queueForm.elements['availableSystemBlocks(skip)'],false, sysBlocksByCallResult['SKIP']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedSystemBlocks(skip)'],document.queueForm.elements['availableSystemBlocks(skip)'],false, sysBlocksByCallResult['SKIP']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="skipSelectedSystemBlocksContainer">
						<select name="selectedSystemBlocks(skip)" id="selectedSystemBlocks(skip)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(sysBlocksByCallResult['SKIP'], 'skipAvailableSystemBlocksContainer', false);
							loadListboxByAssignment(sysBlocksByCallResult['SKIP'], 'skipSelectedSystemBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/><input type="checkbox" disabled value="1" name="removeSystemBlock(skip)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingSystemBlockCodes.txt"/>
		</tr>
	<tr class="configurationTableDataRow2">
		<td valign="top"> <fmt:message key="fcm.sq.queue.alertScheduling.txt"/>:
		<br/>
		<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="minutes(skip)" disabled value="1" onclick="enableElements('skip',['minutesValue','minutesUnit'],!this.checked);enableElements('skip',['nextDay']);">
						<fmt:message key="fcm.sq.queue.bringBackOnSameDayIn.txt"/> <input id="skipMinutes" disabled type="text" name="minutesValue(skip)" value="10" class="famTextEntry" maxlength="2" size="2">
						<select disabled name="minutesUnit(skip)" class="famSelect">
							<option value="min"><fmt:message key="fcm.sq.queue.min.txt"/></option>
							<option value="hr"><fmt:message key="fcm.sq.queue.hr.txt"/></option>
						</select>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="nextDay(skip)" disabled onclick="enableElements('skip',['minutes'])">
					<fmt:message key="fcm.sq.queue.bringBackNextScheduledDay.txt"/>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;white-space:nowrap;">
					<input type="checkbox" name="whenOptions(skip)" disabled value="1" onclick="enableDivElements('skip',['scoreIncrease','score','amount','merchantCountry','merchantCountryNot','sic','notSic','ard','ardCodesValue', 'pos'],!this.checked)">
					<fmt:message key="fcm.sq.queue.bringBackWhen.txt"/>...
					<div id="skipWhenOptionsDiv" style="display:none;padding-left:20">
						<input type="checkbox" name="scoreIncrease(skip)" disabled value="1" onclick="enableElements('skip',['scoreIncreaseValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.alertHighWatermarkScoreIncreasesBy.txt"/>
						<input disabled type="text" name="scoreIncreaseValue(skip)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="score(skip)" disabled value="1" onclick="enableElements('skip',['scoreValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionScore.txt"/> &gt;
						<input disabled type="text" name="scoreValue(skip)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="amount(skip)" disabled value="1" onclick="enableElements('skip',['amountValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionAmount.txt"/> &gt;
						<input disabled type="text" name="amountValue(skip)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="merchantCountryNot(skip)" disabled value="1" onclick="enableLookup('merchantCountryNotSkipLookup');enableElements('skip',['notMerchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryNotEqualTo.txt"/><input type="text" class="famTextEntry" name="notMerchantCountryCodesValue(skip)" disabled id="notMerchantCountryCodesValue(skip)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('notMerchantCountryCodesValue(skip)',document.queueForm.elements['notMerchantCountryCodesValue(skip)'].value,true)">
						<a href="#" id="merchantCountryNotSkipLookup" disabled onclick="_name='notMerchantCountryCodesValue(skip)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
						<br/><input type="checkbox" name="merchantCountry(skip)" disabled value="1" onclick="enableLookup('merchantCountrySkipLookup');enableElements('skip',['merchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryEqualTo.txt"/> <input type="text" class="famTextEntry" name="merchantCountryCodesValue(skip)" disabled id="merchantCountryCodesValue(skip)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('merchantCountryCodesValue(skip)',document.queueForm.elements['merchantCountryCodesValue(skip)'].value,true)">
						<a href="#" id="merchantCountrySkipLookup" disabled onclick="_name='merchantCountryCodesValue(skip)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
					<br/><input type="checkbox" name="sic(skip)" disabled value="1" onclick="enableElements('skip',['sicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICEqualTo.txt"/>
						<input disabled type="text" name="sicCodesValue(skip)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onchange="getCodeDescription('sicCodesValue(skip)','hct_mer_mcc',document.queueForm.elements['sicCodesValue(skip)'].value,true)">
					<br/><input type="checkbox" name="notSic(skip)" disabled value="1" onclick="enableElements('skip',['notSicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICNotEqualTo.txt"/>
						<input disabled type="text" name="notSicCodesValue(skip)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onchange="getCodeDescription('notSicCodesValue(skip)','hct_mer_mcc',document.queueForm.elements['notSicCodesValue(skip)'].value,true)">
					<br/><input type="checkbox" name="ard(skip)" disabled value="1" onclick="showHideBlock('ARDValuesDiv(skip)');">
						<fmt:message key="fcm.sq.queue.ARDDecisionIsMade.txt"/> &nbsp;&nbsp;<div id="ARDValuesDiv(skip)" style="display:none;white-space:nowrap;padding:0px;">
 			<c:forEach var="ard" items="${ARDCodes}">
				<c:set var="checkedAttr" value=""/>
				<c:forEach var="checkedARDCode" items="${queueCallResultSettings.SKIP.ardCodes}">
					<c:if test="${checkedARDCode == ard.ardCode}"><c:set var="checkedAttr" value="checked=\"checked\""/></c:if>
				</c:forEach>
				<input type="checkbox" name="ardCodesValue(skip)" value="${esapi:encodeForHTMLAttribute(ard.ardCode)}" onclick="limitSelections(this);" ${checkedAttr}/>${esapi:encodeForHTML(ard.ardName)}&nbsp;
			</c:forEach>
				</div>
			<br/>
			<input type="checkbox" name="pos(skip)" disabled value="1" onclick="enableElements('skip',['posCodes'],!this.checked);showHideBlock('skipPosCode','skip');"><fmt:message key="fcm.sq.queue.transactionPOSCodeEqualTo.txt"/>
			<br/>
			<table id="skipPosCode" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="skipAvailablePosCodesContainer">
							<select id="availablePosCodes(skip)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availablePosCodes(skip)'],document.queueForm.elements['selectedPosCodes(skip)'],true, posCodesByCallResult['SKIP']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availablePosCodes(skip)'],document.queueForm.elements['selectedPosCodes(skip)'],true, posCodesByCallResult['SKIP']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedPosCodes(skip)'],document.queueForm.elements['availablePosCodes(skip)'],false, posCodesByCallResult['SKIP']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedPosCodes(skip)'],document.queueForm.elements['availablePosCodes(skip)'],false, posCodesByCallResult['SKIP']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="skipSelectedPosCodesContainer">
						<select name="selectedPosCodes(skip)" id="selectedPosCodes(skip)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(posCodesByCallResult["SKIP"], 'skipAvailablePosCodesContainer', false);
							loadListboxByAssignment(posCodesByCallResult["SKIP"], 'skipSelectedPosCodesContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/>
				</div>
				</td>
			</tr>
		</table>
		</td>
		<td valign="top"> &nbsp;
		</td>
	</tr>
<%-- Reschedule --%>
	<tr>
		<td class="configurationTableSection2"><input type="checkbox" name="callResult(reschedule)" onclick="enableElements('reschedule',['applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock','rescheduleTimestamp','whenOptions','autoClose','neverReschedule'],!this.checked)"><fmt:message key="fcm.sq.queue.reschedule.txt"/></td>
			<td NOWRAP class="configurationTableSection2" valign="top" align="right" colspan="2" style="font-weight:normal;color:#000000;" > <fmt:message key="fcm.sq.queue.alertClosing.txt"/>:
				<input type="text" name="autoClose(reschedule)" value="${esapi:encodeForHTMLAttribute(defaultAutoClose[1].autoClose)}" disabled class="famTextEntry" size="3" maxlength="3"> <fmt:message key="fcm.sq.queue.days.txt"/>
		</td>
	</tr>
	<%--transaction block--%>
	<tr class="configurationTableDataRow2"><td valign="bottom" width="350px"colspan="2">
	<input type="checkbox" disabled name="applyTransactionBlock(reschedule)" onclick="showHideBlock('rescheduleTransactionBlock','reschedule');enableElements('reschedule',['transactionBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplyTransactionBlockCodes.txt"/>
			<table id="rescheduleTransactionBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="rescheduleAvailableTransactionBlocksContainer" style="display:inline">
						<select id="availableTransactionBlocks(reschedule)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableTransactionBlocks(reschedule)'],document.queueForm.elements['selectedTransactionBlocks(reschedule)'],true, txnBlocksByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableTransactionBlocks(reschedule)'],document.queueForm.elements['selectedTransactionBlocks(reschedule)'],true, txnBlocksByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedTransactionBlocks(reschedule)'],document.queueForm.elements['availableTransactionBlocks(reschedule)'],false, txnBlocksByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedTransactionBlocks(reschedule)'],document.queueForm.elements['availableTransactionBlocks(reschedule)'],false, txnBlocksByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="rescheduleSelectedTransactionBlocksContainer" style="display:inline">
						<select name="selectedTransactionBlocks(reschedule)" id="selectedTransactionBlocks(reschedule)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(txnBlocksByCallResult['RESCHEDULE'], 'rescheduleAvailableTransactionBlocksContainer', false);
							loadListboxByAssignment(txnBlocksByCallResult['RESCHEDULE'], 'rescheduleSelectedTransactionBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
		<br/><input type="checkbox" disabled name="removeTransactionBlock(reschedule)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingTransactionBlockCodes.txt"/><br/>
		<input type="checkbox" disabled value="1" name="applySystemBlock(reschedule)" onclick="showHideBlock('rescheduleSystemBlock','reschedule');enableElements('reschedule',['systemBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplySystemBlockCodes.txt"/>
			<table id="rescheduleSystemBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="rescheduleAvailableSystemBlocksContainer">
						<select id="availableSystemBlocks(reschedule)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableSystemBlocks(reschedule)'],document.queueForm.elements['selectedSystemBlocks(reschedule)'],true, sysBlocksByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableSystemBlocks(reschedule)'],document.queueForm.elements['selectedSystemBlocks(reschedule)'],true, sysBlocksByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedSystemBlocks(reschedule)'],document.queueForm.elements['availableSystemBlocks(reschedule)'],false, sysBlocksByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedSystemBlocks(reschedule)'],document.queueForm.elements['availableSystemBlocks(reschedule)'],false, sysBlocksByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="rescheduleSelectedSystemBlocksContainer">
						<select name="selectedSystemBlocks(reschedule)" id="selectedSystemBlocks(reschedule)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(sysBlocksByCallResult['RESCHEDULE'], 'rescheduleAvailableSystemBlocksContainer', false);
							loadListboxByAssignment(sysBlocksByCallResult['RESCHEDULE'], 'rescheduleSelectedSystemBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/><input type="checkbox" disabled value="1" name="removeSystemBlock(reschedule)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingSystemBlockCodes.txt"/>
		</tr>
	<tr class="configurationTableDataRow2">
		<td valign="top"> <fmt:message key="fcm.sq.queue.alertScheduling.txt"/>:
		<br/>
		<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="rescheduleTimestamp(reschedule)" disabled value="1">
					<fmt:message key="fcm.sq.queue.bringBackAtResurfaceWhenTime.txt"/>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;" nowrap>
					<input type="checkbox" name="whenOptions(reschedule)" disabled value="1" onclick="enableDivElements('reschedule',['scoreIncrease','score','amount','merchantCountry','merchantCountryNot','sic','notSic','ard','pos'],!this.checked)">
					<fmt:message key="fcm.sq.queue.bringBackWhen.txt"/>...
					<div id="rescheduleWhenOptionsDiv" style="display:none;padding-left:20">
					<input type="checkbox" name="scoreIncrease(reschedule)" disabled value="1" onclick="enableElements('reschedule',['scoreIncreaseValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.alertHighWatermarkScoreIncreasesBy.txt"/>
							<input disabled type="text" name="scoreIncreaseValue(reschedule)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="score(reschedule)" disabled value="1" onclick="enableElements('reschedule',['scoreValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionScore.txt"/> &gt;
						<input disabled type="text" name="scoreValue(reschedule)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="amount(reschedule)" disabled value="1" onclick="enableElements('reschedule',['amountValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionAmount.txt"/> &gt;
						<input disabled type="text" name="amountValue(reschedule)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="merchantCountryNot(reschedule)" disabled value="1" onclick="enableLookup('merchantCountryNotRescheduleLookup');enableElements('reschedule',['notMerchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryNotEqualTo.txt"/> <input type="text" class="famTextEntry" name="notMerchantCountryCodesValue(reschedule)" disabled id="notMerchantCountryCodesValue(reschedule)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('notMerchantCountryCodesValue(reschedule)',document.queueForm.elements['notMerchantCountryCodesValue(reschedule)'].value,true)">
						<a href="#" id="merchantCountryNotRescheduleLookup" disabled onclick="_name='notMerchantCountryCodesValue(reschedule)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
						<br/><input type="checkbox" name="merchantCountry(reschedule)" disabled value="1" onclick="enableLookup('merchantCountryRescheduleLookup');enableElements('reschedule',['merchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryEqualTo.txt"/> <input type="text" class="famTextEntry" name="merchantCountryCodesValue(reschedule)" disabled id="merchantCountryCodesValue(reschedule)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('merchantCountryCodesValue(reschedule)',document.queueForm.elements['merchantCountryCodesValue(reschedule)'].value, true)">
						<a href="#" id="merchantCountryRescheduleLookup" disabled onclick="_name='merchantCountryCodesValue(reschedule)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
					<br/>
						<input type="checkbox" name="sic(reschedule)" disabled value="1" onclick="enableElements('reschedule',['sicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICEqualTo.txt"/>
						<input disabled type="text" name="sicCodesValue(reschedule)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('sicCodesValue(reschedule)','hct_mer_mcc',document.queueForm.elements['sicCodesValue(reschedule)'].value,true)">
						<br/><input type="checkbox" name="notSic(reschedule)" disabled value="1" onclick="enableElements('reschedule',['notSicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICNotEqualTo.txt"/>
						<input disabled type="text" name="notSicCodesValue(reschedule)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('notSicCodesValue(reschedule)','hct_mer_mcc',document.queueForm.elements['notSicCodesValue(reschedule)'].value,true)">
					<br/>
			<input type="checkbox" name="ard(reschedule)" disabled value="1" onclick="showHideBlock('ARDValuesDiv(reschedule)');">
			<fmt:message key="fcm.sq.queue.ARDDecisionIsMade.txt"/>&nbsp;&nbsp;<div id="ARDValuesDiv(reschedule)" style="display:none;white-space:nowrap;padding:0px;">
			<c:forEach var="ard" items="${ARDCodes}">
				<c:set var="checkedAttr" value=""/>
				<c:forEach var="checkedARDCode" items="${queueCallResultSettings.RESCHEDULE.ardCodes}">
					<c:if test="${checkedARDCode == ard.ardCode}"><c:set var="checkedAttr" value="checked=\"checked\""/></c:if>
				</c:forEach>
				<input type="checkbox" name="ardCodesValue(reschedule)" value="${esapi:encodeForHTMLAttribute(ard.ardCode)}" onclick="limitSelections(this);" ${checkedAttr}/>${esapi:encodeForHTML(ard.ardName)}&nbsp;
			</c:forEach>
		</div>
			<br/>
			<input type="checkbox" name="pos(reschedule)" disabled value="1" onclick="enableElements('reschedule',['posCodes'],!this.checked);showHideBlock('reschedulePosCode','reschedule');"><fmt:message key="fcm.sq.queue.transactionPOSCodeEqualTo.txt"/>
			<br/>
			<table id="reschedulePosCode" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="rescheduleAvailablePosCodesContainer">
						<select id="availablePosCodes(reschedule)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availablePosCodes(reschedule)'],document.queueForm.elements['selectedPosCodes(reschedule)'],true, posCodesByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availablePosCodes(reschedule)'],document.queueForm.elements['selectedPosCodes(reschedule)'],true, posCodesByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedPosCodes(reschedule)'],document.queueForm.elements['availablePosCodes(reschedule)'],false, posCodesByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedPosCodes(reschedule)'],document.queueForm.elements['availablePosCodes(reschedule)'],false, posCodesByCallResult['RESCHEDULE']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
						<div id="rescheduleSelectedPosCodesContainer">
							<select name="selectedPosCodes(reschedule)" id="selectedPosCodes(reschedule)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
								multiple="multiple">
							</select>
						</div>
						<script>
							loadListboxByAssignment(posCodesByCallResult["RESCHEDULE"], 'rescheduleAvailablePosCodesContainer', false);
							loadListboxByAssignment(posCodesByCallResult["RESCHEDULE"], 'rescheduleSelectedPosCodesContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/>
					</div>
				</td>
			</tr>
		</table>
		</td>
		<td valign="top"> &nbsp;
		</td>
	</tr>
<%-- Save Pending --%>
	<tr>
		<td colspan="2" class="configurationTableSection2">
		<input type="checkbox" name="callResult(savepending)" onclick="enableElements('savepending',['minutes','nextDay','neverReschedule','whenOptions','autoClose','applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock'],!this.checked);enableElements('savependingblock',['applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock','neverReschedule','minutes','nextDay','whenOptions','autoClose'],!this.checked);"> <fmt:message key="fcm.sq.queue.savePending.txt"/>
		<input type="checkbox" name="callResult(savependingblock)" style="visibility:hidden"></td>
	</tr>

	<%--transaction block--%>
	<tr class="configurationTableDataRow2"><td valign="bottom" width="350px"colspan="2">
	<br/><input type="checkbox" disabled name="applyTransactionBlock(savependingblock)" onclick="showHideBlock('savependingblockTransactionBlock','savependingblock');enableElements('savependingblock',['transactionBlocks'],!this.checked);enableElements('savepending',['transactionBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplyTransactionBlockCodes.txt"/>
	<input type="checkbox" style="visibility:hidden" name="applyTransactionBlock(savepending)">
			<table id="savependingblockTransactionBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="savependingblockAvailableTransactionBlocksContainer" style="display:inline">
							<select id="availableTransactionBlocks(savependingblock)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableTransactionBlocks(savependingblock)'],document.queueForm.elements['selectedTransactionBlocks(savependingblock)'],true, txnBlocksByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableTransactionBlocks(savependingblock)'],document.queueForm.elements['selectedTransactionBlocks(savependingblock)'],true, txnBlocksByCallResult['SAVEPENDINGBLOCK']);"title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedTransactionBlocks(savependingblock)'],document.queueForm.elements['availableTransactionBlocks(savependingblock)'],false, txnBlocksByCallResult['SAVEPENDINGBLOCK']);"title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedTransactionBlocks(savependingblock)'],document.queueForm.elements['availableTransactionBlocks(savependingblock)'],false, txnBlocksByCallResult['SAVEPENDINGBLOCK']);"title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="savependingblockSelectedTransactionBlocksContainer" style="display:inline">
						<select name="selectedTransactionBlocks(savependingblock)" id="selectedTransactionBlocks(savependingblock)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<select name="selectedTransactionBlocks(savepending)" id="selectedTransactionBlocks(savepending)" class="famSelect" size="5" style="visibility:hidden;"
							multiple="multiple">
						</select>
						<script>
							loadListboxByAssignment(txnBlocksByCallResult['SAVEPENDINGBLOCK'], 'savependingblockAvailableTransactionBlocksContainer', false);
							loadListboxByAssignment(txnBlocksByCallResult['SAVEPENDINGBLOCK'], 'savependingblockSelectedTransactionBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<input type="checkbox" style="visibility:hidden" name="removeTransactionBlock(savepending)">
		<br/><input type="checkbox" disabled name="removeTransactionBlock(savependingblock)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingTransactionBlockCodes.txt"/><br/>
		<input type="checkbox" disabled name="applySystemBlock(savependingblock)" onclick="showHideBlock('savependingblockSystemBlock','savependingblock');enableElements('savependingblock',['systemBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplySystemBlockCodes.txt"/>
			<table id="savependingblockSystemBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="savependingblockAvailableSystemBlocksContainer">
							<select id="availableSystemBlocks(savependingblock)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableSystemBlocks(savependingblock)'],document.queueForm.elements['selectedSystemBlocks(savependingblock)'],true, sysBlocksByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableSystemBlocks(savependingblock)'],document.queueForm.elements['selectedSystemBlocks(savependingblock)'],true, sysBlocksByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedSystemBlocks(savependingblock)'],document.queueForm.elements['availableSystemBlocks(savependingblock)'],false, sysBlocksByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedSystemBlocks(savependingblock)'],document.queueForm.elements['availableSystemBlocks(savependingblock)'],false, sysBlocksByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
						<div id="savependingblockSelectedSystemBlocksContainer">
						<select name="selectedSystemBlocks(savependingblock)" id="selectedSystemBlocks(savependingblock)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
						<script>
							loadListboxByAssignment(sysBlocksByCallResult['SAVEPENDINGBLOCK'], 'savependingblockAvailableSystemBlocksContainer', false);
							loadListboxByAssignment(sysBlocksByCallResult['SAVEPENDINGBLOCK'], 'savependingblockSelectedSystemBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/><input type="checkbox" disabled value="1" name="removeSystemBlock(savependingblock)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingSystemBlockCodes.txt"/>
			<input type="checkbox" style="visibility:hidden" value="1" name="removeSystemBlock(savepending)">
		</tr>
	<tr>
		<td class="configurationTableSection2" style="padding-left:40px;color:#000000;border-bottom:0px;"><fmt:message key="fcm.sq.queue.alertSchedulingWithoutBlock.txt"/>:</td>
		<td class="configurationTableSection2" valign="top" align="right" style="font-weight:normal;color:#000000;border-bottom:0px;"" NOWRAP> <fmt:message key="fcm.sq.queue.alertClosing.txt"/>:<input type="text" name="autoClose(savepending)" value="${esapi:encodeForHTMLAttribute(defaultAutoClose[2].autoClose)}" disabled class="famTextEntry" size="3" maxlength="3"> <fmt:message key="fcm.sq.queue.days.txt"/></td>
	</tr>
	<tr class="configurationTableDataRow2">
		<td valign="top" colspan="2">
		<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td colspan="2" style="padding:0px;">
					<input type="checkbox" name="minutes(savepending)" disabled value="1" onclick="enableElements('savepending',['minutesValue','minutesUnit'],!this.checked);enableElements('savepending',['nextDay','neverReschedule']);">
						<fmt:message key="fcm.sq.queue.bringBackOnSameDayIn.txt"/> <input type="text" disabled name="minutesValue(savepending)" class="famTextEntry" maxlength="2" size="2" value="">
							<select disabled name="minutesUnit(savepending)" class="famSelect">
							<option value="min"><fmt:message key="fcm.sq.queue.min.txt"/></option>
							<option value="hr"><fmt:message key="fcm.sq.queue.hr.txt"/></option>
							</select>
				</td>
			</tr>
			<tr>
				<td colspan="2" style="padding:0px;">
					<input type="checkbox" name="nextDay(savepending)" disabled onclick="enableElements('savepending',['minutes','neverReschedule'])">
					<fmt:message key="fcm.sq.queue.bringBackNextScheduledDay.txt"/>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="neverReschedule(savepending)" disabled value="1" onclick="enableElements('savepending',['minutes','nextDay','whenOptions'])">
					<fmt:message key="fcm.sq.queue.neverBringBack.txt"/>
				</td>
			</tr>
			<tr>
				<td colspan="2"style="padding:0px;white-space:nowrap;" nowrap>
					<input type="checkbox" name="whenOptions(savepending)" disabled value="checkbox" onclick="enableElements('savepending',['neverReschedule']);enableDivElements('savepending',['scoreIncrease','score','amount','merchantCountry','merchantCountryNot','sic','notSic','ard','pos'],!this.checked)">
					<fmt:message key="fcm.sq.queue.bringBackWhen.txt"/>...
					<div id="savependingWhenOptionsDiv" style="display:none;padding-left:20">
					<input type="checkbox" disabled name="scoreIncrease(savepending)" value="1" onclick="enableElements('savepending',['scoreIncreaseValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.transactionScoreIncreasesBy.txt"/>
							<input type="text" disabled name="scoreIncreaseValue(savepending)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" disabled name="score(savepending)" value="1" onclick="enableElements('savepending',['scoreValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionScore.txt"/> &gt;
						<input type="text" disabled name="scoreValue(savepending)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" disabled name="amount(savepending)" value="1" onclick="enableElements('savepending',['amountValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionAmount.txt"/> &gt;
						<input type="text" disabled name="amountValue(savepending)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="merchantCountryNot(savepending)" disabled value="1" onclick="enableLookup('merchantCountryNotSavependingLookup');enableElements('savepending',['notMerchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryNotEqualTo.txt"/> <input type="text" class="famTextEntry" name="notMerchantCountryCodesValue(savepending)" disabled id="notMerchantCountryCodesValue(savepending)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('notMerchantCountryCodesValue(savepending)',document.queueForm.elements['notMerchantCountryCodesValue(savepending)'].value,true)">
						<a href="#" id="merchantCountryNotSavependingLookup" disabled onclick="_name='notMerchantCountryCodesValue(savepending)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
					<br/>
						<input type="checkbox" name="merchantCountry(savepending)" disabled value="1" onclick="enableLookup('merchantCountrySavependingLookup');enableElements('savepending',['merchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryEqualTo.txt"/> <input type="text" class="famTextEntry" name="merchantCountryCodesValue(savepending)" disabled id="merchantCountryCodesValue(savepending)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('merchantCountryCodesValue(savepending)',document.queueForm.elements['merchantCountryCodesValue(savepending)'].value,true)">
						<a href="#" id="merchantCountrySavependingLookup" disabled onclick="_name='merchantCountryCodesValue(savepending)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
					<br/>
						<input type="checkbox" name="sic(savepending)" disabled value="1" onclick="enableElements('savepending',['sicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICEqualTo.txt"/>
						<input disabled type="text" name="sicCodesValue(savepending)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('sicCodesValue(savepending)','hct_mer_mcc',document.queueForm.elements['sicCodesValue(savepending)'].value,true)">
						<br/><input type="checkbox" name="notSic(savepending)" disabled value="1" onclick="enableElements('savepending',['notSicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICNotEqualTo.txt"/>
						<input disabled type="text" name="notSicCodesValue(savepending)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('notSicCodesValue(savepending)','hct_mer_mcc',document.queueForm.elements['notSicCodesValue(savepending)'].value,true)">
					<br/>
						<input type="checkbox" name="ard(savepending)" disabled value="1" onclick="showHideBlock('ARDValuesDiv(savepending)');">
						<fmt:message key="fcm.sq.queue.ARDDecisionIsMade.txt"/> &nbsp;&nbsp;<div id="ARDValuesDiv(savepending)" style="display:none;white-space:nowrap;padding:0px;">
			<c:forEach var="ard" items="${ARDCodes}">
				<c:set var="checkedAttr" value=""/>
				<c:forEach var="checkedARDCode" items="${queueCallResultSettings.SAVEPENDING.ardCodes}">
					<c:if test="${checkedARDCode == ard.ardCode}"><c:set var="checkedAttr" value="checked=\"checked\""/></c:if>
				</c:forEach>
				<input type="checkbox" name="ardCodesValue(savepending)" value="${esapi:encodeForHTMLAttribute(ard.ardCode)}" onclick="limitSelections(this);" ${checkedAttr}/>${esapi:encodeForHTML(ard.ardName)}&nbsp;
			</c:forEach>
		</div>
		<br/>
		<input type="checkbox" name="pos(savepending)" disabled value="1" onclick="enableElements('savepending',['posCodes'],!this.checked);showHideBlock('savependingPosCode','savepending');"><fmt:message key="fcm.sq.queue.transactionPOSCodeEqualTo.txt"/>
		<br/>
			<table id="savependingPosCode" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="savependingAvailablePosCodesContainer">
						<select id="availablePosCodes(savepending)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availablePosCodes(savepending)'],document.queueForm.elements['selectedPosCodes(savepending)'],true, posCodesByCallResult['SAVEPENDING']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availablePosCodes(savepending)'],document.queueForm.elements['selectedPosCodes(savepending)'],true, posCodesByCallResult['SAVEPENDING']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedPosCodes(savepending)'],document.queueForm.elements['availablePosCodes(savepending)'],false, posCodesByCallResult['SAVEPENDING']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedPosCodes(savepending)'],document.queueForm.elements['availablePosCodes(savepending)'],false, posCodesByCallResult['SAVEPENDING']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
						<div id="savependingSelectedPosCodesContainer">
							<select name="selectedPosCodes(savepending)" id="selectedPosCodes(savepending)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
						<script>
							loadListboxByAssignment(posCodesByCallResult["SAVEPENDING"], 'savependingAvailablePosCodesContainer', false);
							loadListboxByAssignment(posCodesByCallResult["SAVEPENDING"], 'savependingSelectedPosCodesContainer', true);
						</script>
					</td>
				</tr>
			</table>
					<br/>
					</div>
				</td>
			</tr>
			</table>
	</td></tr>
		<tr>
		<td class="configurationTableSection2" style="padding-left:40px;color:#000000;border-bottom:0px;"><fmt:message key="fcm.sq.queue.alertSchedulingWithBlock.txt"/>:</td>
			<td class="configurationTableSection2" valign="top" align="right" style="font-weight:normal;color:#000000;border-bottom:0px;"" NOWRAP> <fmt:message key="fcm.sq.queue.alertClosing.txt"/>:<input type="text" name="autoClose(savependingblock)" value="${esapi:encodeForHTMLAttribute(defaultAutoClose[3].autoClose)}" disabled class="famTextEntry" size="3" maxlength="3"> <fmt:message key="fcm.sq.queue.days.txt"/></td>
		</tr>
	<tr class="configurationTableDataRow2">
		<td valign="top">
		<table cellpadding="0" cellspacing="0" border="0">
			<tr><td style="padding:0px;">

		<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="minutes(savependingblock)" disabled value="1" onclick="enableElements('savependingblock',['minutesValue','minutesUnit'],!this.checked);enableElements('savependingblock',['nextDay','neverReschedule']);">
						<fmt:message key="fcm.sq.queue.bringBackOnSameDayIn.txt"/> <input disabled type="text" name="minutesValue(savependingblock)" class="famTextEntry" maxlength="2" size="2">
							<select disabled name="minutesUnit(savependingblock)" class="famSelect">
							<option value="min"><fmt:message key="fcm.sq.queue.min.txt"/></option>
							<option value="hr"><fmt:message key="fcm.sq.queue.hr.txt"/></option>
							</select>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="nextDay(savependingblock)" disabled value="1" onclick="enableElements('savependingblock',['minutes','neverReschedule'])">
					<fmt:message key="fcm.sq.queue.bringBackNextScheduledDay.txt"/>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="neverReschedule(savependingblock)" disabled value="1" onclick="enableElements('savependingblock',['minutes','nextDay','whenOptions'])">
								<fmt:message key="fcm.sq.queue.neverBringBack.txt"/>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;white-space:nowrap;">
					<input type="checkbox" name="whenOptions(savependingblock)" disabled value="checkbox" onclick="enableElements('savependingblock',['neverReschedule']);enableDivElements('savependingblock',['scoreIncrease','score','amount','merchantCountry','merchantCountryNot','sic','notSic','ard','pos'],!this.checked)">
					<fmt:message key="fcm.sq.queue.bringBackWhen.txt"/>...
					<div id="savependingblockWhenOptionsDiv" style="display:none;padding-left:20">
					<input type="checkbox" disabled name="scoreIncrease(savependingblock)" value="1" onclick="enableElements('savependingblock',['scoreIncreaseValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionScoreIncreasesBy.txt"/>
						<input disabled type="text" name="scoreIncreaseValue(savependingblock)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input disabled type="checkbox" name="score(savependingblock)" value="1" onclick="enableElements('savependingblock',['scoreValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionScore.txt"/> &gt;
						<input disabled type="text" name="scoreValue(savependingblock)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input disabled type="checkbox" name="amount(savependingblock)" value="1" onclick="enableElements('savependingblock',['amountValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionAmount.txt"/> &gt;
						<input disabled type="text" name="amountValue(savependingblock)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="merchantCountryNot(savependingblock)" disabled value="1" onclick="enableLookup('merchantCountryNotSavependingblockLookup');enableElements('savependingblock',['notMerchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryNotEqualTo.txt"/> <input type="text" class="famTextEntry" name="notMerchantCountryCodesValue(savependingblock)" disabled id="notMerchantCountryCodesValue(savependingblock)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('notMerchantCountryCodesValue(savependingblock)',document.queueForm.elements['notMerchantCountryCodesValue(savependingblock)'].value,true)">
						<a href="#" id="merchantCountryNotSavependingblockLookup" disabled onclick="_name='notMerchantCountryCodesValue(savependingblock)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
					<br/>
						<input type="checkbox" name="merchantCountry(savependingblock)" disabled value="1" onclick="enableLookup('merchantCountrySavependingblockLookup');enableElements('savependingblock',['merchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryEqualTo.txt"/> <input type="text" class="famTextEntry" name="merchantCountryCodesValue(savependingblock)" disabled id="merchantCountryCodesValue(savependingblock)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('merchantCountryCodesValue(savependingblock)',document.queueForm.elements['merchantCountryCodesValue(savependingblock)'].value,true)">
						<a href="#" id="merchantCountrySavependingblockLookup" disabled onclick="_name='merchantCountryCodesValue(savependingblock)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
					<br/>
						<input type="checkbox" name="sic(savependingblock)" disabled value="1" onclick="enableElements('savependingblock',['sicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICEqualTo.txt"/>
						<input disabled type="text" name="sicCodesValue(savependingblock)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('sicCodesValue(savependingblock)','hct_mer_mcc',document.queueForm.elements['sicCodesValue(savependingblock)'].value,true)">
						<br/><input type="checkbox" name="notSic(savependingblock)" disabled value="1" onclick="enableElements('savependingblock',['notSicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICNotEqualTo.txt"/>
						<input disabled type="text" name="notSicCodesValue(savependingblock)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('notSicCodesValue(savependingblock)','hct_mer_mcc',document.queueForm.elements['notSicCodesValue(savependingblock)'].value,true)">
					<br/>
						<input type="checkbox" name="ard(savependingblock)" disabled value="1" onclick="showHideBlock('ARDValuesDiv(savependingblock)');">
						<fmt:message key="fcm.sq.queue.ARDDecisionIsMade.txt"/> &nbsp;&nbsp;<div id="ARDValuesDiv(savependingblock)" style="display:none;white-space:nowrap;padding:0px;">
			<c:forEach var="ard" items="${ARDCodes}">
				<c:set var="checkedAttr" value=""/>
				<c:forEach var="checkedARDCode" items="${queueCallResultSettings.SAVEPENDINGBLOCK.ardCodes}">
					<c:if test="${checkedARDCode == ard.ardCode}"><c:set var="checkedAttr" value="checked=\"checked\""/></c:if>
				</c:forEach>
				<input type="checkbox" name="ardCodesValue(savependingblock)" value="${esapi:encodeForHTMLAttribute(ard.ardCode)}" onclick="limitSelections(this);" ${checkedAttr}/>${esapi:encodeForHTML(ard.ardName)}&nbsp;
			</c:forEach>
			</div>
			<br/>
			<input type="checkbox" name="pos(savependingblock)" disabled value="1" onclick="enableElements('savependingblock',['posCodes'],!this.checked);showHideBlock('savependingblockPosCode','savependingblock');"><fmt:message key="fcm.sq.queue.transactionPOSCodeEqualTo.txt"/>
			<br/>
			<table id="savependingblockPosCode" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="savependingblockAvailablePosCodesContainer">
						<select id="availablePosCodes(savependingblock)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availablePosCodes(savependingblock)'],document.queueForm.elements['selectedPosCodes(savependingblock)'],true, posCodesByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availablePosCodes(savependingblock)'],document.queueForm.elements['selectedPosCodes(savependingblock)'],true, posCodesByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedPosCodes(savependingblock)'],document.queueForm.elements['availablePosCodes(savependingblock)'],false, posCodesByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedPosCodes(savependingblock)'],document.queueForm.elements['availablePosCodes(savependingblock)'],false, posCodesByCallResult['SAVEPENDINGBLOCK']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="savependingblockSelectedPosCodesContainer">
						<select name="selectedPosCodes(savependingblock)" id="selectedPosCodes(savependingblock)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(posCodesByCallResult["SAVEPENDINGBLOCK"], 'savependingblockAvailablePosCodesContainer', false);
							loadListboxByAssignment(posCodesByCallResult["SAVEPENDINGBLOCK"], 'savependingblockSelectedPosCodesContainer', true);
						</script>
					</td>
				</tr>
			</table>
						<br/>
						</div>
				</td>
			</tr>
		</table>
		</td>
		<td valign="top"> &nbsp;
		</td>
	</tr>
		</table>
		</td>
		<td valign="top"> &nbsp;
		</td>
	</tr>
<%-- Reroute --%>
	<tr>
		<td class="configurationTableSection2" colspan="2"> <input type="checkbox" name="callResult(reroute)" onclick="showHideBlock('rerouteAllowRerouteTo','reroute');enableElements('reroute',['applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock','rescheduleTimestamp','whenOptions','autoClose','all','allowRerouteTo'],!this.checked)"><fmt:message key="fcm.sq.queue.reroute.txt"/></td>
	</tr>

<%--transaction block--%>
	<tr class="configurationTableDataRow2"><td valign="bottom" width="350px" colspan="2">
		<input type="checkbox" disabled value="1" name="applyTransactionBlock(reroute)" onclick="showHideBlock('rerouteTransactionBlock','reroute');enableElements('reroute',['transactionBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplyTransactionBlockCodes.txt"/>
		<table id="rerouteTransactionBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td width="48%" align="left" valign="top">
					<div id="rerouteAvailableTransactionBlocksContainer" style="display:inline">
					<select id="availableTransactionBlocks(reroute)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;" multiple="multiple"></select>
					</div>
				</td>
				<td width="4%" align="center" valign="middle">
					<p align="center">
					<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableTransactionBlocks(reroute)'],document.queueForm.elements['selectedTransactionBlocks(reroute)'],true, txnBlocksByCallResult['REROUTE']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
					<a href="javascript:moveAllOptions(document.queueForm.elements['availableTransactionBlocks(reroute)'],document.queueForm.elements['selectedTransactionBlocks(reroute)'],true, txnBlocksByCallResult['REROUTE']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
					<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedTransactionBlocks(reroute)'],document.queueForm.elements['availableTransactionBlocks(reroute)'],false, txnBlocksByCallResult['REROUTE']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
					<a href="javascript:moveAllOptions(document.queueForm.elements['selectedTransactionBlocks(reroute)'],document.queueForm.elements['availableTransactionBlocks(reroute)'],false, txnBlocksByCallResult['REROUTE']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
					</p>
				</td>
				<td width="48%" align="left" valign="top">
				<div id="rerouteSelectedTransactionBlocksContainer" style="display:inline">
					<select name="selectedTransactionBlocks(reroute)" id="selectedTransactionBlocks(reroute)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
						multiple="multiple">
					</select>
					</div>
					<script>
						loadListboxByAssignment(txnBlocksByCallResult['REROUTE'], 'rerouteAvailableTransactionBlocksContainer', false);
						loadListboxByAssignment(txnBlocksByCallResult['REROUTE'], 'rerouteSelectedTransactionBlocksContainer', true);
					</script>
				</td>
			</tr>
		</table>
		<br/><input type="checkbox" disabled value="1" name="removeTransactionBlock(reroute)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingTransactionBlockCodes.txt"/><br/>
		<input type="checkbox" disabled value="1" name="applySystemBlock(reroute)" onclick="showHideBlock('rerouteSystemBlock','reroute');enableElements('reroute',['systemBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplySystemBlockCodes.txt"/>
			<table id="rerouteSystemBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="rerouteAvailableSystemBlocksContainer">
						<select id="availableSystemBlocks(reroute)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableSystemBlocks(reroute)'],document.queueForm.elements['selectedSystemBlocks(reroute)'],true, sysBlocksByCallResult['REROUTE']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableSystemBlocks(reroute)'],document.queueForm.elements['selectedSystemBlocks(reroute)'],true, sysBlocksByCallResult['REROUTE']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedSystemBlocks(reroute)'],document.queueForm.elements['availableSystemBlocks(reroute)'],false, sysBlocksByCallResult['REROUTE']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedSystemBlocks(reroute)'],document.queueForm.elements['availableSystemBlocks(reroute)'],false, sysBlocksByCallResult['REROUTE']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="rerouteSelectedSystemBlocksContainer">
						<select name="selectedSystemBlocks(reroute)" id="selectedSystemBlocks(reroute)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(sysBlocksByCallResult['REROUTE'], 'rerouteAvailableSystemBlocksContainer', false);
							loadListboxByAssignment(sysBlocksByCallResult['REROUTE'], 'rerouteSelectedSystemBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/><input type="checkbox" disabled value="1" name="removeSystemBlock(reroute)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingSystemBlockCodes.txt"/>
		</tr>
	<tr class="configurationTableDataRow2">
		<td valign="top"> <fmt:message key="fcm.sq.queue.alertScheduling.txt"/>:
		<br/>
		<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="rescheduleTimestamp(reroute)" disabled value="1">
					<fmt:message key="fcm.sq.queue.bringBackAtResurfaceWhenTime.txt"/>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;white-space:nowrap;">
					<input type="checkbox" name="whenOptions(reroute)" disabled value="1" onclick="enableDivElements('reroute',['scoreIncrease','score','amount','merchantCountry','merchantCountryNot','sic','notSic','ard','pos'],!this.checked)">
					<fmt:message key="fcm.sq.queue.bringBackWhen.txt"/>...
					<div id="rerouteWhenOptionsDiv" style="display:none;padding-left:20">
					<input type="checkbox" name="scoreIncrease(reroute)" disabled value="1" onclick="enableElements('reroute',['scoreIncreaseValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.alertHighWatermarkScoreIncreasesBy.txt"/>
							<input disabled type="text" name="scoreIncreaseValue(reroute)" class="famTextEntry" size="9" maxlength="9">
					<br/><input type="checkbox" name="score(reroute)" disabled value="1" onclick="enableElements('reroute',['scoreValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionScore.txt"/> &gt;
						<input disabled type="text" name="scoreValue(reroute)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="amount(reroute)" disabled value="1" onclick="enableElements('reroute',['amountValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionAmount.txt"/> &gt;
						<input disabled type="text" name="amountValue(reroute)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="merchantCountryNot(reroute)" disabled value="1" onclick="enableLookup('merchantCountryNotRerouteLookup');enableElements('reroute',['notMerchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryNotEqualTo.txt"/> <input type="text" class="famTextEntry" name="notMerchantCountryCodesValue(reroute)" disabled id="notMerchantCountryCodesValue(reroute)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('notMerchantCountryCodesValue(reroute)',document.queueForm.elements['notMerchantCountryCodesValue(reroute)'].value,true)">
						<a href="#" id="merchantCountryNotRerouteLookup" disabled onclick="_name='notMerchantCountryCodesValue(reroute)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
						<br/><input type="checkbox" name="merchantCountry(reroute)" disabled value="1" onclick="enableLookup('merchantCountryRerouteLookup');enableElements('reroute',['merchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryEqualTo.txt"/> <input type="text" class="famTextEntry" name="merchantCountryCodesValue(reroute)" disabled id="merchantCountryCodesValue(reroute)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('merchantCountryCodesValue(reroute)',document.queueForm.elements['merchantCountryCodesValue(reroute)'].value,true)">
						<a href="#" id="merchantCountryRerouteLookup" disabled onclick="_name='merchantCountryCodesValue(reroute)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
						<br/><input type="checkbox" name="sic(reroute)" disabled value="1" onclick="enableElements('reroute',['sicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICEqualTo.txt"/>
						<input disabled type="text" name="sicCodesValue(reroute)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('sicCodesValue(reroute)','hct_mer_mcc',document.queueForm.elements['sicCodesValue(reroute)'].value,true)">
					<br/><input type="checkbox" name="notSic(reroute)" disabled value="1" onclick="enableElements('reroute',['notSicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICNotEqualTo.txt"/>
						<input disabled type="text" name="notSicCodesValue(reroute)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('notSicCodesValue(reroute)','hct_mer_mcc',document.queueForm.elements['notSicCodesValue(reroute)'].value,true)">
					<br/><input type="checkbox" name="ard(reroute)" disabled value="1" onclick="showHideBlock('ARDValuesDiv(reroute)');">
						<fmt:message key="fcm.sq.queue.ARDDecisionIsMade.txt"/>
						&nbsp;&nbsp;<div id="ARDValuesDiv(reroute)" style="display:none;white-space:nowrap;padding:0px;">
			<c:forEach var="ard" items="${ARDCodes}">
				<c:set var="checkedAttr" value=""/>
				<c:forEach var="checkedARDCode" items="${queueCallResultSettings.REROUTE.ardCodes}">
					<c:if test="${checkedARDCode == ard.ardCode}"><c:set var="checkedAttr" value="checked=\"checked\""/></c:if>
				</c:forEach>
				<input type="checkbox" name="ardCodesValue(reroute)" value="${esapi:encodeForHTMLAttribute(ard.ardCode)}" onclick="limitSelections(this);" ${checkedAttr}/>${esapi:encodeForHTML(ard.ardName)}&nbsp;
			</c:forEach></div>
					<br/><input type="checkbox" name="pos(reroute)" disabled value="1" onclick="enableElements('reroute',['posCodes'],!this.checked);showHideBlock('reroutePosCode','reroute');"><fmt:message key="fcm.sq.queue.transactionPOSCodeEqualTo.txt"/>
			<br/>
			<table id="reroutePosCode" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="rerouteAvailablePosCodesContainer">
							<select id="availablePosCodes(reroute)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availablePosCodes(reroute)'],document.queueForm.elements['selectedPosCodes(reroute)'],true, posCodesByCallResult['REROUTE']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availablePosCodes(reroute)'],document.queueForm.elements['selectedPosCodes(reroute)'],true, posCodesByCallResult['REROUTE']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedPosCodes(reroute)'],document.queueForm.elements['availablePosCodes(reroute)'],false, posCodesByCallResult['REROUTE']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedPosCodes(reroute)'],document.queueForm.elements['availablePosCodes(reroute)'],false, posCodesByCallResult['REROUTE']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="rerouteSelectedPosCodesContainer">
						<select name="selectedPosCodes(reroute)" id="selectedPosCodes(reroute)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;" multiple="multiple"></select>
						</div>
						<script>
							loadListboxByAssignment(posCodesByCallResult["REROUTE"], 'rerouteAvailablePosCodesContainer', false);
							loadListboxByAssignment(posCodesByCallResult["REROUTE"], 'rerouteSelectedPosCodesContainer', true);
						</script>
					</td>
				</tr>
			</table>
<br/>
</div>
</td></tr>
		</table>
		</td>
		<td valign="top"> &nbsp; <br/>
			&nbsp;
		</td>
	</tr>
	<%--Allow Reroute to queues--%>
<tr class="configurationTableDataRow2"><td valign="bottom" width="350px"colspan="2">
	<table id="rerouteAllowRerouteTo" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
		<tr><td style="white-space:nowrap;padding:0px;align:left;vertical-align:top;"><fmt:message key="fcm.sq.queue.allowRerouteTo.txt"/>:&nbsp;&nbsp;<br/></td></tr>
		<tr>
		<td style="white-space:nowrap;padding:0px;align:left;vertical-align:top;">
		<tr>
			<td width="48%" align="left" valign="top">
				<div id="rerouteAvailableAllowRerouteToContainer" style="display:inline">
				<select id="availableAllowRerouteTo(reroute)" class="famSelect" size="5" style="width:24em;font-size:10;margin:2px;"
					multiple="multiple">
				</select>
				</div>
			</td>
			<td width="4%" align="center" valign="middle">
				<p align="center">
				<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableAllowRerouteTo(reroute)'],document.queueForm.elements['selectedAllowRerouteTo(reroute)'],true,allowRerouteTo);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
				<a href="javascript:moveAllOptions(document.queueForm.elements['availableAllowRerouteTo(reroute)'],document.queueForm.elements['selectedAllowRerouteTo(reroute)'],true,allowRerouteTo);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
				<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedAllowRerouteTo(reroute)'],document.queueForm.elements['availableAllowRerouteTo(reroute)'],false,allowRerouteTo);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
				<a href="javascript:moveAllOptions(document.queueForm.elements['selectedAllowRerouteTo(reroute)'],document.queueForm.elements['availableAllowRerouteTo(reroute)'],false,allowRerouteTo);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
				</p>
			</td>
			<td width="48%" align="left" valign="top">
			<div id="rerouteSelectedAllowRerouteToContainer" style="display:inline">
				<select name="selectedAllowRerouteTo(reroute)" id="selectedAllowRerouteTo(reroute)" class="famSelect" size="5" style="width:24em;font-size:10;margin:2px;" multiple="multiple"></select>
				</div>
				<script>
					loadListboxByAssignment(allowRerouteTo, 'rerouteAvailableAllowRerouteToContainer', false);
					loadListboxByAssignment(allowRerouteTo, 'rerouteSelectedAllowRerouteToContainer', true);
				</script>
			</td>
		</tr>
	</table>
</tr>
<%-- Verified Activity --%>
	<tr>
		<td class="configurationTableSection2"><input type="checkbox" name="callResult(verifiedactivity)" onclick="enableElements('verifiedactivity',['applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock','neverReschedule','whenOptions','autoClose'],!this.checked)"><fmt:message key="fcm.sq.queue.verifiedActivity.txt"/> </td>
			<td class="configurationTableSection2" valign="top" align="right" style="font-weight:normal;color:#000000;" NOWRAP> <fmt:message key="fcm.sq.queue.alertClosing.txt"/>:<input type="text" name="autoClose(verifiedactivity)" value="${esapi:encodeForHTMLAttribute(defaultAutoClose[5].autoClose)}" disabled class="famTextEntry" size="3" maxlength="3"> <fmt:message key="fcm.sq.queue.days.txt"/>
	</tr>
	<%--transaction block--%>
	<tr class="configurationTableDataRow2"><td valign="bottom" width="350px"colspan="2">
	<input type="checkbox" disabled value="1" name="applyTransactionBlock(verifiedactivity)" onclick="showHideBlock('verifiedactivityTransactionBlock','verifiedactivity');enableElements('verifiedactivity',['transactionBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplyTransactionBlockCodes.txt"/>
	<table id="verifiedactivityTransactionBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="verifiedAvailableTransactionBlocksContainer" style="display:inline">
						<select id="availableTransactionBlocks(verifiedactivity)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableTransactionBlocks(verifiedactivity)'],document.queueForm.elements['selectedTransactionBlocks(verifiedactivity)'],true, txnBlocksByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableTransactionBlocks(verifiedactivity)'],document.queueForm.elements['selectedTransactionBlocks(verifiedactivity)'],true, txnBlocksByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedTransactionBlocks(verifiedactivity)'],document.queueForm.elements['availableTransactionBlocks(verifiedactivity)'],false, txnBlocksByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedTransactionBlocks(verifiedactivity)'],document.queueForm.elements['availableTransactionBlocks(verifiedactivity)'],false, txnBlocksByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="verifiedSelectedTransactionBlocksContainer" style="display:inline">
						<select name="selectedTransactionBlocks(verifiedactivity)" id="selectedTransactionBlocks(verifiedactivity)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(txnBlocksByCallResult['VERIFIEDACTIVITY'], 'verifiedAvailableTransactionBlocksContainer', false);
							loadListboxByAssignment(txnBlocksByCallResult['VERIFIEDACTIVITY'], 'verifiedSelectedTransactionBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
		<br/><input type="checkbox" disabled value="1" name="removeTransactionBlock(verifiedactivity)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingTransactionBlockCodes.txt"/><br/>
		<input type="checkbox" disabled value="1" name="applySystemBlock(verifiedactivity)" onclick="showHideBlock('verifiedactivitySystemBlock','verifiedactivity');enableElements('verifiedactivity',['systemBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplySystemBlockCodes.txt"/>
			<table id="verifiedactivitySystemBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="verifiedAvailableSystemBlocksContainer">
						<select id="availableSystemBlocks(verifiedactivity)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableSystemBlocks(verifiedactivity)'],document.queueForm.elements['selectedSystemBlocks(verifiedactivity)'],true, sysBlocksByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableSystemBlocks(verifiedactivity)'],document.queueForm.elements['selectedSystemBlocks(verifiedactivity)'],true, sysBlocksByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedSystemBlocks(verifiedactivity)'],document.queueForm.elements['availableSystemBlocks(verifiedactivity)'],false, sysBlocksByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedSystemBlocks(verifiedactivity)'],document.queueForm.elements['availableSystemBlocks(verifiedactivity)'],false, sysBlocksByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="verifiedSelectedSystemBlocksContainer">
						<select name="selectedSystemBlocks(verifiedactivity)" id="selectedSystemBlocks(verifiedactivity)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(sysBlocksByCallResult['VERIFIEDACTIVITY'], 'verifiedAvailableSystemBlocksContainer', false);
							loadListboxByAssignment(sysBlocksByCallResult['VERIFIEDACTIVITY'], 'verifiedSelectedSystemBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/><input type="checkbox" disabled value="1" name="removeSystemBlock(verifiedactivity)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingSystemBlockCodes.txt"/>
		</tr>
	<tr class="configurationTableDataRow2">
		<td valign="top"> <fmt:message key="fcm.sq.queue.alertScheduling.txt"/>:
		<br/>
		<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td style="padding:0px;white-space:nowrap;">
					<input type="checkbox" name="whenOptions(verifiedactivity)" disabled value="checkbox" onclick="enableElements('verifiedactivity',['neverReschedule']);enableDivElements('verifiedactivity',['scoreIncrease','score','amount','merchantCountry','merchantCountryNot','sic','notSic','ard', 'pos'],!this.checked)">
					<fmt:message key="fcm.sq.queue.bringBackWhen.txt"/>...
					<div id="verifiedactivityWhenOptionsDiv" style="display:none;padding-left:20">
					<input type="checkbox" name="scoreIncrease(verifiedactivity)" value="1" onclick="enableElements('verifiedactivity',['scoreIncreaseValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.transactionScoreIncreasesBy.txt"/>
							<input type="text" disabled name="scoreIncreaseValue(verifiedactivity)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="score(verifiedactivity)" value="1" onclick="enableElements('verifiedactivity',['scoreValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionScore.txt"/> &gt;
						<input type="text" disabled name="scoreValue(verifiedactivity)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="amount(verifiedactivity)" value="1" onclick="enableElements('verifiedactivity',['amountValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.transactionAmount.txt"/> &gt;
						<input type="text" disabled name="amountValue(verifiedactivity)" class="famTextEntry" size="9" maxlength="9">
					<br/>
						<input type="checkbox" name="merchantCountryNot(verifiedactivity)" disabled value="1" onclick="enableLookup('merchantCountryNotVerifiedactivityLookup');enableElements('verifiedactivity',['notMerchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryNotEqualTo.txt"/> <input type="text" class="famTextEntry" name="notMerchantCountryCodesValue(verifiedactivity)" disabled id="notMerchantCountryCodesValue(verifiedactivity)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('notMerchantCountryCodesValue(verifiedactivity)',document.queueForm.elements['notMerchantCountryCodesValue(verifiedactivity)'].value,true)">
						<a href="#" id="merchantCountryNotVerifiedactivityLookup" disabled onclick="_name='notMerchantCountryCodesValue(verifiedactivity)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
					<br/>
						<input type="checkbox" name="merchantCountry(verifiedactivity)" disabled value="1" onclick="enableLookup('merchantCountryVerifiedactivityLookup');enableElements('verifiedactivity',['merchantCountryCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantCountryEqualTo.txt"/><input type="text" class="famTextEntry" name="merchantCountryCodesValue(verifiedactivity)" disabled id="merchantCountryCodesValue(verifiedactivity)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('merchantCountryCodesValue(verifiedactivity)',document.queueForm.elements['merchantCountryCodesValue(verifiedactivity)'].value,true)">
						<a href="#" id="merchantCountryVerifiedactivityLookup" disabled onclick="_name='merchantCountryCodesValue(verifiedactivity)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
					<br/>
						<input type="checkbox" name="sic(verifiedactivity)" disabled value="1" onclick="enableElements('verifiedactivity',['sicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICEqualTo.txt"/>
						<input disabled type="text" name="sicCodesValue(verifiedactivity)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('sicCodesValue(verifiedactivity)','hct_mer_mcc',document.queueForm.elements['sicCodesValue(verifiedactivity)'].value,true)">
						<br/><input type="checkbox" name="notSic(verifiedactivity)" disabled value="1" onclick="enableElements('verifiedactivity',['notSicCodesValue'],!this.checked)">
						<fmt:message key="fcm.sq.queue.merchantSICNotEqualTo.txt"/>
						<input disabled type="text" name="notSicCodesValue(verifiedactivity)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('notSicCodesValue(verifiedactivity)','hct_mer_mcc',document.queueForm.elements['notSicCodesValue(verifiedactivity)'].value,true)">
					<br/>
						<input type="checkbox" name="ard(verifiedactivity)" disabled value="1" onclick="showHideBlock('ARDValuesDiv(verifiedactivity)');">
						<fmt:message key="fcm.sq.queue.ARDDecisionIsMade.txt"/> &nbsp;&nbsp;<div id="ARDValuesDiv(verifiedactivity)" style="display:none;white-space:nowrap;padding:0px;">
			<c:forEach var="ard" items="${ARDCodes}">
				<c:set var="checkedAttr" value=""/>
				<c:forEach var="checkedARDCode" items="${queueCallResultSettings.VERIFIEDACTIVITY.ardCodes}">
					<c:if test="${checkedARDCode == ard.ardCode}"><c:set var="checkedAttr" value="checked=\"checked\""/></c:if>
				</c:forEach>
				<input type="checkbox" name="ardCodesValue(verifiedactivity)" value="${esapi:encodeForHTMLAttribute(ard.ardCode)}" onclick="limitSelections(this);" ${checkedAttr}/>${esapi:encodeForHTML(ard.ardName)}&nbsp;
			</c:forEach> </div>
			<br/>
				<input type="checkbox" name="pos(verifiedactivity)" disabled value="1" onclick="enableElements('verifiedactivity',['posCodes'],!this.checked);showHideBlock('verifiedactivityPosCode','verifiedactivity');"><fmt:message key="fcm.sq.queue.transactionPOSCodeEqualTo.txt"/>
				<br/>
				<table id="verifiedactivityPosCode" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td width="48%" align="left" valign="top">
							<div id="verifiedactivityAvailablePosCodesContainer">
							<select id="availablePosCodes(verifiedactivity)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
								multiple="multiple">
							</select>
							</div>
						</td>
						<td width="4%" align="center" valign="middle">
							<p align="center">
							<a href="javascript:moveSelectedOptions(document.queueForm.elements['availablePosCodes(verifiedactivity)'],document.queueForm.elements['selectedPosCodes(verifiedactivity)'],true, posCodesByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
							<a href="javascript:moveAllOptions(document.queueForm.elements['availablePosCodes(verifiedactivity)'],document.queueForm.elements['selectedPosCodes(verifiedactivity)'],true, posCodesByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
							<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedPosCodes(verifiedactivity)'],document.queueForm.elements['availablePosCodes(verifiedactivity)'],false, posCodesByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
							<a href="javascript:moveAllOptions(document.queueForm.elements['selectedPosCodes(verifiedactivity)'],document.queueForm.elements['availablePosCodes(verifiedactivity)'],false, posCodesByCallResult['VERIFIEDACTIVITY']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
							</p>
						</td>
						<td width="48%" align="left" valign="top">
						<div id="verifiedactivitySelectedPosCodesContainer">
							<select name="selectedPosCodes(verifiedactivity)" id="selectedPosCodes(verifiedactivity)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
								multiple="multiple">
							</select>
							</div>
							<script>
								loadListboxByAssignment(posCodesByCallResult["VERIFIEDACTIVITY"], 'verifiedactivityAvailablePosCodesContainer', false);
								loadListboxByAssignment(posCodesByCallResult["VERIFIEDACTIVITY"], 'verifiedactivitySelectedPosCodesContainer', true);
							</script>
						</td>
					</tr>
			</table>
						<br/>
						</div>
				</td>
			</tr>
			<tr>
				<td style="padding:0px;">
					<input type="checkbox" name="neverReschedule(verifiedactivity)" disabled value="1" onclick="enableElements('verifiedactivity',['whenOptions'])">
					<fmt:message key="fcm.sq.queue.neverBringBack.txt"/>
				</td>
			</tr>
		</table>
		</td>
		<td valign="top"> &nbsp;
		</td>
	</tr>
<%-- Confirmed Fraud --%>
	<tr>
	<%--
		<td class="configurationTableSection2"><input type="checkbox" name="callResult(confirmedfraud)" onclick="showHideBlock('confirmedfraudFraudTypes','confirmedfraud');enableElements('confirmedfraud',['applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock','fraudTypes'],!this.checked)"> <fmt:message key="fcm.sq.queue.confirmedFraud.txt"/></td>
		<td class="configurationTableSection2" align="right" style="font-weight:normal;color:#000000;" NOWRAP ><fmt:message key="fcm.sq.queue.alertClosing.txt"/>: <fmt:message key="fcm.sq.queue.neverClose.txt"/></td>

		<td class="configurationTableSection2"><input type="checkbox" name="callResult(confirmedfraud)" onclick="showHideBlock('confirmedfraudFraudTypes','confirmedfraud');enableElements('confirmedfraud',['applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock','neverReschedule','whenOptions','autoClose'],!this.checked)"><fmt:message key="fcm.sq.queue.confirmedFraud.txt"/> </td>
		<td class="configurationTableSection2" valign="top" align="right" style="font-weight:normal;color:#000000;" NOWRAP> <fmt:message key="fcm.sq.queue.alertClosing.txt"/>:<input type="text" name="autoClose(confirmedfraud)" value="${esapi:encodeForHTMLAttribute(defaultAutoClose[6].autoClose)}" disabled class="famTextEntry" size="3" maxlength="3"> <fmt:message key="fcm.sq.queue.days.txt"/></td>
	--%>
		<td class="configurationTableSection2"><input type="checkbox" name="callResult(confirmedfraud)" onclick="showHideBlock('confirmedfraudFraudTypes','confirmedfraud');enableElements('confirmedfraud',['applyTransactionBlock','removeTransactionBlock','applySystemBlock','removeSystemBlock','fraudTypes','autoClose'],!this.checked)"> <fmt:message key="fcm.sq.queue.confirmedFraud.txt"/></td>
		<td class="configurationTableSection2" valign="top" align="right" style="font-weight:normal;color:#000000;" NOWRAP> <fmt:message key="fcm.sq.queue.alertClosing.txt"/>:<input type="text" name="autoClose(confirmedfraud)" value="${esapi:encodeForHTMLAttribute(defaultAutoClose[6].autoClose)}" disabled class="famTextEntry" size="3" maxlength="3"> <fmt:message key="fcm.sq.queue.days.txt"/></td>
	</tr>

	<%--transaction block--%>
	<tr class="configurationTableDataRow2">
		<td valign="bottom" width="350px"colspan="2">
			<input type="checkbox" disabled value="1" name="applyTransactionBlock(confirmedfraud)" onclick="showHideBlock('confirmedTransactionBlock','confirmedfraud');enableElements('confirmedfraud',['transactionBlocks'],!this.checked);"><fmt:message key="fcm.sq.queue.allowAnalystsToApplyTransactionBlockCodes.txt"/>
			<table id="confirmedTransactionBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="confirmedAvailableTransactionBlocksContainer" style="display:inline">
						<select id="availableTransactionBlocks(confirmedfraud)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableTransactionBlocks(confirmedfraud)'],document.queueForm.elements['selectedTransactionBlocks(confirmedfraud)'],true, txnBlocksByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableTransactionBlocks(confirmedfraud)'],document.queueForm.elements['selectedTransactionBlocks(confirmedfraud)'],true, txnBlocksByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedTransactionBlocks(confirmedfraud)'],document.queueForm.elements['availableTransactionBlocks(confirmedfraud)'],false, txnBlocksByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedTransactionBlocks(confirmedfraud)'],document.queueForm.elements['availableTransactionBlocks(confirmedfraud)'],false, txnBlocksByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
						<div id="confirmedSelectedTransactionBlocksContainer" style="display:inline">
							<select name="selectedTransactionBlocks(confirmedfraud)" id="selectedTransactionBlocks(confirmedfraud)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
								multiple="multiple">
							</select>
						</div>
						<script>
							loadListboxByAssignment(txnBlocksByCallResult['CONFIRMEDFRAUD'], 'confirmedAvailableTransactionBlocksContainer', false);
							loadListboxByAssignment(txnBlocksByCallResult['CONFIRMEDFRAUD'], 'confirmedSelectedTransactionBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/><input type="checkbox" disabled value="1" name="removeTransactionBlock(confirmedfraud)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingTransactionBlockCodes.txt"/><br/>
			<input type="checkbox" disabled value="1" name="applySystemBlock(confirmedfraud)" onclick="showHideBlock('confirmedSystemBlock','confirmedfraud');enableElements('confirmedfraud',['systemBlocks'],!this.checked);" disabled><fmt:message key="fcm.sq.queue.allowAnalystsToApplySystemBlockCodes.txt"/>
			<table id="confirmedSystemBlock" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="48%" align="left" valign="top">
						<div id="confirmedAvailableSystemBlocksContainer">
						<select id="availableSystemBlocks(confirmedfraud)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
					</td>
					<td width="4%" align="center" valign="middle">
						<p align="center">
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableSystemBlocks(confirmedfraud)'],document.queueForm.elements['selectedSystemBlocks(confirmedfraud)'],true, sysBlocksByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['availableSystemBlocks(confirmedfraud)'],document.queueForm.elements['selectedSystemBlocks(confirmedfraud)'],true, sysBlocksByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
						<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedSystemBlocks(confirmedfraud)'],document.queueForm.elements['availableSystemBlocks(confirmedfraud)'],false, sysBlocksByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
						<a href="javascript:moveAllOptions(document.queueForm.elements['selectedSystemBlocks(confirmedfraud)'],document.queueForm.elements['availableSystemBlocks(confirmedfraud)'],false, sysBlocksByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
						</p>
					</td>
					<td width="48%" align="left" valign="top">
					<div id="confirmedSelectedSystemBlocksContainer">
						<select name="selectedSystemBlocks(confirmedfraud)" id="selectedSystemBlocks(confirmedfraud)" class="famSelect" size="5" style="width:12em;font-size:10;margin:2px;"
							multiple="multiple">
						</select>
						</div>
						<script>
							loadListboxByAssignment(sysBlocksByCallResult['CONFIRMEDFRAUD'], 'confirmedAvailableSystemBlocksContainer', false);
							loadListboxByAssignment(sysBlocksByCallResult['CONFIRMEDFRAUD'], 'confirmedSelectedSystemBlocksContainer', true);
						</script>
					</td>
				</tr>
			</table>
			<br/><input type="checkbox" disabled value="1" name="removeSystemBlock(confirmedfraud)"><fmt:message key="fcm.sq.queue.allowAnalystsToRemoveExistingSystemBlockCodes.txt"/>
		</td>
	</tr>
	<tr class="configurationTableDataRow2">
		<td valign="top"><fmt:message key="fcm.sq.queue.alertScheduling.txt"/>:
			<br/>
			<table cellpadding="0" cellspacing="0" border="0">
			<%-- BBW was deactivated later pending valid business use cases
				<tr>
					<td style="padding:0px;white-space:nowrap;">
						<input type="checkbox" name="whenOptions(confirmedfraud)" disabled value="checkbox" onclick="enableElements('confirmedfraud',['neverReschedule']);enableDivElements('confirmedfraud',['scoreIncrease','score','amount','merchantCountry','merchantCountryNot','sic','notSic','ard', 'pos'],!this.checked)">
						<fmt:message key="fcm.sq.queue.bringBackWhen.txt"/>...
						<div id="confirmedfraudWhenOptionsDiv" style="display:none;padding-left:20">
							<input type="checkbox" name="scoreIncrease(confirmedfraud)" value="1" onclick="enableElements('confirmedfraud',['scoreIncreaseValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.transactionScoreIncreasesBy.txt"/>
							<input type="text" disabled name="scoreIncreaseValue(confirmedfraud)" class="famTextEntry" size="9" maxlength="9">
						<br/>
							<input type="checkbox" name="score(confirmedfraud)" value="1" onclick="enableElements('confirmedfraud',['scoreValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.transactionScore.txt"/> &gt;
							<input type="text" disabled name="scoreValue(confirmedfraud)" class="famTextEntry" size="9" maxlength="9">
						<br/>
							<input type="checkbox" name="amount(confirmedfraud)" value="1" onclick="enableElements('confirmedfraud',['amountValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.transactionAmount.txt"/> &gt;
							<input type="text" disabled name="amountValue(confirmedfraud)" class="famTextEntry" size="9" maxlength="9">
						<br/>
							<input type="checkbox" name="merchantCountryNot(confirmedfraud)" disabled value="1" onclick="enableLookup('merchantCountryNotconfirmedfraudLookup');enableElements('confirmedfraud',['notMerchantCountryCodesValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.merchantCountryNotEqualTo.txt"/> <input type="text" class="famTextEntry" name="notMerchantCountryCodesValue(confirmedfraud)" disabled id="notMerchantCountryCodesValue(confirmedfraud)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('notMerchantCountryCodesValue(confirmedfraud)',document.queueForm.elements['notMerchantCountryCodesValue(confirmedfraud)'].value,true)">
							<a href="#" id="merchantCountryNotconfirmedfraudLookup" disabled onclick="_name='notMerchantCountryCodesValue(confirmedfraud)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
						<br/>
							<input type="checkbox" name="merchantCountry(confirmedfraud)" disabled value="1" onclick="enableLookup('merchantCountryconfirmedfraudLookup');enableElements('confirmedfraud',['merchantCountryCodesValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.merchantCountryEqualTo.txt"/><input type="text" class="famTextEntry" name="merchantCountryCodesValue(confirmedfraud)" disabled id="merchantCountryCodesValue(confirmedfraud)" size="49" onFocus="this.style.color='black';" onBlur="validateCountryCodes('merchantCountryCodesValue(confirmedfraud)',document.queueForm.elements['merchantCountryCodesValue(confirmedfraud)'].value,true)">
							<a href="#" id="merchantCountryconfirmedfraudLookup" disabled onclick="_name='merchantCountryCodesValue(confirmedfraud)';return overlay(this,'divMerchantCountry');"><fmt:message key="fcm.sq.queue.lookup.txt"/>...</a>
						<br/>
							<input type="checkbox" name="sic(confirmedfraud)" disabled value="1" onclick="enableElements('confirmedfraud',['sicCodesValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.merchantSICEqualTo.txt"/>
							<input disabled type="text" name="sicCodesValue(confirmedfraud)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('sicCodesValue(confirmedfraud)','hct_mer_mcc',document.queueForm.elements['sicCodesValue(confirmedfraud)'].value,true)">
						<br/>
							<input type="checkbox" name="notSic(confirmedfraud)" disabled value="1" onclick="enableElements('confirmedfraud',['notSicCodesValue'],!this.checked)">
							<fmt:message key="fcm.sq.queue.merchantSICNotEqualTo.txt"/>
							<input disabled type="text" name="notSicCodesValue(confirmedfraud)" class="famTextEntry" size="49" onFocus="this.style.color='black';" onChange="getCodeDescription('notSicCodesValue(confirmedfraud)','hct_mer_mcc',document.queueForm.elements['notSicCodesValue(confirmedfraud)'].value,true)">
						<br/>
							<input type="checkbox" name="ard(confirmedfraud)" disabled value="1" onclick="showHideBlock('ARDValuesDiv(confirmedfraud)');">
							<fmt:message key="fcm.sq.queue.ARDDecisionIsMade.txt"/> &nbsp;&nbsp;<div id="ARDValuesDiv(confirmedfraud)" style="display:none;white-space:nowrap;padding:0px;">
							<c:forEach var="ard" items="${ARDCodes}">
								<c:set var="checkedAttr" value=""/>
								<c:forEach var="checkedARDCode" items="${queueCallResultSettings.CONFIRMEDFRAUD.ardCodes}">
									<c:if test="${checkedARDCode == ard.ardCode}"><c:set var="checkedAttr" value="checked=\"checked\""/></c:if>
								</c:forEach>
								<input type="checkbox" name="ardCodesValue(confirmedfraud)" value="${esapi:encodeForHTMLAttribute(ard.ardCode)}" onclick="limitSelections(this);" ${checkedAttr}/>${esapi:encodeForHTML(ard.ardName)}&nbsp;
							</c:forEach>
						</div>
						<br/>
						<input type="checkbox" name="pos(confirmedfraud)" disabled value="1" onclick="enableElements('confirmedfraud',['posCodes'],!this.checked);showHideBlock('confirmedfraudPosCode','confirmedfraud');"><fmt:message key="fcm.sq.queue.transactionPOSCodeEqualTo.txt"/>
						<br/>
						<table id="confirmedfraudPosCode" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td width="48%" align="left" valign="top">
									<div id="confirmedfraudAvailablePosCodesContainer">
									<select id="availablePosCodes(confirmedfraud)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
										multiple="multiple">
									</select>
									</div>
								</td>
								<td width="4%" align="center" valign="middle">
									<p align="center">
									<a href="javascript:moveSelectedOptions(document.queueForm.elements['availablePosCodes(confirmedfraud)'],document.queueForm.elements['selectedPosCodes(confirmedfraud)'],true, posCodesByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
									<a href="javascript:moveAllOptions(document.queueForm.elements['availablePosCodes(confirmedfraud)'],document.queueForm.elements['selectedPosCodes(confirmedfraud)'],true, posCodesByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
									<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedPosCodes(confirmedfraud)'],document.queueForm.elements['availablePosCodes(confirmedfraud)'],false, posCodesByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
									<a href="javascript:moveAllOptions(document.queueForm.elements['selectedPosCodes(confirmedfraud)'],document.queueForm.elements['availablePosCodes(confirmedfraud)'],false, posCodesByCallResult['CONFIRMEDFRAUD']);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
									</p>
								</td>
								<td width="48%" align="left" valign="top">
									<div id="confirmedfraudSelectedPosCodesContainer">
										<select name="selectedPosCodes(confirmedfraud)" id="selectedPosCodes(confirmedfraud)" class="famSelect" size="5" style="width:20em;font-size:10;margin:2px;"
											multiple="multiple">
										</select>
									</div>
									<script>
										loadListboxByAssignment(posCodesByCallResult["CONFIRMEDFRAUD"], 'confirmedfraudAvailablePosCodesContainer', false);
										loadListboxByAssignment(posCodesByCallResult["CONFIRMEDFRAUD"], 'confirmedfraudSelectedPosCodesContainer', true);
									</script>
								</td>
							</tr>
						</table>
						<br/>
					</td>
				</tr>

				<tr>
					<td style="padding:0px;">
						<input type="checkbox" name="neverReschedule(confirmedfraud)" disabled value="1" onclick="enableElements('confirmedfraud',['whenOptions'])"><fmt:message key="fcm.sq.queue.neverBringBack.txt"/>
					</td>
				</tr>
			--%>
				<tr>
					<td style="padding:0px;">
						<input type="checkbox" name="neverReschedule(confirmedfraud)" disabled checked><fmt:message key="fcm.sq.queue.neverBringBack.txt"/>
					</td>
				</tr>

			</table>
		</td>
		<td valign="top"> &nbsp;
		</td>
	</tr>
	<%--Fraud Types--%>
	<tr class="configurationTableDataRow2" ><td valign="bottom" width="350px"colspan="2">
			<table id="confirmedfraudFraudTypes" style="align:center;display:none" width="15%" border="0" cellpadding="0" cellspacing="0">
		<tr><td style="white-space:nowrap;padding:0px;align:left;vertical-align:top;"><fmt:message key="fcm.sq.queue.fraudTypes.txt"/>:&nbsp;&nbsp;<br/></td></tr>
		<tr>
		<td style="white-space:nowrap;padding:0px;align:left;vertical-align:top;">
		<tr>
			<td width="48%" align="left" valign="top">
				<div id="confirmedfraudAvailableFraudTypesContainer" style="display:inline">
				<select id="availableFraudTypes(confirmedfraud)" class="famSelect" size="5" style="width:24em;font-size:10;margin:2px;"
					multiple="multiple">
				</select>
				</div>
			</td>
			<td width="4%" align="center" valign="middle">
				<p align="center">
				<a href="javascript:moveSelectedOptions(document.queueForm.elements['availableFraudTypes(confirmedfraud)'],document.queueForm.elements['selectedFraudTypes(confirmedfraud)'],true,fraudTypes);" title=""><img src="common/images/ArrowRightAdd.gif" border="0"></a><br/>
				<a href="javascript:moveAllOptions(document.queueForm.elements['availableFraudTypes(confirmedfraud)'],document.queueForm.elements['selectedFraudTypes(confirmedfraud)'],true,fraudTypes);" title=""><img src="common/images/ArrowRightAddAll.gif" border="0"></a><br/>
				<a href="javascript:moveSelectedOptions(document.queueForm.elements['selectedFraudTypes(confirmedfraud)'],document.queueForm.elements['availableFraudTypes(confirmedfraud)'],false,fraudTypes);" title=""><img src="common/images/ArrowLeftRemove.gif" border="0"></a><br/>
				<a href="javascript:moveAllOptions(document.queueForm.elements['selectedFraudTypes(confirmedfraud)'],document.queueForm.elements['availableFraudTypes(confirmedfraud)'],false,fraudTypes);" title=""><img src="common/images/ArrowLeftRemoveAll.gif" border="0"></a>
				</p>
			</td>
			<td width="48%" align="left" valign="top">
			<div id="confirmedfraudSelectedFraudTypesContainer" style="display:inline">
				<select name="selectedFraudTypes(confirmedfraud)" id="selectedFraudTypes(confirmedfraud)" class="famSelect" size="5" style="width:24em;font-size:10;margin:2px;"
					multiple="multiple">
				</select>
				</div>
				<script>
					loadListboxByAssignment(fraudTypes, 'confirmedfraudAvailableFraudTypesContainer', false);
					loadListboxByAssignment(fraudTypes, 'confirmedfraudSelectedFraudTypesContainer', true);
				</script>
			</td>
		</tr>
	</table>
</tr>
</table>
</div>
<%-- Hidden menus --%>
<%-- Emails --%>
<div id="addEmailsDiv" style="visibility:hidden;position:absolute;z-index:30;">
 <table class="menuDialog" border="0" cellspacing="0" cellpadding="4">
	<tr>
	<td align="left">
		<div id="unassignedEmailsContainer" style="display:inline">
			<select name="unassignedEmailsListbox" class="famSelect" style="width:25em" size="6" multiple >
			</select>
		</div>
		<script>
			loadListboxByAssignment(emailList,'unassignedEmailsContainer',false);
		</script>
	</td>
	</tr>
	<tr>
	<td align="left">
		<input type="button" value="<fmt:message key="fcm.details.ok.txt"/>" onclick="moveSelectedOptions(document.queueForm.unassignedEmailsListbox,document.queueForm.assignedEmailsListbox,true,emailList);hideDropDownMenu('addEmails',[document.queueForm.assignedEmailsListbox]);selectDefaultItem(event,'assignedEmailsListbox');">
		<input type="button" value="<fmt:message key="fcm.details.cancel.txt"/>" onclick="hideDropDownMenu('addEmails',[document.queueForm.assignedEmailsListbox])">
	</td>
	</tr>
	</table>
</div>
<%-- Letters --%>
<div id="addLettersDiv" style="visibility:hidden;position:absolute;z-index:30;">
 <table class="menuDialog" border="0" cellspacing="0" cellpadding="4">
	<tr>
	<td align="left">
		<div id="unassignedLettersContainer" style="display:inline">
			<select name="unassignedLettersListbox" class="famSelect" style="width:25em" size="6" multiple >
			</select>
		</div>
		<script>
			loadListboxByAssignment(letterList,'unassignedLettersContainer',false);
		</script>
	</td>
	</tr>
	<tr>
	<td align="left">
		<input type="button" value="<fmt:message key="fcm.details.ok.txt"/>" onclick="moveSelectedOptions(document.queueForm.unassignedLettersListbox,document.queueForm.assignedLettersListbox,true,letterList);hideDropDownMenu('addLetters',[document.queueForm.assignedLettersListbox]);selectDefaultItem(event,'assignedLettersListbox');">
		<input type="button" value="<fmt:message key="fcm.details.cancel.txt"/>" onclick="hideDropDownMenu('addLetters',[document.queueForm.assignedLettersListbox])">
	</td>
	</tr>
	</table>
</div>
<%-- Smss --%>
<div id="addSmssDiv" style="visibility:hidden;position:absolute;z-index:30;">
 <table class="menuDialog" border="0" cellspacing="0" cellpadding="4">
	<tr>
	<td align="left">
		<div id="unassignedSmssContainer" style="display:inline">
			<select name="unassignedSmssListbox" class="famSelect" style="width:25em" size="6" multiple >
			</select>
		</div>
		<script>
			loadListboxByAssignment(smsList,'unassignedSmssContainer',false);
		</script>
	</td>
	</tr>
	<tr>
	<td align="left">
		<input type="button" value="<fmt:message key="fcm.details.ok.txt"/>" onclick="moveSelectedOptions(document.queueForm.unassignedSmssListbox,document.queueForm.assignedSmssListbox,true,smsList);hideDropDownMenu('addSmss',[document.queueForm.assignedSmssListbox]);selectDefaultItem(event,'assignedSmssListbox');">
		<input type="button" value="<fmt:message key="fcm.details.cancel.txt"/>" onclick="hideDropDownMenu('addSmss',[document.queueForm.assignedSmssListbox])">
	</td>
	</tr>
	</table>
<!-- </table>
</td>
</tr> -->

</div>
</div>
<br/>
<%-- 	<input type="submit" id="saveButton" value=" <fmt:message key='fcm.sq.queue.save.txt'/> " class="button"> --%>
	<input type="hidden" name="blockApplied(skip)" value="">
	<input type="hidden" name="blockApplied(reschedule)" value="">
	<input type="hidden" name="blockApplied(savepending)" value="">
	<input type="hidden" name="blockApplied(savependingblock)" value="">
	<input type="hidden" name="blockApplied(reroute)" value="">
	<input type="hidden" name="blockApplied(verifiedactivity)" value="">
	<input type="hidden" name="blockApplied(confirmedfraud)" value="">
	<input type="hidden" name="callResultId(skip)" value="">
	<input type="hidden" name="callResultId(reschedule)" value="">
	<input type="hidden" name="callResultId(savepending)" value="">
	<input type="hidden" name="callResultId(savependingblock)" value="">
	<input type="hidden" name="callResultId(reroute)" value="">
	<input type="hidden" name="callResultId(verifiedactivity)" value="">
	<input type="hidden" name="callResultId(confirmedfraud)" value="">
	<input type="hidden" name="callResultName(skip)" value="">
	<input type="hidden" name="callResultName(reschedule)" value="">
	<input type="hidden" name="callResultName(savepending)" value="">
	<input type="hidden" name="callResultName(savependingblock)" value="">
	<input type="hidden" name="callResultName(reroute)" value="">
	<input type="hidden" name="callResultName(verifiedactivity)" value="">
	<input type="hidden" name="callResultName(confirmedfraud)" value="">
	<input type="hidden" disabled name="systemBlocks(skip)" value="">
	<input type="hidden" disabled name="systemBlocks(reschedule)" value="">
	<input type="hidden" disabled name="systemBlocks(savependingblock)" value="">
	<input type="hidden" disabled name="systemBlocks(reroute)" value="">
	<input type="hidden" disabled name="systemBlocks(verifiedactivity)" value="">
	<input type="hidden" disabled name="systemBlocks(confirmedfraud)" value="">
	<input type="hidden" disabled name="transactionBlocks(skip)" value="">
	<input type="hidden" disabled name="transactionBlocks(reschedule)" value="">
	<input type="hidden" disabled name="transactionBlocks(savependingblock)" value="">
	<input type="hidden" disabled name="transactionBlocks(savepending)" value="">
	<input type="hidden" disabled name="transactionBlocks(reroute)" value="">
	<input type="hidden" disabled name="transactionBlocks(verifiedactivity)" value="">
	<input type="hidden" disabled name="transactionBlocks(confirmedfraud)" value="">
	<input type="hidden" disabled="disabled" name="posCodes(skip)" value="">
	<input type="hidden" disabled="disabled" name="posCodes(reschedule)" value="">
	<input type="hidden" disabled="disabled" name="posCodes(savependingblock)" value="">
	<input type="hidden" disabled="disabled" name="posCodes(savepending)" value="">
	<input type="hidden" disabled="disabled" name="posCodes(reroute)" value="">
	<input type="hidden" disabled="disabled" name="posCodes(verifiedactivity)" value="">
	<input type="hidden" disabled="disabled" name="posCodes(confirmedfraud)" value="">
	<input type="hidden" disabled name="allowRerouteTo(reroute)" value="">
	<input type="hidden" disabled name="fraudTypes(confirmedfraud)" value="">
<script>
	initCallResultSetting("skip",document.queueForm);
	initCallResultSetting("reschedule",document.queueForm);
	initCallResultSetting("savepending",document.queueForm);
	initCallResultSetting("savependingblock",document.queueForm);
	initCallResultSetting("reroute",document.queueForm);
	initCallResultSetting("verifiedactivity",document.queueForm);
	initCallResultSetting("confirmedfraud",document.queueForm);
	/*
	* Captures mouse clicks on the document and hides the
	* popup window that shows the relative queue priorities
	*
	*/
	window.popupWindowOldEventListener = document.onmouseup;
	if(window.popupWindowOldEventListener != null){
		document.onmouseup = new Function("window.popupWindowOldEventListener();hideQueuePriorityList();");
	}
	else{
		document.onmouseup = hideQueuePriorityList;
	}
	function ignoreEvent(evt)
	{
		if(evt.stopPropagation)
		{
		evt.stopPropagation();
		}
	}
selectDefaultItem(event,'assignedEmailsListbox');
selectDefaultItem(event,'assignedLettersListbox');
selectDefaultItem(event,'assignedSmssListbox');
</script>
<c:if test="${not empty updateQueues && !updateQueues}">
<script type="text/javascript">
setFormsReadOnly();
</script>
</c:if>
<br/><br/>
<div id="divMerchantCountry" style="position:absolute; z-index:2;border: 1px solid #5F9EA0; background-color:white;border:1px solid #003399;top:0px;display:none">
	<center>
		<table cellpadding="3">
			<tr style="font-weight:bold;background-color:#039;color:white;padding:4px;">
				<td><fmt:message key="fcm.sq.queue.merchantCountryCodes.txt"/></td>
				<td align="right"><img src="common/images/closeX.gif" onclick="overlayclose('divMerchantCountry'); return false" onMouseOver="this.style.cursor='hand';" onMouseOut="this.style.cursor='pointer'"></td>
			</tr>
			<tr>
				<td align="center" colspan="2">
					<select id="selMerchantCountry" multiple class="famTextEntry" size="10" onChange="return maxSel(this,'10');">
						<c:forEach var="countries" items="${countries}">
							<option value="${esapi:encodeForHTMLAttribute(fn:trim(countries.countryCode))}">${esapi:encodeForHTML(fn:trim(countries.countryCode))}-${esapi:encodeForHTML(fn:trim(countries.countryName))}</option>
						</c:forEach>
					</select>
				</td>
			</tr>
			<tr>
				<td align="center"><input type="button" value="<fmt:message key='fcm.sq.queue.select.txt'/>" class="button" style="width:6em" onclick="populateText();overlayclose('divMerchantCountry'); return false" onMouseOver="this.style.cursor='pointer';"></td>
			</tr>
		</table>
	</center>
</div>
</form>


