<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<fmt:setBundle var="alertTypeLabelResourceBundle" scope="request" basename="com.sas.finserv.creditfraud.fcm.util.AlertTypeLabelResourceBundle" />

<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>
<script language="JavaScript" src="admin/scripts/users.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language='JavaScript' src='common/scripts/menuFrames.js'></script>

<table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="position:fixed; left:0px;"><tr><td colspan="1">
 <tiles:insert page="/admin/userDefinitionMenu.jsp"/>
 </td></tr></table>

   <script language="JavaScript">
   //<!--

   function isSystemUser()
   {
   	return ${user.systemUser};
   }

   function shiftCheck(e)
    {
	    var items = e.data.boxes;
	    var allBox = e.data.allBox;
        var total = e.data.total;

    	// if checking with shift key
    	if(this.checked && e.shiftKey)
        {
            var itemIdx = items.index(this);
            var prevItems = items.slice(0,itemIdx);
            for(var ii = prevItems.length-2; ii >=0;  ii--)//don't need to check immediate sibling
            {
                var prevItem = prevItems[ii];
                if(prevItem.checked) //found first checked box
                {
                	prevItems.slice(ii).prop("checked",true);
                	break;
                }
            }
        }

        if(!this.checked) // user unchecked a box, uncheck allBox too
            allBox.prop("checked",false);
        else // user checked a box, must count total checked
        {
			var num = items.filter(":checked").length;
			var on = (num == total);
    		allBox.prop("checked", on );
         }
    }

   function initSelectAllCheckboxes(toggleId, checkBoxesName, totalCount)
   {
	   // search
		var allBox = $(toggleId);
		var boxes = $(":checkbox[name='"+checkBoxesName+"']");

		// determine whether to check the allBox
		var numChecked = boxes.filter(":checked").length;
		var allSelected = totalCount == numChecked;
		allBox.prop("checked", allSelected );

		//Un/Check all related boxes if allBox is un/checked
		allBox.bind('click',function(e){
				boxes.prop("checked",this.checked);
				//trigger click event for cascading
				$("form :checkbox[name='"+checkBoxesName+"'][value=-1]").trigger('click');
				//global business unit must always remain checked
				$("form :checkbox[name='"+checkBoxesName+"'][value=-1]").prop("checked",true);

	        e.stopPropagation();
		});

		// stop label from propagating
		allBox.parent().bind('click',function(e){e.stopPropagation()});

		//Bind related boxes to enable shift click
		boxes.bind('click',
				{ allBox:allBox, boxes:boxes, total:totalCount },
				shiftCheck);
   }

     $(document).ready(function(){

		$('#iemail').blur( function () {
			warnInvalidEmailChar(this.value);
		});

		var userRoles = [];
		var multiOrgs = [];
		var tenantMultiOrgs = [];
		var businessUnits = [];
		var alertTypes = [];
<%-- Create userRoles array with role ids --%>
<c:forEach var="userRole" items="${user.roles}">userRoles.push("#r${esapi:encodeForJavaScript(userRole)}");</c:forEach>
<c:forEach var="userMO" items="${user.multiOrgs}">multiOrgs.push("#mo${esapi:encodeForJavaScript(userMO)}");</c:forEach>
<c:forEach var="userAT" items="${user.alertTypes}">alertTypes.push("#at${esapi:encodeForJavaScript(userAT)}");</c:forEach>
<c:forEach var="userBU" items="${user.businessUnits}">businessUnits.push("#bu${esapi:encodeForJavaScript(userBU)}");</c:forEach>

		<%-- Check all currently assigned roles --%>
		$(userRoles.join(',')).prop("checked",true);
		$(multiOrgs.join(',')).prop("checked",true);
		$(alertTypes.join(',')).prop("checked",true);
		$(businessUnits.join(',')).prop("checked",true);

		<%-- Select the current team of user --%>
		<c:if test="${not empty user.teamId}">
		$("form select[name='team'] option[value^='${esapi:encodeForJavaScript(user.teamId)}']").prop("selected",true);
		</c:if>

		<%-- Check the current status --%>
		$('form :radio[name="status"][value="${esapi:encodeForJavaScript(user.status)}"]').prop("checked",true);

		initSelectAllCheckboxes("#atSelectAll","alertTypeSels",${fn:length(alertTypes)});
		initSelectAllCheckboxes("#moSelectAll","multiOrgSels",${fn:length(orgNodes)});
		initSelectAllCheckboxes("#buSelectAll","businessUnitSels",${fn:length(businessUnits)});
		initSelectAllCheckboxes("#rSelectAll","roleSels", ${fn:length(roles)});

	 <c:if test="${not empty updateUsers && !updateUsers}">
        setFormsReadOnly();
    </c:if>

	    $("#iteam").cascade($("input[name='businessUnitSels']"),{
			list: teams,
			template: commonTemplate,
			event:"click",
			getParentValue:getCheckboxValues,
			match: function(selectedValue) {
				var when = this.When;
				var matches = false;
				jQuery.each(jQuery.makeArray(selectedValue),function(index){
					if(this == when) {
						matches = true;
						return false;
					}
				});

				return matches;
			}
		});
    });

    var teams = [
    		{'When':'','Value':'','Text':'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'},
    		<c:forEach var="team" items="${allTeams}">
    			{'When':'${esapi:encodeForJavaScript(team.businessUnit)}','Value':'${team.id}:${team.version}','Text':'${esapi:encodeForJavaScript(esapi:encodeForHTML(team.name))}'},
    		</c:forEach>
    	        ];

    	function commonTemplate(item) {

    		if (item.Value==$("#iteam").val() ) {
    		return "<option value='" + item.Value + "' selected>" + item.Text + "</option>";
    		}
    		else return "<option value='" + item.Value + "'>" + item.Text + "</option>";
    	};

    	function commonMatch(selectedValue) {
    		return this.When == selectedValue;
	};
	function getCheckboxValues(parent) {
		var arr=$(parent).fieldArray();
		arr.push("");
		return arr;
	}


   //-->
   </script>
   <P>
	<BR>
	<%-- Error handling code --%>
	<c:url var="reloadURL" value="/a_userAdmin.sj?method=listUsers&treeSelectedUser=${user.id}" />
	<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
		<tiles:put name="reloadURL" value="${reloadURL}" />
		<tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
		<tiles:put name="objectTypeName" value="user" />
	</tiles:insert>

	<br>


   <form id ="userDefForm" action="<c:url value='/a_userDefinition.sj'/>" method="post" onsubmit="return submitUserForm(this);">
         <input type="hidden" name="method" value="saveUser">
    <c:if test="${user != null}">
         <input type="hidden" name="id" value="${user.id}">
         <input type="hidden" name="version" value="${user.version}">
         <input type="hidden" name="oldTeamId" value="${user.teamId}">
         <input type="hidden" name="oldTeamVersion" value="${user.teamVersion}">
      </c:if>
<br/>
<p style="font-size:12px; margin-left:-520px;"><b><fmt:message key="fcm.users.user.definition.txt" /></b>		</p>

<div id="mainContent" align="center" style="width:600px;">
	<div id="generalProperties" class="configurationSectionTitle" style="height:2em;line-height:2em;margin-top:5px;"><fmt:message key="fcm.details.generalProperties.txt" /></div>
	<%-- Override the height and overflow of configurationSection --%>
	<div class="configurationSection" style="height:auto;overflow:none;">
		<table>
			<tr>
				<td><fmt:message key="fcm.users.user.userid.txt" /></td>
				<td>${user.id}</td>
			</tr>
			<tr>
				<td><label for="iusername"><fmt:message key="fcm.users.user.username.txt" /></label></td>
				<td>
				<c:choose>
					<c:when test="${user.status == 'ACTIVE' && empty errorMessage}">
                            	<span id="iusername">${esapi:encodeForHTML(user.username)}</span>
                           	<input name="username" type="hidden" value="${esapi:encodeForHTMLAttribute(user.username)}">
					</c:when>
					<c:otherwise>
						<input id="iusername" name="username" type="text" class="famTextEntry" value="${esapi:encodeForHTMLAttribute(user.username)}" size="30" maxlength="20">
					</c:otherwise>
				</c:choose>
				</td>
			</tr>
               <tr>
				<td><label class="first" for="ilastName"><fmt:message key="fcm.users.user.lastName.txt" /></label></td>
				<td><input id="ilastName" name="lastName" type="text" class="famTextEntry" value="${esapi:encodeForHTMLAttribute(user.lastName)}" size="30" maxlength="20" /></td>
			</tr>
			<tr>
				<td><label class="first" for="ifirstName"><fmt:message key="fcm.users.user.firstName.txt" /></label></td>
				<td><input id="ifirstName" name="firstName" type="text" class="famTextEntry" value="${esapi:encodeForHTMLAttribute(user.firstName)}" size="30" maxlength="20"/></td>
			</tr>
			<tr>
				<td><label class="first"><fmt:message key="fcm.users.user.status.txt" /></label></td>
				<td><input id="activeStatus" name="status" type="radio" value="ACTIVE"/> <label for="activeStatus"><fmt:message key="fcm.users.user.active.txt" /></label>
                	<input id="inactiveStatus" name="status" type="radio" value="INACTIVE"/><label for="inactiveStatus"><fmt:message key="fcm.users.user.inactive.txt" /></label></td>
			</tr>
          		<tr>
           		<td><label class="first" for="iemail"><fmt:message key="fcm.users.user.emailAddress.txt" /></label></td>
           		<td><input id="iemail" name="emailAddress" class="famTextEntry" type="text" value="${esapi:encodeForHTMLAttribute(user.emailAddress)}" size="80" maxlength="255" /></td>
			</tr>
         	<tr>
         		<td><label class="first" for="iphone"><fmt:message key="fcm.users.user.phoneNumber.txt" /></label></td>
           		<td><input id="iphone" name="phoneNumber" class="famTextEntry" type="text" value="${esapi:encodeForHTMLAttribute(user.phoneNumber)}" size="30" maxlength="15" /></td>
			</tr>
<xams:hide>
      <tr>
           		<td><label class="first" for="iteam"><fmt:message key="fcm.users.user.team.txt" /></label></td>
               <td><select id="iteam" name="team" class="famSelect" style="width:250">
               		<option value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>
                 <c:forEach var="team" items="${allTeams}" varStatus="status">
                 	<c:forEach var="bu" items="${user.businessUnits}">
                 		<c:if test="${team.businessUnit==bu}">
                 			<option value="${team.id}:${team.version}">${esapi:encodeForHTML(team.name)}</option>
                 		</c:if>
                 	</c:forEach>
                  </c:forEach>
                </select>
                </td>
         </tr>
</xams:hide>

		</table>
	</div>


	<div id="alertTypes" class="configurationSectionTitle" style="margin-top:8px;">
		<div class="configuration-section-title-left"><fmt:message key="fcm.users.user.alertAccess.header.txt" />&nbsp;&nbsp;<img onclick="showDiv(this, 'alertTypeBlock');" src="admin/images/expand.jpg" align="middle" /></div>
		<div class="configuration-section-title-right"><label><fmt:message key="fcm.users.selectAll.txt"/><input id="atSelectAll" type="checkbox"/></label></div>
	</div>

  <div id="alertTypeBlock" style="height:auto; overflow:none; display:none;">
	<div class="configurationSection" style="height:auto; overflow:none; padding:5px;">

		<ul class="item-list-container">
		<c:forEach var="at" items="${alertTypes}">
			<li class="item-list"><div><label><input id="at${at}" type="checkbox" name="alertTypeSels" value="${at}"/><fmt:message key="${at.type}" bundle="${alertTypeLabelResourceBundle}"/></label></div></li>
		</c:forEach>
		</ul>
	</div>
  </div>

	<div id="multiOrgs" class="configurationSectionTitle" style="margin-top:8px;">
		<div class="configuration-section-title-left"><fmt:message key="fcm.users.user.multiOrg.header.txt" />&nbsp;&nbsp;<img onclick="showDiv(this, 'multiOrgBlock');" src="admin/images/expand.jpg" align="middle" /></div>
		<div class="configuration-section-title-right"><label><fmt:message key="fcm.users.selectAll.txt"/> <input id="moSelectAll" type="checkbox"/></label></div>
	</div>


<script language="javascript">
//<!--
	function initCheckboxes(toggleId, checkBoxesName, id, totalCount)
	{
	// search
		var allBox = $(toggleId);
		var boxes = $(":checkbox[name='"+toggleId+"']");

		// determine whether to check the allBox
		var numChecked = boxes.filter(":checked").length;
		var allSelected = totalCount == numChecked;
		allBox.prop("checked", allSelected );

		//Un/Check all related boxes if allBox is un/checked
		allBox.bind('click',function(e){

		if (allBox.prop("checked") == true)
		{
			$("form :checkbox[name='"+checkBoxesName+"'][value=-1]").prop("checked",true);
			$("form :checkbox[name='"+checkBoxesName+"'][value='"+id+"']").prop("checked",true);
		}

		e.stopPropagation();
		});

		// stop label from propagating
		allBox.parent().bind('click',function(e){e.stopPropagation()});

		//Bind related boxes to enable shift click
		boxes.bind('click',
		{ allBox:allBox, boxes:boxes, total:totalCount },
		shiftCheck);
	}
// -->
</script>

<div id="multiOrgBlock" style="height:auto;overflow:none; display:none;">
	<div class="configurationSection" style="height:auto;overflow:none; padding:5px;">

		<ul class="item-list-container">
			<c:forEach var="moLevel1" items="${nodeLevel_1}">

				<li class="item-list" id="orgLevel1" style="width:500px;"><div><label><b><input id="mo${moLevel1.id}" type="checkbox" name="multiOrgSels" value="${moLevel1.id}"/>${esapi:encodeForHTML(moLevel1.label)}</b></label></div></li>

				<c:forEach var="moLevel2" items="${nodeLevel_2}">

						<c:if test="${moLevel2.parentId == moLevel1.id}">
							<li class="item-list" id="orgLevel2" style="width:500px; margin-top:3px;"><div><%for(int a=0;a<5;a++){ %>&nbsp;<%} %><label><input id="mo${moLevel2.id}" type="checkbox" name="multiOrgSels" value="${moLevel2.id}"/>${esapi:encodeForHTML(moLevel2.label)}</label></div></li>

							<script>

								initCheckboxes("#mo"+${moLevel2.parentId},"multiOrgSels",${moLevel2.id},${fn:length(orgNodes)});

							</script>


							<c:forEach var="moLevel3" items="${nodeLevel_3}">

								<c:if test="${moLevel3.parentId == moLevel2.id}">
									<li class="item-list" id="orgLevel3" style="width:500px; margin-top:3px;"><div><%for(int b=0;b<10;b++){ %>&nbsp;<%} %><label><b><input id="mo${moLevel3.id}" type="checkbox" name="multiOrgSels" value="${moLevel3.id}"/>${esapi:encodeForHTML(moLevel3.label)}</b></label></div></li>

									<script>
										initCheckboxes("#mo"+${moLevel2.parentId},"multiOrgSels",${moLevel3.id},${fn:length(orgNodes)});
										initCheckboxes("#mo"+${moLevel3.parentId},"multiOrgSels",${moLevel3.id},${fn:length(orgNodes)});
									</script>

									<c:forEach var="moLevel4" items="${nodeLevel_4}">

										<c:if test="${moLevel4.parentId == moLevel3.id}">
											<li class="item-list" id="orgLevel4"><div><%for(int c=0;c<15;c++){ %>&nbsp;<%} %><label><input id="mo${moLevel4.id}" type="checkbox" name="multiOrgSels" value="${moLevel4.id}"/>${esapi:encodeForHTML(moLevel4.label)}</label></div></li>

											<script>
												initCheckboxes("#mo"+${moLevel2.parentId},"multiOrgSels",${moLevel4.id},${fn:length(orgNodes)});
												initCheckboxes("#mo"+${moLevel3.parentId},"multiOrgSels",${moLevel4.id},${fn:length(orgNodes)});
												initCheckboxes("#mo"+${moLevel4.parentId},"multiOrgSels",${moLevel4.id},${fn:length(orgNodes)});
											</script>

											<c:forEach var="moLevel5" items="${nodeLevel_5}">

												<c:if test="${moLevel5.parentId == moLevel4.id}">
													<li class="item-list" id="orgLevel5"><div><%for(int d=0;d<20;d++){ %>&nbsp;<%} %><label><input id="mo${moLevel5.id}" type="checkbox" name="multiOrgSels" value="${moLevel5.id}"/>${esapi:encodeForHTML(moLevel5.label)}</label></div></li>

													<script>
														initCheckboxes("#mo"+${moLevel2.parentId},"multiOrgSels",${moLevel5.id},${fn:length(orgNodes)});
														initCheckboxes("#mo"+${moLevel3.parentId},"multiOrgSels",${moLevel5.id},${fn:length(orgNodes)});
														initCheckboxes("#mo"+${moLevel4.parentId},"multiOrgSels",${moLevel5.id},${fn:length(orgNodes)});
														initCheckboxes("#mo"+${moLevel5.parentId},"multiOrgSels",${moLevel5.id},${fn:length(orgNodes)});
													</script>

													<c:forEach var="moLevel6" items="${nodeLevel_6}">

														<c:if test="${moLevel6.parentId == moLevel5.id}">
															<li class="item-list" id="orgLevel6"><div><%for(int e=0;e<25;e++){ %>&nbsp;<%} %><label><input id="mo${moLevel5.id}" type="checkbox" name="multiOrgSels" value="${moLevel6.id}"/>${esapi:encodeForHTML(moLevel6.label)}</label></div></li>

															<script>
																initCheckboxes("#mo"+${moLevel2.parentId},"multiOrgSels",${moLevel6.id},${fn:length(orgNodes)});
																initCheckboxes("#mo"+${moLevel3.parentId},"multiOrgSels",${moLevel6.id},${fn:length(orgNodes)});
																initCheckboxes("#mo"+${moLevel4.parentId},"multiOrgSels",${moLevel6.id},${fn:length(orgNodes)});
																initCheckboxes("#mo"+${moLevel5.parentId},"multiOrgSels",${moLevel6.id},${fn:length(orgNodes)});
																initCheckboxes("#mo"+${moLevel6.parentId},"multiOrgSels",${moLevel6.id},${fn:length(orgNodes)});
															</script>

														</c:if>
													</c:forEach>
												</c:if>
											</c:forEach>
										</c:if>
									</c:forEach>
								</c:if>
							</c:forEach>
						</c:if>
				</c:forEach>

			</c:forEach>
		</ul>
	</div>
</div>

	<div id="businessUnits" class="configurationSectionTitle" style="margin-top:8px;">
		<div class="configuration-section-title-left"><fmt:message key="fcm.users.user.businessUnit.header.txt" />&nbsp;&nbsp;<img onclick="showDiv(this, 'businessUnitBlock');" src="admin/images/expand.jpg" align="middle" /></div>
		<div class="configuration-section-title-right"><label><fmt:message key="fcm.users.selectAll.txt"/> <input id="buSelectAll" type="checkbox"/></label></div>
	</div>
  <div id="businessUnitBlock" style="height:auto;overflow:none; display:none;">
	<div class="configurationSection" style="height:auto;overflow:none; padding:5px;">

		<ul class="item-list-container">
		<c:forEach var="bu" items="${businessUnits}">
			<li class="item-list"><div><label><input id="bu${bu.id}" type="checkbox" name="businessUnitSels" value="${bu.id}" <c:if test="${bu.id==-1}"> disabled="disabled"</c:if>/>${esapi:encodeForHTML(bu.name)}</label></div></li>
		</c:forEach>
		</ul>
	</div>
  </div>
<xams:hide>
</xams:hide>
	<div id="roles" class="configurationSectionTitle" style="margin-top:8px;">
		<div class="configuration-section-title-left"><fmt:message key="fcm.users.user.roles.txt" />&nbsp;&nbsp;<img onclick="showDiv(this, 'roleBlock');" src="admin/images/expand.jpg" align="middle" /></div>
		<div class="configuration-section-title-right"><label><fmt:message key="fcm.users.selectAll.txt"/> <input id="rSelectAll" type="checkbox"/></label></div>
	</div>
  <div id="roleBlock" style="height:auto;overflow:none; display:none;">
	<div class="configurationSection" style="height:auto;overflow:none; padding:5px;">
		<ul class="item-list-container">
		<c:forEach var="role" items="${roles}">
			<li class="item-list"><div><label><input id="r${role.id}" type="checkbox" name="roleSels" value="${role.id}"/>${esapi:encodeForHTML(role.name)}</label></div></li>
		</c:forEach>
		</ul>
	</div>
  </div>

</div>

	<br/>
      <br/>
      <br/>
     <%--  <div id="messageSaveButtonsGrid" style="display:block" align="center">
         <input id="saveButton" type="submit" value="   <fmt:message key="fcm.application.save.txt" />   " class="button" >
      </div> --%>

   </form>


