<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

/* Override menu.js and cf.css style for light-color tabber */
.tabs a {
   background:url("images/rules/sTabLeftLite.gif") no-repeat left top;
}
.tabs a span {
   background:url("images/rules/sTabRightLite.gif") no-repeat right top;
}
.tabs .current a {
   background-color:#faf8ed;
}
.tabs .current a span {
   background-color:#faf8ed;
}

/* Alternate colors in rules list */
td.dataRow1_tableRow{
  background-color: #faf8ed;
  border-right : 1px solid #F1EACB;
  border-left : 1px solid #F1EACB;
  vertical-align:top;
}
td.dataRow2_tableRow{
  background-color: white;
  border-right : 1px solid #F1EACB;
  border-left : 1px solid #F1EACB;
  vertical-align:top;
}

</style>


<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/lookupLists.js"></script>
<script language="JavaScript">
//<!--
  
var action = '<c:url value="/r_rules.do"/>';
var lookupListAction = '<c:url value="/r_lookupLists.do"/>';

var lookupListId = '${listInfo.id}';
var lookupListUpNbr = '${listInfo.lstupdtNbr}';
var lookupListName = "${fn:escapeXml(listInfo.name)}";
var lookupListColumns = '${listInfo.typedColumns}';
var lookupListInds = '${listInfo.inds}';
var workflow = 'lookupList_${engine}';   
var engine = '${engine}';   
var contentOrList = '${contentOrList}';   

function ignoreReturn(evt)
{  
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}


var activeTab = new Array('contentsArea');
function swapGridContentsLook(gridName,gridNum)
{
   var prev=activeTab[gridNum-1];
   var t;
   if (t=document.getElementById(prev+"Div")) t.style.display = "none";
   if (t=document.getElementById(prev + "Tab")) t.className = "normal";
   if (t=document.getElementById(gridName + "Div")) t.style.display = "block";
   if (t=document.getElementById(gridName + "Tab")) t.className = "current";
   window.focus();
   //-document.getElementById(gridName + "Tab").blur();
   //eval("currGridName"+gridNum) = gridName;
   activeTab[gridNum-1]=gridName;
}

//-->
</script>


 <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0">
 <tr><td colspan="1">
   <c:choose>
     <c:when test="${not empty update}">
      <tiles:insert page="/rules/lookupListDetailMenu.jsp">
        <tiles:put name="content" value="editLookupList" />
      </tiles:insert>
     </c:when>
     <c:when test="${not empty listInfo.name}">
      <tiles:insert page="/rules/lookupListDetailMenu.jsp">
        <tiles:put name="content" value="viewLookupList" />
      </tiles:insert>
     </c:when>
     <c:when test="${empty listInfo.name}">
      <tiles:insert page="/rules/lookupListDetailMenu.jsp">
        <tiles:put name="content" value="viewContentFile" />
      </tiles:insert>
     </c:when>
   </c:choose>
 </td></tr> 
 </table>

 <div style="margin-left:20px;">


 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=viewLookupList&target=lookupListDetail&lookupListId=${listInfo.id}&lstUpNbr=${listInfo.lstupdtNbr}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>   
 </div>

<br>


<div align="center">
<TABLE name="listInfoTable" class="configurationTable" border="0" style="border:2px solid #F1EACB;margin-left:0px;margin-right:15px;" cellspacing="0" cellpadding="0">

   <tr align="left" valign="top" >
     <th colspan="4" class="configurationTableTitle" >&nbsp;<fmt:message key="rules.lookupLists.${fn:toLowerCase(listInfo.engine)}.txt" /> <fmt:message key="rules.lookupLists.${contentOrList}.details.txt" /><br>&nbsp;</th>
   </tr>

   <tr class="configurationTableDataRow" valign="top" style="height:10px;">
     <td colspan="4"></td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td width="1%" nowrap>List Name:</td>
     <td width="60%" id="name"><c:if test="${not empty listInfo.name}">${listInfo.name}</c:if>
                               <c:if test="${empty listInfo.name}"><i>Not Registered</i></c:if>  
     </td>
     <td width="1%" nowrap>First Registered:</td>
     <td nowrap> <c:if test="${not empty listInfo.createTimestamp}"> <span dateFormat="${dateFormat} ${timeFormat}" dateValue="${listInfo.createTimestampUtcMillis}" /><c:if test="${not empty listInfo.createUser}"> by ${listInfo.createUser}</c:if>&nbsp;</c:if>
                 <c:if test="${    empty listInfo.createTimestamp}"> <i>n/a</i></c:if>
     </td> 
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Content File:</td>
     <td id="inds">${listInfo.inds}</td>
     <td nowrap>Last Uploaded:</td>
     <td nowrap> <c:if test="${    empty listInfo.refreshDateUtcMillis}"><i>N/A</i></c:if>
                 <c:if test="${not empty listInfo.refreshDateUtcMillis}"><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${listInfo.refreshDateUtcMillis}" /><c:if test="${not empty listInfo.lstupdtUser}"> by ${listInfo.lstupdtUser}</c:if>&nbsp;</c:if>
     </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Key Fields:</td>
     <td nowrap>
       <c:if test="${    empty listInfo.typedKeyColumns}"><i>n/a</i></c:if>
       <c:if test="${not empty listInfo.typedKeyColumns}">
         <c:forTokens var="col" items="${listInfo.typedKeyColumns}" delims=" ">
            <c:choose>
              <c:when test="${fn:indexOf(col,'#')==0}">${fn:substring(col,1,fn:length(col))} <i>(numeric)</i><br></c:when>
              <c:when test="${fn:indexOf(col,'$')==0}">${fn:substring(col,1,fn:length(col))} <i>(character)</i><br></c:when>
              <c:otherwise>${col}<br></c:otherwise>
            </c:choose>
         </c:forTokens>
       </c:if>
     </td>
     <td nowrap>Data Fields:</td>
     <td nowrap>
       <c:if test="${    empty listInfo.typedDataColumns}"><i>n/a</i></c:if>
       <c:if test="${not empty listInfo.typedDataColumns}">
         <c:forTokens var="col" items="${listInfo.typedDataColumns}" delims=" ">
            <c:choose>
              <c:when test="${fn:indexOf(col,'#')==0}">${fn:substring(col,1,fn:length(col))} <i>(numeric)</i><br></c:when>
              <c:when test="${fn:indexOf(col,'$')==0}">${fn:substring(col,1,fn:length(col))} <i>(character)</i><br></c:when>
              <c:otherwise>${col}<br></c:otherwise>
            </c:choose>
         </c:forTokens>
       </c:if>
     </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Location:</td>
     <td colspan='4'>
       ${fn:escapeXml(listInfo.sasLocation)} (IOM SAS)<br>
       ${fn:escapeXml(listInfo.webLocation)} (webapp)<br>
       ${fn:escapeXml(listInfo.loaderLocation)} (loader)<br>
     </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Description:</td>
     <c:if test="${not empty update}">
        <td colspan='3'>
          <input type="text" name="desc" id="desc" style="width:98%;"  maxlength="100" value="${fn:escapeXml(listInfo.desc)}"
        </td>
     </c:if>
     <c:if test="${    empty update}">
       <td colspan='3'><c:if test="${empty fn:trim(listInfo.desc)}"><i>None</i></c:if>
                       <c:if test="${not empty fn:trim(listInfo.desc)}">${fn:escapeXml(listInfo.desc)}</c:if></td>
     </c:if>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan='4'>&nbsp;</td>
   </tr>



   <tr class="configurationTableDataRow" valign="top">
     <td colspan="4">


       <div class="tabs" style="background-color:#faf8ed;">
         <ul>
           <li id="contentsAreaTab"><a href="JavaScript:swapGridContentsLook('contentsArea',1);"><span>Contents</span></a></li>
           <li id="rulesAreaTab">
             <c:if test="${    empty listInfo.rules}"><a href="JavaScript:swapGridContentsLook('rulesArea',1);"><span>No Rules</span></a></c:if>
             <c:if test="${not empty listInfo.rules}"><a href="JavaScript:swapGridContentsLook('rulesArea',1);"><span><fmt:formatNumber type="number" value="${fn:length(listInfo.rules)}"/> Rules</span></a></c:if>
           </li>
         </ul>
       </div>

       <c:set var="tabsTop" value="250"/>
       <div id="rulesAreaDiv" style="top:${tabsTop}px;width:100%;overflow:auto;display:none;background-color:#faf8ed;border-left:1px solid #7F9DB9;border-right:1px solid #7F9DB9;border-bottom:1px solid #7F9DB9;">
         <div class="configurationTableTitle"
              style="width:100%;background-color:#faf8ed;border-bottom:1px solid #faf8ed;font-size:x-small;">
            <div style="margin-top:8px;margin-bottom:8px;">
              <b>&nbsp;&nbsp;&nbsp;Rules Using This Lookup List</b>
            </div>
         </div>
  
         <table class="mainTable" id="rulesTable" width="96%" align="center" style="border-left:1px solid #D2B48C;border-right:1px solid #D2B48C;border-top:1px solid #D2B48C;border-bottom:1px solid #D2B48C;margin:-1 0 0 0;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">
           <thead>
             <TR class="tableColumnHeaderRow" >             
               <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;Rule ID</TH>          
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Name</TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Type</TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule State</TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Description</TH>
             </TR>
           </thead> 
           <TBODY id="ruleTableBody">     
            <c:if test="${empty listInfo.rules}">
              <TR rowspan="2">         
                 <TD align="right" style="font-size:8pt;background-color:white;" colspan="100%"><center><br><em>No Testing or Production rules that use this lookup list are available.</center></em><br></TD>
              </TR>      
            </c:if>
            <c:if test="${not empty listInfo.rules}">       
              <c:forEach var="rule" items="${listInfo.rules}" varStatus="status">

                 <TR style="cursor:pointer;" id="${status.count}"   
                     onClick='handleRowSelectionRule(${rule.RULE_ID}, ${rule.LSTUPDT_NBR}, "${rule.RULE_STATE}", this, "rowSelected", event)'
                     ondblclick="showPrintableRule(action,'${rule.RULE_ID}','${rule.LSTUPDT_NBR}','${rule.RULE_STATE}')">
                    <TD class="dataRow${status.count%2+1}_tableRow">${rule.BASE_RULE_ID}.${rule.RULE_VERSION_NBR}</TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${fn:trim(fn:escapeXml(rule.RULE_NAME))} </TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${fn:trim(fn:escapeXml(rule.RULE_TYPE_NAME))} </TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${fn:trim(fn:escapeXml(rule.RULE_STATE))} </TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${fn:trim(fn:escapeXml(rule.RULE_DESC))}</TD>
                 </TR>     
              </c:forEach>
            </c:if>
           </TBODY>       
         </table>
       </div>

       <div id="contentsAreaDiv" style="display:;background-color:#faf8ed;">
         <iframe width="100%" height="300px" id="lookupListContentsFrame" name="lookupListContentsFrame" frameborder="no" style="top:${tabsTop}px;" src="rules/beige.htm"></iframe>
       </div>

     </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan='4'>&nbsp;</td>
   </tr>


</TABLE>
    
</div>
    
</div>



  

<script>
   attachEventHandlerToTableCells(['lookupListsTable']);
   showLookupListContents(engine,lookupListName,lookupListInds,lookupListColumns,'1',"lookupListContentsFrame");
   swapGridContentsLook('contentsArea',1);
</script>


