<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }



</style>


<script language="JavaScript" src="rules/scripts/estimate.js"></script>
<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/ruleSasTest.js"></script>
<script language="JavaScript">
//<!--

var action = '<c:url value="/r_rules.do"/>';
var estimateAction = '<c:url value="/r_ruleEstimates.do"/>';
var userId = '';
var workflow = "ESTIMATION_USER_allEstimates";

function ignoreReturn(evt)
{
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

var estimateNames = new Array();

<c:forEach var="estimate" items="${estimates}" >
//-->
</script>
   <pre id="estimateName${estimate.id}" style="display:none">${fn:escapeXml(estimate.name)}</pre>
<script>
//<!--
   estimateNames[${estimate.id}] = document.getElementById("estimateName${estimate.id}").innerHTML;
</c:forEach>

//-->
</script>


<c:choose>
	<c:when test="${empty productName}">
<pre id="tabTitle" style="display:none;"><fmt:message key="creditfraud.application.title.txt" /> - <fmt:message key="creditfraud.tab.rules.txt" /> Estimation</pre>
	</c:when>
	<c:otherwise>
<pre id="tabTitle" style="display:none;">${fn:replace(fn:replace(productName, "<sup>", ""), "</sup>", "")} - <fmt:message key="creditfraud.tab.rules.txt" /> Estimation</pre>
	</c:otherwise>
</c:choose>
<script language="JavaScript">
  if (parent.document)
    parent.document.title = document.getElementById("tabTitle").innerHTML;
</script>

 <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0">
 <tr><td colspan="1">
 <tiles:insert page="/rules/ruleEstimatesDetailMenu.jsp"/>
 </td></tr>
 </table>

 <span style='height:0.5em'/>
 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=listEstimates&userId=${esapi:encodeForURL(userId)}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>
 </div>

<div id="estimationListTitle" align="left" style="font-size:10pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;">
<c:choose>
 <c:when test="${not empty userId}">
 Estimations for ${esapi:encodeForHTML(userId)}
 </c:when>
 <c:otherwise>
 All Estimations
 </c:otherwise>
</c:choose>
</div>
<br>

<table class="mainTable" id="estimatesTable" width="96%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">
   <thead id='tableHead'>
       <TR class="tableColumnHeaderRow">
         <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;ID</TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Name</TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Status</TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;Read</TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;Fired</TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Start Time</TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;End Time</TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Options</TH>
         <c:if test="${listForeignBusinessUnits}">
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Business Unit</TH>
         </c:if>
         <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;Process ID</TH>
         <c:if test="${empty userId}">
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Created By</TH>
         </c:if>
       </TR>
   </thead>
   <TBODY id="ruleTableBody">
      <c:choose>
      <c:when test="${empty estimates}">
      <TR rowspan="2">
         <TD align="right" style="font-size:10pt;" colspan="100%"><center><em>There are no estimates to show in this view</center></em></TD>
      </TR>
      </c:when>
      <c:otherwise>
      <c:forEach var="estimate" items="${estimates}" varStatus="status">
      <TR style="cursor:pointer;" id="${status.count}" class="dataRow${status.count%2+1}_tableRow"
             onClick='handleEstimateRowSelection(${estimate.id}, estimateNames[${estimate.id}], this,"rowSelected", event)';
             ondblclick='showEstimateReport();'>

            <TD class="textTableCell" >&nbsp;${estimate.id}</TD>
            <TD class="textTableCell" >&nbsp;${fn:trim(fn:escapeXml(estimate.name))}</TD>
            <TD class="textTableCell" >&nbsp;${estimate.status}</TD>
            <TD class="textTableCell" >&nbsp;${estimate.transactionCount}</TD>
            <TD class="textTableCell" >&nbsp;${estimate.transactionFiredCount}</TD>
            <TD class="textTableCell" >&nbsp;<span dateFormat="${dateFormat} ${timeFormat}" dateValue="${estimate.jobStartTimeUtcMillis}" /></TD>
            <TD class="textTableCell" >&nbsp;<span dateFormat="${dateFormat} ${timeFormat}" dateValue="${estimate.jobEndTimeUtcMillis}" /></TD>
            <TD class="textTableCell" >&nbsp;${fn:escapeXml(estimate.options)}</TD>
            <c:if test="${listForeignBusinessUnits}">
              <TD class="textTableCell" >&nbsp;${fn:trim(fn:escapeXml(estimate.businessUnitName))}</TD>
            </c:if>            
            <TD class="textTableCell" >&nbsp;${estimate.jobId}</TD>
            <c:if test="${empty userId}">
            <TD class="textTableCell" > &nbsp;${fn:escapeXml(estimate.createUser)}</TD>
            </c:if>

         </TR>
      </c:forEach>
      </c:otherwise>
      </c:choose>
   </TBODY>
</table>
</div>

<script>
   attachEventHandlerToTableCells(['estimatesTable']);

   <c:if test="${! (fn:containsIgnoreCase(workflow, 'versions') || fn:containsIgnoreCase(workflow, 'searchResults')) }">
   		refreshRuleFolders(action);
 </c:if>
</script>
