<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }

      table.keyTable
      {
         width:100%;
         padding:0px;
      }
      table.keyTable td
      {
         padding:0px;
      }
      table.keyTable td:hover
      {
         background-color:#cfdeeb;
         border:1px solid #719db9;
      }
      table.keyTable td
      {
         border:1px solid #FAF8ED;
      }
</style>


<script language="JavaScript" src='common/scripts/jquery.js'></script>
<SCRIPT language="JavaScript" src="common/scripts/cf.js"></SCRIPT>
<script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/segments.js"></script>
<script language="JavaScript" src="rules/scripts/segmentActions.js"></script>
<script language="JavaScript" src="rules/scripts/variables.js"></script>
<script language="JavaScript" src="rules/scripts/scavenger.js"></script>
<script language="JavaScript">
//<!--

var action = '<c:url value="/r_rules.do"/>';
var segmentAction = '<c:url value="/r_variables.do"/>';
var variableAction = '<c:url value="/r_variables.do"/>';
var workflow = '${definer}_segments';
var definer = '${definer}';
var activity = '${activity}';
var segment = '${segment}';
var segmorgid = '${segmorgid}';
var depth = '${depth}';
var segmentId = '${segmentInfo.segmentId}';
var segmentUpNbr = '${segmentInfo.lstUpdtNbr}';
var segmentAcronym = '${segmentInfo.segmentAcronym}';

function ignoreReturn(evt)
{
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

//-->
</script>


 <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0">
 <tr><td colspan="1">
    <tiles:insert page="/rules/segmentDetailMenu.jsp">
      <tiles:put name="content" value="updateSegment" />
    </tiles:insert>
 </td></tr>
 </table>

 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=editSegment" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>
 </div>

<br><br>

<form name="segmentForm" id="segmentForm" action='<c:url value="/r_variables.do"/>'>
  <input type="hidden" name="segmentId" id="segmentId" value="${segmentInfo.segmentId}"/>
  <input type="hidden" name="segmentUpNbr" id="segmentUpNbr" value="${segmentInfo.lstUpdtNbr}"/>
  <input type="hidden" name="segmentIdVersion" id="segmentIdVersion" value="${segmentInfo.segmentIdVersion}"/>
  <input type="hidden" name="lstUpdtNbr" id="lstUpdtNbr" value="${segmentInfo.lstUpdtNbr}"/>
  <input type="hidden" name="lstUpdtTimestamp" id="lstUpdtTimestamp" value="${segmentInfo.lstUpdtTimestamp.time}"/>
  <input type="hidden" name="createTimestamp" id="createTimestamp" value="${segmentInfo.createTimestamp.time}"/>
  <input type="hidden" name="lstUpdtUser" id="lstUpdtUser" value="${fn:escapeXml(segmentInfo.lstUpdtUser)}"/>
  <input type="hidden" name="createUser" id="createUser" value="${fn:escapeXml(segmentInfo.createUser)}"/>


<div align="center">
<TABLE name="segmentCreationTable" id="segmentCreationTable" class="configurationTable" style="width:95%;border:2px solid #F1EACB;margin-left:10px" cellspacing="0" cellpadding="2" border="0" >

  <tr align="left" valign="top" >
    <th colspan="5" class="configurationTableTitle" >&nbsp;User Variable Segment ${segmentInfo.segmentAcronym} Definition<br>&nbsp;</th>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td style="width:10%;" nowrap>Label:</td>
    <td style="width:55%;" nowrap colspan='3'><input style="width:100%" type="text" id="segmentDesc" name="segmentDesc" class="famTextEntry" maxlength="50" value="${fn:escapeXml(segmentInfo.segmentDesc)}"></td>
    <td>&nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td nowrap>Prefix:</td>
    <td nowrap colspan='3'>
       <select style="width:100%" id="segmentPrefixChar" name="segmentPrefixChar">
         <option value="">Select a prefix for variables in this segment</option>
         <c:forEach var="chr" items="${availableSegmentPrefixChars}">
           <option value="${chr}" <c:if test="${chr==segmentInfo.segmentPrefixChar}">selected</c:if>>${fn:toUpperCase(chr)}</option>
         </c:forEach>
       </select>
    <td>&nbsp;</td> 
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td nowrap>Keys:</td>
    <td nowrap colspan='3'>
       <select style="width:100%" id="keyId" name="keyId" onchange="addKey()">
         <option value="0">Select a key field to add</option>
         <c:forEach var="key" items="${keyFields}">
           <option value="${key.value}"> ${key.label} </option>
         </c:forEach>
       </select>
    </td>
    <td><image src="images/rules/Search.gif" border="0" onclick="showScavenger('keyId')" title="Click to filter selections by keywords" style="cursor:pointer;" />
    </td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td nowrap>&nbsp;</td>
    <td nowrap>
       <span id="keyNames">
       <table class="keyTable">
         <c:choose>
           <c:when test="${empty segmentInfo.segmentKeyFieldBusinessNames}">
             <tr><td><i>None</i></td></tr>
           </c:when>
           <c:otherwise>
             <c:forEach var="key" items="${segmentInfo.segmentKeyFieldBusinessNames}" varStatus="status">
                <tr><td>
                 <div style='float:right'><img src='images/rules/delete.gif' onclick="removeKey(${status.index})" style="cursor:pointer;" title="Remove key"/></div>
                 <div style='float:left'>${fn:toUpperCase(key)} (${segmentInfo.segmentKeyFieldLengths[status.index]} bytes)</div>
                </td></tr>
             </c:forEach>
           </c:otherwise>
         </c:choose>
      </table>
      </span>
    </td>
    <td nowrap>Key Length:</td>
    <td nowrap><span id="keyLength">${segmentInfo.segmentKeyFieldsTotalSize}</span> bytes (of 100 maximum)</td>
    <td>&nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;<br><br></td>
  </tr>


  <tr class="configurationTableDataRow" valign="top">
    <td style="width:10%;" nowrap>Segment Length:</td>
    <td style="width:55%;" nowrap>${segmentInfo.segmentLength} bytes (of ${maxUserSegmentLength} maximum)</td>
    <td style="width:10%;" nowrap>Created:</td>
    <td style="width:25%;" nowrap><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${segmentInfo.createTimestampUtcMillis}" ></span> &nbsp; by ${segmentInfo.createUser}</td>
    <td>&nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td style="width:10%;" nowrap>Business Unit:</td>
    <td style="width:55%;" nowrap>${fn:escapeXml(segmentInfo.segmentBusinessUnitName)}</td>
    <td style="width:10%;" nowrap>Updated:</td>
    <td style="width:25%;" nowrap><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${segmentInfo.lstUpdtTimestampUtcMillis}" ></span> &nbsp; by ${segmentInfo.lstUpdtUser}</td>
    <td>&nbsp;</td>
  </tr>

  <c:if test='${isTenantInstall}'>
    <tr class="configurationTableDataRow" valign="top">
      <td style="width:10%;" nowrap>Multi-Org Node:</td>
      <td style="width:55%;" nowrap>${fn:escapeXml(segmentInfo.segmentMultiOrgLabel)}</td>
      <td style="width:10%;" nowrap></td>
      <td style="width:25%;" nowrap></td>
      <td>&nbsp;</td>
    </tr>
  </c:if>

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;</td>
  </tr>

</TABLE>

</div>

</form>

</div>




<script>

   // Array will contain key field info
   var keyItems = new Array();

   // Create a new keyItem (contains info about segment key field)
   function getKeyItem(fieldName, fieldLength, fieldId) {
       var keyItem = new Object();
       keyItem.fieldName   = fieldName.toUpperCase().split(":")[0];
       keyItem.fieldLength = parseInt(fieldLength);
       keyItem.fieldId     = fieldId;
       return keyItem;
   }

   // Fill in current key fields
   <c:if test="${not empty segmentInfo.segmentKeyFieldBusinessNames}">
     <c:forEach var="key" items="${segmentInfo.segmentKeyFieldBusinessNames}" varStatus="status">
       keyItems[${status.index}] = getKeyItem('${key}', ${segmentInfo.segmentKeyFieldLengths[status.index]}, '${segmentInfo.segmentKeyFieldIds[status.index]}');
     </c:forEach>
   </c:if>


   <c:if test="${refreshOverview}">
      refreshVariableFolders(segmentAction);
   </c:if>
</script>


