<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>
 
     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;         
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }


eXtremeTable .odd a, .even a {
   color: Black;
   font-size: 10px;
   background-color : #FFFFFF;
}

.eXtremeTable .odd td, .eXtremeTable .even td {
   padding-top: 2px;
   padding-right: 3px;
   padding-bottom: 2px;
   padding-left: 3px;
   vertical-align: middle;
   font-family: verdana, arial, helvetica, sans-serif;
   font-size: 10px;
}

.eXtremeTable .odd {
   background-color: #FFFFFF;
}

.eXtremeTable .even {
   background-color : #FAF8ED;
}
.eXtremeTable .toolbar {
   
   font-family: verdana, arial, helvetica, sans-serif;
   font-size: 9px;
   margin-right: 1px;
   
}

.eXtremeTable .toolbar td {
   color: #444444;
   padding: 0px 3px 0px 3px;
   text-align:center;
}

.eXtremeTable .separator {
   width: 7px;
}
.eXtremeTable .title {
   color: #444444;
   font-weight: bold;
   font-family: 'Trebuchet MS', Verdana, Arial, Helvetica, sans-serif;
   font-size: 15px;
   vertical-align: bottom;
   
}

.eXtremeTable .title span {
   margin-left: 0px;
   
}
.eXtremeTable .tableHeaderSort {

   border-top: 1px solid #E6DAC2;
   border-bottom: 1px solid #E6DAC2;
   border-right:none;
   border-left: none;
   color:#960;
   font-weight:bold;
   font-family : 'Trebuchet MS', Verdana, Arial, Helvetica, sans-serif;
   font-size : xxx-small;
   background-color : #F1EACB;
      text-decoration:underline;
}
.eXtremeTable .calcRow {
   background-color: #F1EACB;
   border-top: solid 1px;
   border-color: #7F9DB9;
}

.eXtremeTable .calcTitle {
   background-color: #F1EACB;
   color: black;
   font-family: verdana, arial, helvetica, sans-serif;
   font-weight: bold;
   font-size: 10px;
   border-top: solid 1px;
   border-color: #7F9DB9;
}

.eXtremeTable .calcResult {
   background-color: #F1EACB;
   color: black;
   font-family: verdana, arial, helvetica, sans-serif;
   border-top: solid 1px;
   border-color: #7F9DB9;
   text-align:right;
}      

</style>



<%-- ----------------------------------------------- --%>
<%-- Include non-PDF info only if not creating a PDF --%>
<%-- ----------------------------------------------- --%>
<c:if test="${empty param.ec_eti}">

  <script language='JavaScript' src='common/scripts/jquery.js'></script>
  <script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
  
  <script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
  <script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
  <script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
  <SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
  <SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
  <script language="JavaScript" src="rules/scripts/rules.js"></script>
  <script language="JavaScript" src="rules/scripts/variables.js"></script>
  <script language="JavaScript" src="rules/scripts/segments.js"></script>
  
<c:choose>
	<c:when test="${empty productName}">
<pre id="tabTitle" style="display:none;"><fmt:message key="creditfraud.application.title.txt" /> - <fmt:message key="creditfraud.tab.userVariables.txt" /></pre>
	</c:when>
	<c:otherwise>
<pre id="tabTitle" style="display:none;">${fn:replace(fn:replace(productName, "<sup>", ""), "</sup>", "")} - <fmt:message key="creditfraud.tab.userVariables.txt" /></pre>
	</c:otherwise>
</c:choose>
  <script language="JavaScript">
  //<!--
  if (parent.document)
    parent.document.title = document.getElementById("tabTitle").innerHTML;
  
  var action = '<c:url value="/r_rules.do"/>';
  var variableAction = '<c:url value="/r_variables.do"/>';
  var segmentAction = '<c:url value="/r_variables.do"/>';
  var workflow = '${definer}Variables';
  var definer = '${definer}';
  var activity = '${activity}';
  var segment = '${segment}';
  var segmorgid = '${segmorgid}';
  var depth = '${depth}';

  function ignoreReturn(evt)
  {
     if(!evt) evt = window.event;
     if(evt.keyCode == 13) return false;
     return true;
  }
  
  var variableUpNbrs = new Array();
  var variableNames = new Array();
  var variableSegments = new Array();
  
  <c:forEach var="variable" items="${variables}" >
  //-->
  </script>
     <pre id="variableUpNbr${variable.segmentFieldId}" style="display:none">${fn:escapeXml(variable.lstUpdtNbr)}</pre>
     <pre id="variableName${variable.segmentFieldId}" style="display:none">${fn:escapeXml(variable.fieldBusinessName)}</pre>
     <pre id="variableSegment${variable.segmentFieldId}" style="display:none">${fn:escapeXml(variable.segmentAcronym)}</pre>
  <script>  
  //<!--
     variableUpNbrs[${variable.segmentFieldId}] = document.getElementById("variableUpNbr${variable.segmentFieldId}").innerHTML;  
     variableNames[${variable.segmentFieldId}] = document.getElementById("variableName${variable.segmentFieldId}").innerHTML;  
     variableSegments[${variable.segmentFieldId}] = document.getElementById("variableSegment${variable.segmentFieldId}").innerHTML;  
  </c:forEach>
  
  //-->
  </script>  
  
   <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0">
   <tr><td colspan="1">
      <tiles:insert page="/rules/variableDetailMenu.jsp">
        <tiles:put name="content" value="variableList" />
      </tiles:insert>
   </td></tr> 
   </table>

   <span style='height:0.5em'/>
   <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">
  
   <%-- Error handling code --%>
   <div onclick="this.innerHTML='<br>'">
     <c:url var="reloadURL" value="/r_rules.do?method=listVariables&definer=${definer}&activity=${activity}&segment=${segment}&segmorgid=${segmorgid}&depth=${depth}" />
     <tiles:insert page="rulesSystemMessages.jsp" flush="true">
       <tiles:put name="reloadURL" value="${reloadURL}" />
       <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
       <tiles:put name="objectTypeName" value="Rule" />
     </tiles:insert>   
   </div>
  
  
  <%-- Title --%>
  <div align="left" style="font-size:10pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;width:96%;">
    <div style="float:left" id='variableListTitle'>
      <c:choose>
        <c:when test="${segment!='all' && definer=='system'}">
          <fmt:message key="rules.variables.system.${activity}.list.txt"><fmt:param value="${segment}"/></fmt:message> : ${segmentInfo.segmentDesc}
        </c:when>
        <c:when test="${segment!='all' && definer=='user'}">
          <c:choose>
            <c:when test="${segment=='RUA'}"><fmt:message key="rules.variables.user.${activity}.list.txt"><fmt:param>${fn:toUpperCase(segment)}</fmt:param>></fmt:message>: ${segmentInfo.segmentDesc}</c:when>
            <c:when test="${segmentInfo.segmentKeyFieldCount == 1}"><fmt:message key="rules.variables.user.${activity}.list.txt"><fmt:param>_${fn:toUpperCase(segmentInfo.segmentPrefixChar)}_</fmt:param>></fmt:message>: ${segmentInfo.segmentDesc}
                 (Key=${fn:toUpperCase(segmentInfo.segmentKeyFieldBusinessNames[0])})
            </c:when>
            <c:when test="${segmentInfo.segmentKeyFieldCount > 1}"><fmt:message key="rules.variables.user.${activity}.list.txt"><fmt:param>_${fn:toUpperCase(segmentInfo.segmentPrefixChar)}_</fmt:param>></fmt:message>: ${segmentInfo.segmentDesc}
                 (Keys=${fn:replace(fn:replace(fn:toUpperCase(segmentInfo.segmentKeyFieldBusinessNames),'[',''),']','')})
            </c:when>
            <c:otherwise><fmt:message key="rules.variables.user.${activity}.list.txt"><fmt:param>${fn:toUpperCase(segment)}</fmt:param>></fmt:message> <span style="font-weight:normal;"> &nbsp;&nbsp;To add variables, click <b>Edit Segment</b> to define the segment</span></c:otherwise>
          </c:choose>
        </c:when>
        <c:otherwise>
          <fmt:message key="rules.variables.${definer}.${activity}.all.list.txt" />
        </c:otherwise>
      </c:choose>
    </div>
    <div style="float:right;font-weight:normal;font-size:xx-small;">
      <c:if test="${depth=='full'}"><a style="font-weight:normal;font-size:xx-small;" href="javascript:showHideDepth()" title="Click to suppress the display of additional information in the variable list.">Less&nbsp;<img border="0" src="images/rules/chevrons-left.gif"></a>&nbsp;</c:if>
      <c:if test="${depth!='full'}"><a style="font-weight:normal;font-size:xx-small;" href="javascript:showHideDepth()" title="Click to display additional information for variables in the list.">More&nbsp;<img border="0" src="images/rules/chevrons-right.gif"></a>&nbsp;</c:if>
    </div>
  </div>      
  <br>      

  <table class="mainTable" id="variablesTable" width="96%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart='return false;' border="0" cellspacing="0" cellpadding="0">   
     <thead id='tableHead'>
       <TR class="tableColumnHeaderRow">
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Name</TH>  
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Type</TH>
         <c:if test="${listForeignBusinessUnits}">         
           <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Business Unit</TH>
           <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Multi-Org</TH>
         </c:if>
         <TH class="centeredTableHeader" nowrap rules:sortAsNum title="Count of rules in Testing or Production that use this variable">&nbsp;Rules</TH>
         <c:if test="${definer=='user'}">
           <c:if test="${depth=='full'}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText title="Column name in data base table">&nbsp;Message Alias</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText title="Value assigned to the variable for the first transaction of an account after the variable was first deployed">&nbsp;Initial Value</TH>
           </c:if>
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="Number of the build that defined this variable or blank if not deployed">&nbsp;Build</TH>
         </c:if>
         <c:if test="${depth=='full'}">  
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="Additional description of the variable">&nbsp;Description</TH>
         </c:if> 
         <TH class="centeredTableHeader" nowrap rules:sortAsText title="The message segment the variable belongs to">&nbsp;Segment</TH>
         <c:if test="${depth=='full'}">  
           <TH class="centeredTableHeader" nowrap rules:sortAsText title="Component values that this field appears for">&nbsp;Components</TH>
         </c:if> 
         <c:if test="${definer=='user'}">
           <%-- Initial sort order of user variables is by 1st column (see function initVariablesSortOrder() in variables.js) --%>
           <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate width="1%">&nbsp;Last Updated</TH> 
         </c:if>
       </TR>
     </thead> 
  
     <TBODY id="ruleTableBody">     
  
      <c:if test="${empty variables}">       
        <TR rowspan="2">         
           <TD align="right" style="font-size:10pt;" colspan="100%"><center><em>There are no variables to show in this view</center></em></TD>
        </TR>      
      </c:if>  
  
      <c:if test="${not empty variables}">       
        <c:forEach var="variable" items="${variables}" varStatus="status">
  
           <TR style="cursor:pointer;" id="${status.count}" class="dataRow${status.count%2+1}_tableRow"   
               onClick='handleRowSelectionVariable(${variable.segmentFieldId}, variableUpNbrs[${variable.segmentFieldId}], variableNames[${variable.segmentFieldId}], variableSegments[${variable.segmentFieldId}], this,"rowSelected", event)';
               ondblclick='viewVariable();'>
  
              <TD class="textTableCell" ><c:choose><c:when test="${fn:substring(variable.fieldBusinessName,0,1)=='_'}">${fn:toUpperCase(fn:escapeXml(variable.fieldBusinessName))}</c:when><c:otherwise>${fn:toUpperCase(fn:escapeXml(variable.fieldName))}</c:otherwise></c:choose> </TD>
              <TD class="textTableCell" >
                 <c:if test="${variable.character}">
                    ${variable.fieldLength}-Byte ${variable.variableType}
                 </c:if>
                 <c:if test="${variable.numeric}">
                    ${variable.variableType}
                 </c:if>
              </TD>
              <c:if test="${listForeignBusinessUnits}">         
                <TD class="textTableCell" ><c:choose><c:when test='${empty variable.businessUnitName}'>n/a</c:when><c:otherwise>${fn:escapeXml(variable.businessUnitName)}</c:otherwise></c:choose> </TD>
                <TD class="textTableCell" ><c:choose><c:when test='${empty variable.segmentMultiOrgLabel}'>n/a</c:when><c:otherwise>${fn:escapeXml(variable.segmentMultiOrgLabel)}</c:otherwise></c:choose> </TD>
              </c:if>
              <TD class="textTableCell" ><c:if test="${variable.testUseCount+variable.prodUseCount>0}" > ${variable.testUseCount+variable.prodUseCount} </c:if></TD>
              <c:if test="${definer=='user'}">
                <c:if test="${depth=='full'}">
                  <TD class="textTableCell" >${fn:toUpperCase(variable.fieldName)}</TD>
                  <TD class="textTableCell">
                     <c:if test="${variable.segmentAcronym!='RUA'}">${fn:escapeXml(variable.initialValue)}</c:if> <%-- S0881932 --%>
                     <c:if test="${variable.segmentAcronym=='RUA'}"><i>N/A</i></c:if>
                  </TD>
                </c:if>
                <TD class="textTableCell" >
                   <c:if test="${variable.hasBeenBuilt}">${variable.buildId}</c:if>
                   <c:if test="${variable.segmentAcronym=='RUA'}"><i>N/A</i></c:if>
                </TD>
              </c:if>
              <c:if test="${depth=='full'}">
                <TD class="textTableCell" >${fn:trim(fn:escapeXml(variable.desc))}</TD>
              </c:if> 
              <TD class="textTableCell" >
                ${fn:trim(fn:escapeXml(variable.segmentAcronym))}<c:if test="${depth=='full'}">: ${fn:trim(fn:escapeXml(variable.segmentDesc))}</c:if>
              </TD>

              <c:if test="${depth=='full'}">
                <TD class="textTableCell" >
                  <c:set var="prevCompType" value=""/>
                  <c:forEach var="comp" items="${variable.components}" varStatus='stat'>
                     <c:if test="${comp.componentType != prevCompType}">
                        <c:set var="prevCompType" value="${comp.componentType}"/>                     
                        <c:if test="${stat.index!=0}">
                          <br>
                        </c:if>
                        ${fn:trim(comp.componentType)}:
                     </c:if>
                     <c:if test="${fn:trim(comp.componentValue)!='CMD' && fn:trim(comp.componentValue)!='MON'}">
                       ${fn:trim(comp.componentValue)}
                     </c:if>
                  </c:forEach>
                </TD>
              </c:if> 
              <c:if test="${definer=='user'}">
                <TD class="textTableCell" style="white-space:nowrap;"><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${variable.lstUpdtTimestampUtcMillis}" />&nbsp;&nbsp;</TD>
              </c:if>
           </TR>
  
        </c:forEach>
      </c:if>
  
     </TBODY>          
  </table>   
  </div>       

</c:if>


<div id="rulesExportDiv" style="display:none;">

<%-- Set the title based on the kind of variables printed --%>
<c:set var="pdfTitle">
      <c:choose>
        <c:when test="${segment!='all' && definer=='system'}">
          <fmt:message key="rules.variables.system.${activity}.list.txt"><fmt:param value="${segment}"/></fmt:message>
        </c:when>
        <c:when test="${segment!='all' && definer=='user'}">
          <fmt:message key="rules.variables.user.${activity}.list.txt"><fmt:param>${fn:toUpperCase(segment)}</fmt:param>></fmt:message>
        </c:when>
        <c:otherwise>
          <fmt:message key="rules.variables.${definer}.${activity}.all.list.txt" />
        </c:otherwise>
      </c:choose>
</c:set>

<span id="ruleData" style="width:96%">      
      <ec:table         
         items="variables"
         var="variables"           
         action="r_variables.do"       
         title="Ignored Title" 
         width="100%"         
         sortable="false"
         filterable="false"
         showExports="true"         
         showStatusBar="true"                      
         tableId="ruleData"
         styleClass="mainTable"
         rowsDisplayed="20"
         view="html2"
       >
       <ec:exportPdf              
          imageName="pdf"
          fileName="variables.pdf"
          tooltip="Export PDF" 
          headerColor="#960" 
          headerBackgroundColor="#F1EACB"    
          headerTitle="${pdfTitle}"
          view="pdfRulesList" 
       />      
       <ec:row>            
         <c:set var="color" value="black" />
         <%-- ------------------------------------------------------- --%>
         <%-- Include rows if PDF requested and based on request type --%>
         <%-- ------------------------------------------------------- --%>
         <c:if test="${not empty param.ec_eti}">
           <ec:column  property="name"             title="Name"          headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
           <ec:column  property="typeInfo"         title="Type"          headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
           <ec:column  property="useCounts"        title="Counts"        headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
           <ec:column  property="desc"             title="Description"   headerClass="tableHeader" headerStyle="border-top:1px solid #7F9DB9;border-right:none;color:#960;font-weight:bold;" styleClass="textTableCell" />
         </c:if>
       </ec:row>
   </ec:table>
   <br><br>               
</span>
</div>



<script>
   attachEventHandlerToTableCells(['variablesTable']);

   // Restore previous sort order if not the default
   if (getSortOrder()!="")  
      sortVariables("variablesTable");

   <c:if test="${refreshOverview}">
      refreshVariableFolders(variableAction);   
   </c:if>
 
</script>
  


   
   
